ltsp (5.5.1-1ubuntu3) vivid; urgency=medium

  * Recommend fonts-guru instead of the superseded ttf-punjabi-fonts
    package.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 17 Mar 2015 07:19:00 -0700

ltsp (5.5.1-1ubuntu2) trusty; urgency=medium

  * Cherry-pick upstream bugfixes:
    - r2557: Drop "plymouth:force-splash vt.handoff=7" from the cmdline
      as they interfere with LTSP debugging and don't provide any improvement
      as LTSP's initrd doesn't contain plymouth anymore and we don't get
      flicker free X startup anyway.
    - r2558: Increase the udhcp timeout from 4 to 10 seconds, this fixes
      boot on some slower hardware.
    - r2559: Fix ltsp-update-image --revert.
    - r2560: More udhcp fix to pick up interfaces which show up after
      the script has started.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 14 Apr 2014 09:24:05 -0400

ltsp (5.5.1-1ubuntu1) trusty; urgency=medium

  * Pick up upstream bugfix release for the LTS.
  * Merge from Debian unstable. Remaining changes:
    - Change default color depth from 16bit to 24bit as 16bit just doesn't
      work when using unity with llvmpipe. This is a workaround and
      alternatives should be looked at to get back to 16bit if possible.
    - Add 40-ltsp as 40-ltsp-client and 40-ltsp-server in Xsession.d for both
      ltsp-client-core and ltsp-server. (LP: #987726)
    - Ship a distro-specific dhcpd.conf using the good old
      192.168.0.0/24 subnet instead of upstream's default 192.168.67.0/24.
    - Add fat client support to the udeb.
    - Have the udeb detect Ubuntu flavours with only main and restricted.
    - Fix race condition during image compression in udeb.
    - Patch dhcpd.conf on the fly to match current architecture.
    - Create a squashfs image by default and configure network in d-i.
    - Install ltsp-cluster.
    - Add code for second stage Edubuntu LTSP install.
    - Change watch file to monitor Debian.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 14 Mar 2014 09:25:34 -0400

ltsp (5.5.1-1) unstable; urgency=medium

  * New upstream version:
    - Create kernel flavor symlinks in TFTP dir, not in the LTSP chroot's
      /boot dir. This works around issues in grub that may break the default
      boot option for the server!

    - ltsp-server:
      + ltsp-build-client: Add plugin to support -updates mirrors.
      + Support the --version option in all server tools.

    - ltsp-client:
      + Run custom commands in init-ltsp using INIT_COMMAND_XX.
      + nbd-disconnect:
        - Poweroff/reboot are reported to work in more cases than sysrq.
        - Don't hardcode /dev/nbd0 for root.
      + Allow any number of digits to some lts.conf directives.
      + initramfs-tools scripts: Check when the NICs are available and up,
        rather than relying on wait_for_udev.

  [ Vagrant Cascadian ]
  * ltsp-server:
    - Do not install nbdrootd (deprecated in wheezy).
    - Remove Depends on update-inetd, no longer used.

  * ltsp-client/ltsp-client-core: 
    - Drop Depends/Suggests on mdetect, which is no longer used.
    - Drop Depends on mkelfimage and mknbi, which are deprecated upstream.
    - Only Recommend acpi-support-base when building on Debian.

  * Update to debhelper compat level 9.
  * Set vendor and version when building manpages.

  [ Alkis Georgopoulos ]
  * ltsp-client: X-Ubuntu-Recommend the font packages, declare some
      alternate package names for older versions, and lower zram-config
      to X-Ubuntu-Suggests, as NBD_SWAP is much better for LTSP clients.
  * Remove debian/patches/initramfs-busybox-sleep, applied upstream.

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 26 Feb 2014 20:55:34 -0800

ltsp (5.5.0-1ubuntu1) trusty; urgency=medium

   * Merge from Debian unstable. Remaining changes:
    - Change default color depth from 16bit to 24bit as 16bit just doesn't
      work when using unity with llvmpipe. This is a workaround and
      alternatives should be looked at to get back to 16bit if possible.
    - Add 40-ltsp as 40-ltsp-client and 40-ltsp-server in Xsession.d for both
      ltsp-client-core and ltsp-server. (LP: #987726)
    - Ship a distro-specific dhcpd.conf using the good old
      192.168.0.0/24 subnet instead of upstream's default 192.168.67.0/24.
    - Add fat client support to the udeb.
    - Have the udeb detect Ubuntu flavours with only main and restricted.
    - Fix race condition during image compression in udeb.
    - Patch dhcpd.conf on the fly to match current architecture.
    - Create a squashfs image by default and configure network in d-i.
    - Install ltsp-cluster.
    - Add code for second stage Edubuntu LTSP install.
    - Change watch file to monitor Debian.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 02 Jan 2014 11:51:05 +0100

ltsp (5.5.0-1) unstable; urgency=medium

  * New upstream version:
    - Write resolvconf configuration to /etc/ rather than /run, as the
      init script wipes out /run after writing to it (Closes: #701647).

    - Add support for modelines (Closes: #591608).
      Based on patch by Andre Majorel.

    - Allow overriding hard-coded "server" alias in /etc/hosts with
      $SERVER_NAME. Thanks to Wolfgang Schweer.
      (Partially addresses: #613988).

    - ltsp-update-kernels: Allow for editable pxelinux.cfg/default, by only
      symlinking to the autogenerated pxelinux.cfg/ltsp. Replacing the symlink
      with a file can now be done without it getting overwritten.

    - update-kernels: Create unversioned symlinks for each kernel variant.

    - ltsp-localappsd: Replace "xatomwait" with "xprop -spy".

    - Increase NBD_SWAP_THRESHOLD default values.

    - nbd-disconnect: Exit if not running NBD root.

    - ltsp-build-client: Switch default mirror to http.debian.net.

    - initramfs-tools scripts:
      + Basic support for AoE root. 
      + Support for mounting an image file over NFS.
      + udhcpc: use correct case for IP kernel parameter.

  [ Alkis Georgopoulos ]
  * Remove packaging to build and install xatomwait.

  [ Vagrant Cascadian ]
  * debian/rules: Switch to using dpkg-vendor instead of lsb_release for
    detecting vendor.

  * ltsp-client-core:
    - Remove tftp as alternative to tftp-hpa, as ltsp uses some features only
      present in tftp-hpa (Closes: #718727). Thanks to Wolfgang Schweer.
    - Recommend acpi-support-base for powerbutton support.
    - Install ltsp-open, used for remoteapps.

  * ltsp-client-builder: Fix race condition with ltsp-update-image, based on
    patch from Ubuntu packaging.

  * debian/control:
    - Set Standards-Version to 3.9.5, no changes needed.
    - Add Ubuntu-specific Depends/Recommends when building on Ubuntu.
    - ltsp-client: Only depend on cryptsetup on Debian.

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 01 Jan 2014 00:55:41 -0800

ltsp (5.4.6-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Change default color depth from 16bit to 24bit as 16bit just doesn't
      work when using unity with llvmpipe. This is a workaround and
      alternatives should be looked at to get back to 16bit if possible.
    - Add 40-ltsp as 40-ltsp-client and 40-ltsp-server in Xsession.d for both
      ltsp-client-core and ltsp-server. (LP: #987726)
    - Make ltsp-client-builder depend on console-setup-udeb rather than
      kbd-chooser for Ubuntu.
    - Make ltsp-client recommend zram-config
    - Make ltsp-client depend on dbus, dmz-cursor-theme,
      fonts-dejavu-core, fonts-freefont-ttf, fonts-kacst-one,
      fonts-khmeros-core, fonts-lao, fonts-liberation, fonts-nanum,
      fonts-takao-pgothic, fonts-thai-tlwg, language-pack-en, libgl1-mesa-dri,
      plymouth-theme-ubuntu-logo, plymouth-theme-ubuntu-text,
      ttf-indic-fonts-core, ttf-punjabi-fonts, ttf-ubuntu-font-family,
      ttf-wqy-microhei and wget.
    - Make ltsp-client-core depend on busybox-static, udhcpd and usbutils.
    - Ship a distro-specific dhcpd.conf using the good old
      192.168.0.0/24 subnet instead of upstream's default 192.168.67.0/24.
    - Add fat client support to the udeb.
    - Have the udeb detect Ubuntu flavours with only main and restricted.
    - Fix race condition during image compression in udeb.
    - Patch dhcpd.conf on the fly to match current architecture.
    - Create a squashfs image by default and configure network in d-i.
    - Install ltsp-cluster.
    - Add code for second stage Edubuntu LTSP install.
    - Change watch file to monitor Debian.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 02 Dec 2013 16:29:42 -0500

ltsp (5.4.6-1) unstable; urgency=low

  * New upstream version:
    - Use help2man to generate man pages (LP #1008053).
    - Updated German translation by Wolfgang Schweer (Closes: #702915).

    - ltsp-client: 
      + pulseaudio: Add module-suspend-on-idle to improve stability.
        Thanks to Tom Wallis for reporting the issue and fix.
      + Optimize localapps user and group handling (LP: #357268).
      + Move the localapps cleanup after X terminates (LP: #1093144).
      + ltsp-cleanup: Only remove local users (LP: #1037034).
      + Avoid Xorg crashes caused by nouveau dri (LP: #1072711).
      + Make dbus machine id constant per client.

    - ltsp-build-client: 
      + Mount /sys in chroot during installation.
        Thanks to Petter Reinholdtsen (Closes: #721597).
      + Fix ignored --debootstrap-keyring commandline option.

  * ltsp-client-core:
    + Recommend pciutils, used by several screen-session hooks.
    + Remove python-daemon dependency, as jetpipe no longer uses it.
    + Recommend dnsutils or knot-dnsutils, which is used to find a valid DNS
      server (Closes: #704271).
    + Drop custom udev rules for ltsp-sound, which is now installed at runtime.

  * Updated patches:
    - use-test-binary
    - jetpipe-from-ltsp-client-core-init-script
  * Removed patches applied upstream: 
    - fix-ltsp-cleanup-bashism
    - fix-ltsp-config-bashisms
    - fix-screen-x-common-bashisms
    - fix-dashisms-using-local-dash
    - ltsp-update-image-aufs-submounts
    - use-run-in-initramfs-udhcp-hook
    - move-ltspconfig-cache
    - fatclients-return-0
    - cryptsetup-swap-with-nbd

 -- Vagrant Cascadian <vagrant@debian.org>  Sat, 23 Nov 2013 19:57:07 -0800

ltsp (5.4.3-0ubuntu6) saucy; urgency=low

  * Make ltsp-client-builder depend on console-setup-udeb rather than
    kbd-chooser for Ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 02 Oct 2013 09:02:17 +0100

ltsp (5.4.3-0ubuntu5) saucy; urgency=low

  * Depend on fonts-dejavu-core rather than ttf-dejavu-core,
    fonts-freefont-ttf rather than ttf-freefont, and fonts-thai-tlwg rather
    than ttf-thai-tlwg.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 07 Jun 2013 14:07:22 +0100

ltsp (5.4.3-0ubuntu4) quantal; urgency=low

  * Upstream recently dropped the -a (architecture) flag of ltsp-update-image.
    Update the ltsp-server postinst to not try and call "-a i386" on Edubuntu.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 05 Sep 2012 16:52:47 -0400

ltsp (5.4.3-0ubuntu3) quantal; urgency=low

  * Fix ltsp-build-client producing a non-bootable system on x86 by
    fixing the update-initramfs hook to check for param.conf before trying
    to sed it. Cherry picked commit (r2391) from upstream.
  * Change default color depth from 16bit to 24bit as 16bit just doesn't
    work when using unity with llvmpipe. This is a workaround and alternatives
    should be looked at to get back to 16bit if possible.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 30 Aug 2012 17:10:29 -0700

ltsp (5.4.3-0ubuntu2) quantal; urgency=low

  * ltsp-client-builder:
    - Fix fat-client option to actually work (instead of always building
      fat client images)
    - Add --updates-mirror none to fix install failure when media doesn't
      contain an updates pocket

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 30 Aug 2012 14:13:10 -0700

ltsp (5.4.3-0ubuntu1) quantal; urgency=low

  * New upstream release (5.4.3)
    - Background jetpipe (LP: #996533)
    - Support armhf target, building an omap4 image and pxelinux structure.
    - Install ltsp-sound.rules directly in /usr/share/ltsp/udev/
  * Drop --mount-cdrom from ltsp-client-builder flags.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 23 Aug 2012 15:05:53 -0400

ltsp (5.4.2-6) unstable; urgency=low

  * Add patch to run jetpipe from ltsp-client-core init script rather than
    init-ltsp.d hook (Closes: #700881). Running from init-ltsp.d is far too
    early in the boot process and causes daemonization to fail, which stops
    boot from continuing. Thanks to James McQuillan for the report.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 25 Mar 2013 09:58:35 -0700

ltsp (5.4.2-5) unstable; urgency=low

  * ltsp-client-core: Depend on initramfs-tools 0.99, to ensure /run is 
    available in the initramfs. 

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 08 Jan 2013 22:00:39 -0800

ltsp (5.4.2-4) unstable; urgency=low

  * ltsp-client-core: Add patch to nbd-disconnect to handle cryptsetup swap 
    devices (Closes: #690267).

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 20 Nov 2012 21:26:04 -0800

ltsp (5.4.2-3) unstable; urgency=low

  * ltsp-client-core patches from upstream: 
    - Fix use of 'echo -e' by switching to printf in screen-x-common 
      (Closes: #692920).
    - Fix use of a "read -p" bashism in ltsp-cleanup (Closes: #690638).
    - Fix dashisms in update-kernels using "local -" by saving flags and 
      restoring them later (Closes: #693499).
    - Prevent setting of LTSP_FATCLIENT variable from causing ltsp-client-core
      initscript to die (Closes: #693745).
    - Move ltspconfig cache processing earlier, so that variables defined in 
      lts.conf can override autodetected variables (Closes: #689668).
    - Fix initramfs udhcp hook to use /run instead of /tmp, which allows the 
      booting from a network using PXE ProxyDHCP (Closes: #693746).

  * ltsp-server patches from upstream: 
    - Fix bashism in ltsp-config by using printf instead of 'echo -e' and echo
      with "\n" interpreting (Closes: #690618).
    - Fix ltsp-update-image to support servers with separate /boot partition.
      (Closes: #693636).
    - Fix dashisms in ltsp-update-image using "local -" by saving flags and 
      restoring them later (Closes: #693496).

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 19 Nov 2012 14:17:21 -0800

ltsp (5.4.2-2ubuntu3) quantal; urgency=low

  * Drop Depends: for dhcp3-server following dhcp3-server to
    isc-dhcp-server transition.  Note package was already ported
    to isc-dhcp-server otherwise.

 -- Andy Whitcroft <apw@ubuntu.com>  Fri, 03 Aug 2012 09:10:34 +0100

ltsp (5.4.2-2ubuntu2) quantal; urgency=low

  * Add 40-ltsp as 40-ltsp-client and 40-ltsp-server in Xsession.d for both
    ltsp-client-core and ltsp-server. (LP: #987726)
  * Cherry pick commits from upstream:
    - 3274: Allow qemu-debootstrap for foreign architectures
    - 3273: Change path from /tmp/net-* to /run/net-* to match new
      initramfs-tools behaviour
    - 3272: Enable recommends by default on Ubuntu
  * Update fat-client debconf description as it doesn't need translation
    and should only be used for preseeding.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 01 Aug 2012 18:46:26 -0400

ltsp (5.4.2-2ubuntu1) quantal; urgency=low

  * Merging from Debian. Remaining changes:
    - Include dhcpd.conf configuration using 192.168.0.1/24 instead of upstream
      192.168.67.0/24 (until we deal with upgrades properly)
    - X-Ubuntu-Depends entries to keep similar package list as pre-merge
    - Change debian/watch to monitor Debian instead of Ubuntu 
    - Include ltsp-cluster in ltsp-client-core
    - Include ltsp-open in ltsp-client-core
    - Set ltsp-client-builder/ltsp_update_image to true by default
    - Set ltsp-client-builder/configure_network_interface to true by default
    - Add ltsp-client-builder/fat-client
    - Setup Edubuntu LTSP in ltsp-server.postinst

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 31 Jul 2012 15:07:37 -0400

ltsp (5.4.2-2) unstable; urgency=low

  * ltsp-server: Move lts.conf from doc to doc/examples.

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 27 Jun 2012 18:12:48 -0500

ltsp (5.4.2-1) unstable; urgency=low

  * New upstream version:
    - init-ltsp.d: regenerate dbus machine-id.
    - Allow regular printer sharing via CUPS.
    - Split common-server.conf to ltsp-server.conf and ltsp-client.conf.

  * Install update-kernels.conf from debian/rules to handle differences in 
    Ubuntu and Debian.

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 27 Jun 2012 16:35:00 -0500

ltsp (5.4.1-1) unstable; urgency=low

  * New upstream version: 
    - Rewrite kiosk screen script and corresponding plugin handling to create 
      ltspkiosk user and dirs at runtime.
    - Only use X_SMART_COLOR_DEPTH if X_COLOR_DEPTH is unset.
    - When DNS_SERVER is unset, try to locate one.
    - Default local syslog, define SYSLOG_HOST in lts.conf for remote logging.
      (LP: #697387)
    - Improvements to update-kernels: 
      + Default to a versioned kernel boot entry rather than a symlinked one.
      + Create a sub-menu for all available kernel versions and variants.
      + Option to use syslinux ifcpu64.c32 to select an appropriate 64-bit, PAE
        or 32-bit kernel at boot.
      + Generate boot menu entries for both NFS and NBD.      
      + Add yaboot entries for all kernel versions and boot methods.
    - ltsp-common-functions: Implement /etc/ltsp/*.conf.d include dirs.
    - ltsp-update-sshkeys: Do not fail if /etc/ssh/ssh_host_*_key.pub
      doesn't exist.
    - ltsp-server-dnsmasq.conf example: increase DHCP lease to 8h.
    - Fix TIMESERVER support in init-ltsp.d hook.
    - Ensure $HOME is set in xfreerdp screen script, working around an 
      xfreerdp segfault.

  * ltsp-client-core: Install a default update-kernels.conf.
  * Implement substvars mechanism to account for differences in Debian and 
    Ubuntu packaging.
  * Add Build-Depends on dctrl-tools.
  * ltsp-server: Only add nfs-kernel-server to Recommends on Debian.
  * ltsp-server-standalone:
    - Only add nfs-kernel-server to Depends on Debian.
    - Add ltsp-docs to Recommends.
  * Run some "make clean" calls in a dh_autoreconf_clean override, otherwise 
    dh_autoreconf_clean may remove files necessary for the generated Makefiles.
  * ltsp-client-builder: Add debhelper token to postinst.

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 15 Jun 2012 18:42:13 -0700

ltsp (5.4.0-1) unstable; urgency=low

  * New upstream version:
    - Rewrite ltsp-update-image:
      + Test that ionice works before using it (needed for some openvz 
        containers).

    - ltsp-config: 
      + New helper utility to configure nbd-server, dnsmasq, lts.conf and 
        isc-dhcp-server.
      + Facilitates setting up a DHCP proxy configuration to seamlessly 
        integrate into existing networks.

    - ltsp-update-kernels (server side): 
      + Support copying the kernels from within NBD images.
      + Check if restorecon exists before running it (LP: #993179).

    - update-kernels (client side): 
      + Default to IPAPPEND=2 with pxelinux.
      + Remove support for sparc, alpha, sparc, and arm. It wasn't generic 
        enough to be useful or reasonably well tested.

    - ltsp-update-sshkeys: 
      + Drop direct support for generating ssh_known_hosts with server ip 
        addresses.

    - ltsp-build-client: 
      + Add back in support for installing ltsp-client-core from squeeze.
      + Allow vendor to be overidden by environment variable, to allow 
        installing an Ubuntu LTSP chroot.
      + Do not force debootstrap keyring checking against /etc/apt/trusted.gpg,
        which may not work with newer versions of debian-archive-keyring, and 
        newer versions of debootstrap default to checking an appropriate 
        keyring.
      + Add --debootstrap-keyring option to specify gpg keyring for 
        debootstrap verification.
      + Disable debootstrap gpg verification when using 
        --accept-unsigned-packages.
      + Remove hacks to ltsp-update-image.conf to avoid generating images, this
        is handled more sanely by ltsp-update-image detecting NFS vs. NBD 
        configuration. (Closes: #674632, #667915).

    - init-ltsp.d hooks:
      + More robust detection of named NBD exports.
      + Disable gettys on ttys 2-6 in /etc/inittab.
      + Default to disabling exim4 at boot.

    - ltsp-common-functions: 
      + Add log, warn and run_parts functions.
      + Source ltsp-$tool.conf.

    - ltsp-client:
      + Drop support for esd (esound), nas, and pulseaudio esound 
        compatibility.
      + Drop support for older versions of pulseaudio.
      + Allow LOCAL_APPS_EXTRAMOUNTS over non empty dirs (LP: #975128).

    - Use 192.168.67.* network for examples, documentation and default 
      configurations, which is less likely to conflict with common 
      192.168.0.* networks.

  * ltsp-server: 
    - Include example lts.conf.
    - Depend on a version of debootstrap that defaults to gpg signature 
      checking.
    - Bump versioned depends/recommends on nbd-server to >= 1:2.9.25-2, to 
      support named exports.

  * ltsp-client-core: 
    - Install ltsp-client-core upstart job.
    - Install update-motd init-ltsp.d script to reduce diff with Ubuntu.
    - Drop dependencies on tip22, aboot, and sparc-utils, as they are no 
      longer supported in upstream LTSP.
    - Drop support and remove dependencies for pulseaudio-esound-compat, 
      esound and nas.

  * debian/rules: 
    - Use dpkg-buildflags to enable hardening options.
    - Use custom autogen.sh that uses autoreconf --force --install.

  * debian/patches:
    - Updated patches for new upstream version.
    - Add patch to support hardening with getltscfg.

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 01 Jun 2012 20:45:14 -0700

ltsp (5.3.7-1) unstable; urgency=low

  * New upstream version:
    - Improve bandwidth usage by setting color depth to 16bit
    - Stop plymouth before starting start_screen_sessions
    - Reorganization of init-ltsp.d, ltsp-*-common-functions and functions.d
    - Apply XKB* settings to /etc/default/keyboard.
    - udhcp: exit if an LTSP boot was not requested.
    - Check if LOCAL_APPS=True before calling ltsp-genmenu.

  * Install ltsp-server-*functions and ltsp-client-*functions from 
    debian/rules.
  * ltsp-client-core: Add Breaks and Replaces on ltsp-server less than 5.3.7, 
    as they both ship ltsp-common-functions.
  * ltsp-client-core: Remove preinst, pre-depends on debconf, and
    corresponding debconf templates, as it should now be safe to
    install ltsp-client-core outside of an ltsp environment.
  * Install init-ltsp.d common and Debian files into the top-level
    init-ltsp.d dir.
  * Use ltsp-chroot manpage from upstream.

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 06 Apr 2012 16:16:54 -0700

ltsp (5.3.7-0ubuntu2) precise; urgency=low

  * Fix ltsp-client-vendor-functions symlink by replacing it by the actual
    target file. (LP: #975769)

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 10 Apr 2012 10:04:52 +0200

ltsp (5.3.7-0ubuntu1) precise; urgency=low

  * New upstream bugfix release (5.3.7).
    - Improve bandwidth usage by setting color depth to 16bit
    - Stop plymouth before starting start_screen_sessions
    - Reorg of init-ltsp.d, ltsp-*-common-functions and functions.d
    - Apply XKB* settings to /etc/default/keyboard.
    - udhcp: exit if an LTSP boot was not requested.
    - Check if LOCAL_APPS=True before calling ltsp-genmenu.
  * Update source path of ltsp-chroot
  * Deal with ltsp-{client,server}-common-functions being separate files now.
  * Add ltsp-common-functions to ltsp-client-core for compatibility.
  * Install the distributor functions in {client,server}/functions/Debian/*
  * Drop xcompmgr for now, the dependency should be on ldm and it's currently
    broken (needs a new ldm)

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 03 Apr 2012 14:44:12 -0400

ltsp (5.3.6-1) unstable; urgency=low

  * New upstream version:
    - ltsp-update-kernels: Only create yaboot symlinks if not otherwise 
      present, making it possible to configure a custom yaboot environment.
    - Drop sound volume code from ltsp-core as it's been in udev
      for a while now.
    - Disable unnecessary cronjobs.
    - Turn off cron, dbus and some other services when < 128MB of RAM.
    - Update screen sessions launching to save the openvt RAM.
    - Delete functions that were moved to init-ltsp.d/
    - Use /usr/share/xsessions to autodetect fat chroots.
    - Only remove old kernels for valid chroots.

  * Add Conflicts for ltsp-client-core and ltsp-server with each other, which 
    both ship ltsp-common-functions.
  * ltsp-client*: do not use inputattach or joystick on s390x.
  * Update debian/NEWS with recent 5.3.x series changes. 

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 23 Mar 2012 14:12:08 -0700

ltsp (5.3.6-0ubuntu4) precise; urgency=low

  * ltsp-client: Add dependency on xcompmgr to use compositing when available.
    (LP: #967320)

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 30 Mar 2012 10:20:59 -0400

ltsp (5.3.6-0ubuntu3) precise; urgency=low

  * ltsp-live: Fix gettext domain of ltsp-live.desktop. (LP: #967436)
  * ltsp-server: Remove old nbdrootd and nbdswapd inetd.conf entries (LP: #946537)
  * ltsp-server: For Edubuntu, cleanup /etc/apt/sources.list and /etc/resolv.conf
    in the chroot to remove entries added by the DC builder (LP: #967608)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 29 Mar 2012 13:42:37 -0400

ltsp (5.3.6-0ubuntu2) precise; urgency=low

  * Make sure we exit plymouth before starting the screen sessions. (LP: #966267)

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 27 Mar 2012 11:53:53 -0400

ltsp (5.3.6-0ubuntu1) precise; urgency=low

  * New upstream bugfix release (5.3.6).
    - Simplify fat chroot autodetection
    - Blacklist Xsession.desktop in fat chroot autodetection
    - ltsp-update-kernels: only create yaboot symlinks if not otherwise present, 
      making it possible to configure a custom yaboot environment
    - replace dpkg-query with dpkg to fix script and installs ldm-ubuntu-theme
    - fix fat desktops and ldm themes selection
    - select the correct LDM theme for fat chroots too

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 22 Mar 2012 15:26:42 -0400

ltsp (5.3.5-0ubuntu1) precise; urgency=low

  * New upstream bugfix release (5.3.5)
    - Avoid running update-motd.d on Ubuntu
    - Drop sound volume code from ltsp-core as it's been in udev
      for a while now.
    - Disable some more unnecessary cronjobs
    - Turn off cron, dbus and some other services when < 128MB of RAM
    - Update screen sessions launching to save the openvt RAM
    - Delete functions that were moved to init-ltsp.d/
    - Use /usr/share/xsessions to autodetect fat chroots
    - Plymouth is sometimes using vt7, use openvt -f (force)
    - Only remove old kernels for valid chroots.
  * New upstream bugfix release (5.3.4)
    - Only listing changes to the Ubuntu/Common code since 5.3.2
    - Update lsb headers of ltsp-core
    - Drop all references to usplash
    - Drop ltsp-setup completely (no longer used)
    - Avoid overwriting jetpipe's DEVICE variable.
    - Make sure we set LANGUAGE properly.
    - Move some ltsp-init-common functions to init-ltsp.d scripts
    - Move 50-mtab from common to Ubuntu, symlink to Debian
    - Remove init-ltsp.d/*/50-localdev, which shouldn't be needed any longer
  * Replace sysvinit script by upstart script from upstream, making sure
    it always starts at the right time.
  * Add missing nbd-disconnect script (required for clean shutdown)

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 09 Mar 2012 13:03:30 -0500

ltsp (5.3.4-1) unstable; urgency=low

  * New upstream version:
    - Remove ltsp-setup init script.
    - Update lsb headers on ltsp-core init script.
    - Remove references to usplash.
    - Moved some ltsp-init-common functions to init-ltsp.d hooks.
    - Rearrange init-ltsp.d scripts to set SERVER earlier and consistantly.
    - Provide a KEEP_SYSTEM_SERVICES whitelist in init-ltsp.d hooks.
    - Update xfreerdp script to handle the case where rdesktop or xfreerdp
      aren't installed.
    - Consistantly use 192.168.0.1 as default server.
    - Append to ltsp_config instead of overwriting it.
    - Set sound volume on fat clients too (LP: #923923).
    - Disconnect NBD mounts when the ltsp-client service is stopped.

  * ltsp-client: 
    - Add versioned dependency on ltspfsd >= 1.1.
    - Add dependency on x11-xserver-utils for xrandr support.
    - Add dependency on cron.

  * ltsp-client-core:
    - Update lintian overrides to ignore warnings/errors about remote 
      filesystem issues that don't make sense for LTSP.

  * debian/control: 
    - Remove inactive maintainers from Uploaders, thanks for all past and 
      hopefully future contributions!
    - Update Standards-Version to 3.9.3, no changes necessary.

  * debian/watch: 
    - Remove entry to check Fedora, which has not been updated for some time.

  * debian/patches:
    - Update use-test-binary.
    - Remove use-invokercd-initscripts, obsoleted upstream.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 05 Mar 2012 19:18:50 -0800

ltsp (5.3.2-0ubuntu3) precise; urgency=low

  * ltsp-live:
    - Add translation of .desktop file
    - Refresh translation template
    - Update french translations

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 01 Mar 2012 10:36:41 -0500

ltsp (5.3.2-0ubuntu2) precise; urgency=low

  * ltsp-live: Don't crash when no network interface is available.
    (LP: #936939)
  * ltsp-live: Update for LTSP 5.3, use NBD named mounts instead of the
    old nbd-server on port 2000, also install ldm-server and start inetd.
    This is all required to get a clean LTSP 5.3 boot instead of getting
    stuck in the initrd.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 27 Feb 2012 14:38:05 -0500

ltsp (5.3.2-0ubuntu1) precise; urgency=low

  [ Stéphane Graber ]
  * New upstream release (5.3.1)
    - A lot of Debian specific fixes (code path not used by Ubuntu)
    - Ensure /sys and /proc are always mounted when calling init-ltsp
    - Issue a message when ltsp-update-image is disabled
    - Ensure that lts.conf ends up in /etc
    - Only overwrite lts.conf if it has non-zero size
    - Only download tftp from $NBD_ROOT_HOST if it is defined
    - ltsp_config: delete the cache files on boot
    - Start ltsp-client-core only when an LTSP boot was requested
    - set_lts_var: remove old values from the cache file
    - Don't hardcode squashfs as the FSTYPE (LP: #696435)
    - ltsp-build-client: copy /etc/default/keyboard if it exists
  * New upstream release (5.3.2)
    - Use 192.168.0.1 consistently (instead of sometimes having .254)
    - Append to ltsp_config, don't overwrite it.
    - Rearrange init-ltsp.d scripts to set SERVER in more cases.
    - Remove I10-sound as it seems very deprecated.
    - Set sound volume on fat clients too (LP: #923923)
    - Disconnect NBD mounts when the ltsp-client service is stopped
    - Update xfreerdp script to handle the case where rdesktop or
      xfreerdp aren't there.
  * Replace dhcp3-server by isc-dhcp-server (package was renamed)
    (LP: #934014)
  * Setup a clean /etc/nbd-server/config if not already present
  * Use 192.168.0.1 everywhere by default. (LP: #390155)
  * Improvements to debian/ltsp-client-builder.postinst:
    - Wait for ltsp-update-image to actually exit. (LP: #813837)
    - Fix outdated check for universe (was looking for karmic ...)

  [ Alkis Georgopoulos ]
  * Drop mythbuntu debian/extra-plugins hook as it's now covered by the
    upstream fat client implementation and didn't work anyway.
  * Drop debian/ltsp-client-core.dirs as these are now created at boot
    time in ltsp-init.
  * Simplify debian/ltsp-client-core.install
  * LTSP 5.3 allows for ltsp-client-core to be installed on a regular
    machine, so there's no reason to prevent its installation.
    Drop ltsp-client-core.preinst and ltsp-client-core.templates and
    refresh the translations.
  * Drop nbdswapd from ltsp-server.postinst as that's now done in a
    named NBD export since LTSP 5.3.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 23 Feb 2012 14:21:57 -0500

ltsp (5.3.1-1) unstable; urgency=low

  * New upstream release:
    - Most ltsp-build-client plugins have now been moved to ltsp-init.d
      scripts, applying at boot time instead of build time.
    - Massive rework of all our init scripts, including deprecation of
      ltsp-client-setup.
    - Better NBD handling, using the upstream NBD scripts. LTSP is now
      using named NBD mount for both root and swap.
    - Moved from a whitelist of boot services to a blacklist, please get
      in touch with upstream if you noticed something that needs
      blacklisting.
    - New improved nbd-proxy with support for named NBD mounts
      (nbd-proxy is turned off by default)
    - Improvements to ltsp-update-image including use of ionice by default.
    - Lots of fat clients improvement.
    - Proper handling of resolvconf
    - LTSP now ships /sbin/init-ltsp that's used to configure the thin
      client at boot time.
    - Improve ltsp-chroot command (it even has a manpage now).
    - Better handling of mixed NFS and NBD environment.
    - More consistent use of ltsp_config and ltsp-*-functions giving us
      a consistent environment and avoiding some delays.
    - Improved sound volume handling using udev rule instead of the old
      script.
    - Default to use NFS with a writeable aufs overlay for the entire root 
      filesytem.
    - ltsp-build-client: Configure ltsp-update-image depending on type of 
      installed environment to ensure running ltsp-update-image doesn't 
      automatically convert from one type of network boot to another.
    - Add fat-client ltsp-build-client plugin.
    - Fix ltsp-build-client kiosk plugin to use kiosk screen
      session (Closes: #659396).
    - ltsp-build-client locales plugin: Copy /etc/default/keyboard if present.
    - Start ltsp-client-core only when an LTSP boot was requested.
    - Plenty of other fixes, thanks to everyone involved with this release!

  * debian/control:
    - ltsp-client: Add dependency on rsyslog or system-log-daemon.
    - ltsp-client: Prefer freerdp-x11 over rdesktop.
    - ltsp-client-core: Add dependency on iproute, used to detect the client 
      mac address.
    - ltsp-client-core: Recommend procps, used in much of the LTSP codebase.

  * debian/rules: 
    - Use override_dh_install for nbd-proxy and po-file installation.
    - Install nbd-client-proxy.
    - Use dh_autoreconf to call autogen.sh.

   * Slovak (sk) translation of debconf messages by Slavko (Closes: #651727).

   * debian/patches: Remove check-exports-d, applied upstream.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 20 Feb 2012 22:15:41 -0800

ltsp (5.3-0ubuntu1) precise; urgency=low

  * New upstream release (5.3):
    - Most ltsp-build-client plugins have now been moved to ltsp-init.d
      scripts, applying at boot time instead of build time.
    - Massive rework of all our init scripts, including deprecation of
      ltsp-client-setup.
    - Better nbd handling, using the upstream nbd scripts. LTSP is now
      using named NBD mount for both root and swap.
    - Moved from a whitelist of boot services to a blacklist, please get
      in touch with upstream if you noticed something that needs
      blacklisting.
    - New improved nbd-proxy with support for named NBD mounts
      (nbd-proxy is turned off by default)
    - Improvement to ltsp-update-image including, use of ionice by default.
    - Lots of fat clients improvement.
    - Proper handling of resolvconf
    - LTSP now ships /sbin/init-ltsp that's used to configure the thin
      client at boot time.
    - Improve ltsp-chroot command (it even has a manpage now)
    - Better handling of mixed NFS and NBD environment.
    - More consistent use of ltsp_config and ltsp-*-functions giving us
      a consistent environment and avoiding some delays.
    - Improved sound volume handling using udev rule instead of the old
      script.
    - Plenty of other fixes, thanks to everyone involved with this release!
  * Re-order all the debian/* files
  * Add new upstream files to debian/ltsp-client-core.install
  * Replace ttf-unfonts-core by fonts-nanum
  * Drop upstart jobs (shouldn't be needed with new upstream)
  * Remove ltsp-update-image.conf from /etc/ltsp/
  * Change ltsp-server recommend to tftpd-hpa | dnsmasq
  * Make ltsp-client-core depend on busybox-static to avoid installing
    busybox, then replacing it by busybox-static.
  * Switch to freerdp-x11 by default instead of rdesktop.
  * Drop usplash from dependencies as upstream dropped support.
  * Move /etc/nbd-server/config to /etc/nbd-server/config.ltsp-backup
    on first upgrade of LTSP to a version using conf.d
  * Make LTSP depend on nbd >= 1:2.9.25-2
  * Drop nbd-update-config, now using conf.d
  * Drop all debian/screen-session.d hacks as they are now either in LTSP
    upstream or in the upstream kernel.
  * Now source format 3.0 (quilt)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 15 Feb 2012 12:31:05 -0500

ltsp (5.2.16-1) unstable; urgency=low

  * New upstream version:
    - ltsp-server:
      + ltsp-update-sshkeys: consistantly handle when ssh host keys are not 
        present.
      + Remove abi and vmcoreinfo in ltsp-update-kernels cleanup function.
        (LP: #769154)
      + Add support for named NBD exports to ltsp-update-image.
      + Add nbd-update-config script to support named NBD exports.

    - ltsp-build-client:
      + Add --kernel-version and --kernel-variant commandline options.
      + Default to version 8 for kfreebsd kernel images.
      + Drop support for lenny with squashfs-images.
      + Switch to qemu-debootstrap to handle cross-architecture building.
      + Use debootstrap's --variant=minbase instead of a long list of outdated 
        excludes.
      + Fix inverted logic appending locales package to debootstrap includes.
      + Use cdn.debian.net as the default mirror.
      + Check for NFS exports in /etc/exports.d/*.exports.
      + Add --eatmydata commandline option for faster development testing by 
        using eatmydata LD_PRELOAD.

    - ltsp-client-core:
      + Add an xterm screen script.
      + Replace rdesktop screen script with one that supports both xfreerdp 
		and rdesktop.
      + Remove modesetting part of XRANDR_AUTO_MULTIHEAD. Causes more
        problems than it solves.
      + Update ltsp_nbd to support named NBD exports.
      + Update ltsp_config to work with named NBD exports.
      + Update nbd-proxy to support named NBD exports.
      + ltsp-init-common: support /run/sendsigs.omit.d in 
        nbd_sendsigs_protection function.
      + ltsp-init-common: Fix issues with RCFILE_* and MODULE_* lts.conf i
        variables.

    - ltsp-common-functions:
      + Detect nc version for nc -q capability.

  * Change architecture for linux-specific dependencies to use linux-any
    rather than an exclude list. Thanks to Robert Millan (Closes: #634318).
  * Only install nbd-proxy on linux based architectures. 
  * ltsp-client: allow freerdp-x11 as an alternative to rdesktop. 
  * Patch from upstream to fix check for NFS exports in 
    /etc/exports.d/*.exports.
  * debian/rules: Convert to using debhelper overrides.
  * ltsp-server: Remove check for NFS exports from postinst, as it is
    handled better in an ltsp-build-client plugin.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 14 Aug 2011 07:53:58 -0700

ltsp (5.2.16-0ubuntu15) precise; urgency=low

  * ltsp-live: Update to new version giving proper feedback to the user.
  * Cherry pick yet another upstream fix to deal with install media
    without the non-PAE kernel. Actually run the check in the target
    rather than the host (which may have different APT sources).

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 08 Feb 2012 12:47:13 -0500

ltsp (5.2.16-0ubuntu14) precise; urgency=low

  * ltsp-live: inotify is broken on overlayfs so upstart and NM don't
    detect configuration changes. Add some ugly workaround to force
    upstart to detect the new job (reload-configuration) and manually
    start it. For Network Manager, restart network-manager just after
    adding the new config. (LP: #856460)
  * Cherry pick another upstream fix to deal with install media
    without the non-PAE kernel. Actually run the check in the target
    rather than the host (which may have different APT sources).

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 01 Feb 2012 14:09:32 -0500

ltsp (5.2.16-0ubuntu13) precise; urgency=low

  * Cherry-pick upstream fix to deal with install media not containing
    the non-PAE kernel (on i386). In such case, ltsp-build-client will
    fallback to using the PAE kernel. If the user wants the non-PAE kernel
    they'll need to do the change post install or run ltsp-build-client
    instead of using the d-i integration.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 01 Feb 2012 10:08:46 -0500

ltsp (5.2.16-0ubuntu12) precise; urgency=low

  * Cherry-pick upstream fix to support resolvconf.
    (applied in-line in the package but will be in next upstream version)

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 30 Jan 2012 16:55:37 -0500

ltsp (5.2.16-0ubuntu11) precise; urgency=low

  * debian/control: Update dependencies for ttf-* → fonts-* renaming.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 07 Dec 2011 17:07:45 +0100

ltsp (5.2.16-0ubuntu10) precise; urgency=low

  * ltsp-client-builder: Make sure ssh's /run directory has mode 755.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 30 Nov 2011 14:58:05 -0500

ltsp (5.2.16-0ubuntu9) precise; urgency=low

  * Update ltsp-live to configure dnsmasq to only bind the interface used
    for LTSP. Avoids conflict with lxc and libvirt.

 -- Stéphane Graber <stgraber@ubuntu.com>  Sun, 27 Nov 2011 18:32:11 -0500

ltsp (5.2.16-0ubuntu8) precise; urgency=low

  * Switch from aufs to overlayfs
    (similar fix pushed upstream and will be included in the next release)

 -- Stéphane Graber <stgraber@ubuntu.com>  Sat, 26 Nov 2011 23:22:24 -0500

ltsp (5.2.16-0ubuntu7) oneiric; urgency=low

  * Change ltsp-live configuration script to use /bin/bash for the guest
    users.
  * In ltsp-live, only generate guest accounts for IPs that are given out
    by dnsmasq.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 29 Sep 2011 12:40:11 -0400

ltsp (5.2.16-0ubuntu6) oneiric; urgency=low

  * Re-introduce ltsp-server-standalone that disappeared after the call
    to wrap-and-sort (for some unknown reason)
  * Drop Recommends from ltsp-client-core that got added by mistake
    by wrap-and-sort

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 19 Sep 2011 09:21:01 -0400

ltsp (5.2.16-0ubuntu5) oneiric; urgency=low

  * Add dependency on all the fonts shipped by Ubuntu.
    This should fix rendering for most languages. (LP: #838845)
  * Run wrap-and-sort to make lists a bit more readable.

 -- Stéphane Graber <stgraber@ubuntu.com>  Sun, 18 Sep 2011 17:36:20 -0400

ltsp (5.2.16-0ubuntu4) oneiric; urgency=low

  * Fix LTSP-Live opening user session in the wrong language (LP: #838268)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 31 Aug 2011 13:52:53 -0400

ltsp (5.2.16-0ubuntu3) oneiric; urgency=low

  * Add language-pack-en by default to all chroot
    (required to get ldm to translate the UI at all)
  * Always set LANG to en_US.UTF-8 in LTSP Live and set
    LANGUAGE to the current value of $LANG to get ldm translated.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 30 Aug 2011 13:55:50 -0400

ltsp (5.2.16-0ubuntu2) oneiric; urgency=low

  * Replace ltsp-live by new code properly configuring Network Manager
    and supporting translation (LP: #791611)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 24 Aug 2011 16:51:55 -0400

ltsp (5.2.16-0ubuntu1) oneiric; urgency=low

  * New upstream release (5.2.16)
    - Updated nbd-server to support named mounts (disabled by default)
    - Update ltsp-update-kernels to also clean symvers-*.gz
    - 091-unmount-dirs: Remove noise if /proc/mounts does not exist
    - ltsp-update-sshkeys: Noisy and not helpful error messages
    - ltsp-update-sshkeys: missing ecdsa host key is valid
    - Added tftp-dirs and purge-chroot options to ltsp-build-client man.
    - Multiple fedora, gentoo and debian specific changes

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 11 Aug 2011 12:27:14 -0400

ltsp (5.2.13-0ubuntu1) oneiric; urgency=low

  * New upstream bugfix release (5.2.13)
    - Fix missing import in nbd-update-image
  * Fix ltsp-client-builder udeb to work with /run
  * Bump standards

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 01 Aug 2011 17:08:00 -0400

ltsp (5.2.12-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - Make ltsp-update-sshkeys consistent when missing host keys
    - Add support for nbdname to ltsp-update-image (LP: #806419, LP: #331600)
    - Add support for /run/sendsigs.omit.d in nbd_sendsigs_protection
    - Update ltsp_nbd for named nbd devices support (LP: #806419, LP: #331600)
    - Allow setting tftp-dirs from ltsp-build-client.
      Patch from Wim Muskee. (LP: #417127)
    - Only call asoundconf if it actually exists (LP: #609766)
    - Also copy sources.list.d entries when using --copy-sourceslist,
      thanks to Jimmy Hedman (LP: #706691)
    - Remove abi and vmcoreinfo in ltsp-update-kernels
      cleanup function (LP: #769154)
    - screen.d/xterm: pass a single, quoted command to xinitrc
    - screen.d/xfreerdp: pass a single, quoted command to xinitrc
    - Replace screen.d/rdesktop by screen.d/xfreerdp
      and make rdesktop a symlink
    - Add an xterm session script
    - Detect nc version for nc -q capability
    - Fix issues with RCFILE_ and MODULE_ (patch from jam@tigger.ws)
    - Remove modesetting part of XRANDR_AUTO_MULTIHEAD.
    - Update translations
    - ltsp-vmclient is obsolete.  Mark it as an example.
    - new version of nbd-proxy (off by default)

  * Remove rdesktop.sh from ltsp-client-core (no longer exists)
  * Add nbd-update-config to /usr/share/ltsp/scripts/
  * Set NBD_NAMED to 1 in ltsp-update-image.conf

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 01 Aug 2011 09:25:20 -0400

ltsp (5.2.8-1) unstable; urgency=low

  * New upstream version:
    - Fix lts.conf CRONTAB_* entries.
    - ltsp_config: Disable filename expansion when setting environment 
      variables.
    - ltsp-init-common: Do not run ntpdate backgrounded, as this can fail on 
      fast thin clients.
    - Ensure vmlinuz, initrd and nbi are ALWAYS readable by the tftp daemon.
    - Updated translations:
      + Catalan (ca), by Jordà Polo and Jordi Mallach (Closes: #619437).
      + Finnish (fi), Esko Arajärvi (Closes: #618937).
      + Slovak (sk), by Slavko (Closes: #618410).

  * ltsp-client-core: install rdesktop.sh, used by the rdesktop screen script.
    Thanks to Rainer Stumbaum. (Closes: #626502)

  * Remove patch fix-run-parts-list-breakage, applied upstream. 

  * debian/control: 
    - Switch to DM-Upload-Allowed.
    - Update Vcs-Bzr and Vcs-Browser.
    - Update Standards-Version to 3.9.2, no changes.

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 03 Jun 2011 13:11:54 -0700

ltsp (5.2.8-0ubuntu2) oneiric; urgency=low

  * Add ltsp-bindmounts from Debian (LP: #620133)
  * Resync debian/copyright from Debian

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 07 Jul 2011 10:10:09 +0200

ltsp (5.2.8-0ubuntu1) natty; urgency=low

  * New upstream bugfix release (5.2.8).
   - Ignore return code of chmod in ltsp-update-kernels (LP: #759965)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 13 Apr 2011 14:32:40 -0400

ltsp (5.2.7-0ubuntu1) natty; urgency=low

  * New upstream bugfix release (5.2.7).
   - Force vmlinuz, initrd and nbi to be readable by tftp daemon (LP: #759115)
   - Fix race condition with ntpdate
   - Update translations
   - Fix inheritence issue in CRONTAB_
   - Simplify run_parts_list function
   - Gentoo specific fixes

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 12 Apr 2011 16:09:22 -0400

ltsp (5.2.6-1) unstable; urgency=low

  * New upstream version:
    - initramfs-tools hooks:
      + ltsp_nbd:
        - Retry establishing NBD connections up to 10 times.
        - Mention which NBD server failed to connect.
        - Do not use nbd-proxy by default.
      + udhcp: Don't send a client id (LP #505916).
    - ltsp-update-sshkeys: Add support for ecdsa keys.
    - ltsp-bindmounts: new variables to append to default writeable directories
      and files.
    - ltsp-build-client: Crude support for multistrap as an alternative to
      debootstrap.
    - jetpipe: Use python's daemon library to background.
    - Rewrite of remote apps support.

  * New Danish (da) translation of debconf messages by Joe Dalton.
    (Closes: #599436)
  * ltsp-server:
    - Prefer isc-dhcp-server over other dhcp servers. 
  * ltsp-client:
    - Depend on python-daemon for newer version of jetpipe. 
  * debian/patches:
    - Drop  initramfs-configure-dns, applied upstream.
    - Add patch to fix breakage in ltsp-init-common run_parts_list function.

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 18 Mar 2011 14:14:49 -0700

ltsp (5.2.6-0ubuntu4) natty; urgency=low

  * Make Edubuntu theme default for LTSP Live on Edubuntu media

 -- Jonathan Carter <jonathan@ubuntu.com>  Tue, 05 Apr 2011 15:19:26 -0400

ltsp (5.2.6-0ubuntu3) natty; urgency=low

  * Fix postinst script generating invalid ssh_known_hosts file on Edubuntu.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 28 Mar 2011 12:22:43 -0400

ltsp (5.2.6-0ubuntu2) natty; urgency=low

  * Fix typo in post-inst script (LP: #730331)

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 08 Mar 2011 10:43:17 -0500

ltsp (5.2.6-0ubuntu1) natty; urgency=low

  * New upstream bugfix release (LP: #727339).
   - Disable nbd-proxy by default (fixes thin clients hanging at boot time)
   - ecdsa key support
   - Syntax issue in a "find" call
   - Fixes a possible race condition with fat clients

  * Update postinst script to handle ecdsa keys for edubuntu

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 03 Mar 2011 16:09:47 -0500

ltsp (5.2.5-0ubuntu1) natty; urgency=low

  * New upstream release
   - Implement LTSP remote apps
   - jepipe refactoring, using python-daemon now
   - support updating hardware clock in set_time()
   - Various Debian and Gentoo specific changes
   - Improve initramfs scripts (debug ,race conditions, ...)
   - Code cleanup and translation update
  * Add dependency on python-daemon (required by jetpipe)
  * Sort ltsp-client-core.install and add
   - client/kioskSession (kiosk)
   - localapps/ltsp-open (remote apps)

 -- Stéphane Graber <stgraber@ubuntu.com>  Sun, 05 Dec 2010 23:05:44 -0500

ltsp (5.2.4-2) unstable; urgency=low

  * Add patch to initramfs-tools nfs-bottom hook to configure DNS from DHCP
    values (Closes: #593770).

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 27 Aug 2010 14:04:54 -0700

ltsp (5.2.4-1) unstable; urgency=low

  * New upstream version:
    - ltsp-build-client: chroot_mount function: strip off / from specified
      mount points (Closes: #590268).  Thanks to Petter Reinholdtsen.
    - ltsp-build-client: simplify unmounting of /proc/sys/fs/binfmt_misc mount
      in chroot (Closes: #590318).  Patch by Petter Reinholdtsen. 
    - ltsp-chroot: fix argument processing for --arch and --base.
    - ltsp-init-common: Make missing file/dir warnings a little less alarming
      in bind_mounts function.
    - Add wrapper for rdesktop screen script to work with pasuspender.
    - initramfs-tools udhcpc hook: Set broadcast address (LP #604276).

  * Drop patch for /media/cdrom, applied upstream.
  * Update Standards-Version to 3.9.1, no changes necessary.

 -- Vagrant Cascadian <vagrant@debian.org>  Sat, 31 Jul 2010 09:27:44 -0400

ltsp (5.2.4-0ubuntu6) maverick; urgency=low

  * Fix typo in last upload causing one of the ssh_known_hosts entry to
    be missing. (still Edubuntu-specific)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 09 Sep 2010 21:56:13 -0400

ltsp (5.2.4-0ubuntu5) maverick; urgency=low

  * Update edubuntu hook:
   * Remove call to ltsp-update-sshkeys and replace by own implementation.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 08 Sep 2010 23:37:27 -0400

ltsp (5.2.4-0ubuntu4) maverick; urgency=low

  * Update edubuntu hook to create syslog and messages if they don't exist.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 07 Sep 2010 23:54:36 -0400

ltsp (5.2.4-0ubuntu3) maverick; urgency=low

  * Add edubuntu hook to ltsp-server's postinst so LTSP installs fine.
    It's running ltsp-(update-sshkeys|update-image|update-kernels) if
    /opt/ltsp/i386 and /etc/edubuntu_ltsp_install both exists

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 07 Sep 2010 19:12:14 -0400

ltsp (5.2.4-0ubuntu2) maverick; urgency=low

  * Update the d-i component to use /media/cdrom instead of /cdrom
    as /cdrom doesn't exist in /target anymore.
  * Set Language field for debconf translation or debconf-updatepo
    will set it to an empty value.

  * Fix .diff.gz issue in -0ubuntu1, these upstream changes weren't
    in the binary package. These were upstream bugfixes and optimisations:
   * udhcp now waits for 0.1s instead of 1s
   * Change ltsp-core's way to start upstart
   * Fix configure_cron's check of /etc/cron.d being writeable
   * Add "Language" tag to most .po files
   * Fix X01-localapps's check of /etc being writeable
   * Get rid of .pc directory
   * Change ltsp-update-sshkeys to use /sbin/ip instead of /sbin/ifconfig

 -- Stéphane Graber <stgraber@ubuntu.com>  Sat, 28 Aug 2010 16:00:58 -0400

ltsp (5.2.4-0ubuntu1) maverick; urgency=low

  * New upstream release (5.2.4)
   * Various Gentoo specifc fixes
   * Unmount binfmt_misc in ltsp-update-image
   * Change cdrom path from /cdrom to /media/cdrom in ltsp-build-client
   * adding a wrapper for rdesktop to work with pasuspender
   * set broadcat address in the udhcpc script
   * Unload compcache if there's another swap space available
   * allow disabling nbd-proxy and disable it on low-memory systems
   * new ltsp-chroot script
   * disable fat client on low-memory systems by default
   * update translations
   * lot of bugfixes

 -- Stéphane Graber <stgraber@ubuntu.com>  Sat, 31 Jul 2010 18:04:05 -0400

ltsp (5.2.3-2) unstable; urgency=high

  * Change /cdrom to /media/cdrom, to work with the new d-i paths
    (Closes: #589646).  Using urgency=high to fix this RC bug.
  * Disable package signature checking when installing from CD using
    the ltsp-client-builder udeb.
  * Use sleep 1 instead of sleep 0.1 to work with busybox
    (Closes: 589820).

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 21 Jul 2010 21:44:40 +0200

ltsp (5.2.3-1) unstable; urgency=low

  * New upstream version:
    - ltsp-build-client:
      + Drop default whitelists for init scripts, as it doesn't work when used
        with insserv.
      + Ensure that /var/run and /var/lock are not cleaned when using tmpfs by
        setting RAMRUN and RAMLOCK in /etc/default/rcS (Closes: #575307).

    - ltsp-update-sshkeys:
      + Add -p flag to ltsp-update-sshkeys to specify sshd port on remote
        application servers.
      + Add support for specifying server:port for remote servers on the
        command line.

    - ltsp-chroot:
      + Rewrote to support commandline arguments and filesystem mounting.
        Thanks to Alkis Georgopoulos.

    - ltsp-client-setup:
      + Use module-stream-restore with newer versions of pulseaudio.
      + Do not configure localdev from ltsp-client-setup initscript, as it is
        now is handled by udev rules.
      + Use nbd-client's -swap parameter when using NBD swap.

    - initramfs-tools ltsp_nbd: 
      + Allow disabling nbd-proxy.
      + Disable nbd-proxy by default when RAM is limited.

    - Don't set LTSP_FATCLIENT for thin clients with limited RAM.
    - New Slovak (sk) translation by Slavko (Closes: #578688).

  * ltsp-client/ltsp-client-core: 
    - Add a versioned dependency on nbd-client to ensure -swap works properly.
    - Do not depend or suggest inputattach or joystick for s390 
      (Closes: #587607).
    - Only allow older versions of joystick package to satisfy depends or
      suggests, as newer versions do not include the inputattach binary.
    - Add kioskSession script, used by the kiosk screen.d script.

  * Convert from dpatch to source format "3.0 (quilt)".
  * Update Standards-Version to 3.9.0, no changes necessary.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 05 Jul 2010 22:40:33 -0700

ltsp (5.2.2-1) unstable; urgency=low

  * New upstream version: 
    - Initialize screen session tty with openvt.
    - Generate upstream changelog.
    - Fix ltsp-update-sshkeys by generating the thin-client's ssh_known_hosts
      files directly from the server's keys, rather than using ssh-keyscan.

    - Updated translations:
      + French (fr), by Jean-Baka Domelevo Entfellner (Closes: #571073).
      + French (fr), by Stephane Graber.
      + Japanese (ja), by Hideki Yamane (Closes: #577067).
      + Swedish (sv), by Martin Bagge (Closes: #577007).
      + German (de), by Wolfgang Schweer (Closes: #576784).
      + Portuguese (pt), by Américo Monteiro (Closes: #576450).
      + Russian (ru), by Yuri Kozlov (Closes: #576561).
      + Vietnamese (vi), by Clytie Siddall (Closes: #576506).
      + Spanish (es), by José L. Redrejo Rodríguez.
      + Italian (it), by Vincenzo Campanella.
      + Portuguese (pt), by Américo Monteiro (Closes: #576450).
      + Greek (el), by Alkis Georgopoulos.
      + Chinese (simplified) (zh_CN), by YunQiang Su.

  * Remove initialize-tty-with-openvt patch, applied upstream. 
  * Use ltsp-server.lintian-overrides instead of installing manually.
  * Add lintian override:
    - ltsp-client-core: init.d-script-missing-dependency-on-remote_fs
      + The whole LTSP filesystem is a remote filesystem.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 19 Apr 2010 15:08:07 -0700

ltsp (5.2.1-1) unstable; urgency=low

  * New upstream version:
    - Add SCREEN_DEFAULT parameter to select which screen script will be
      displayed at boot.
    - Improved sound support with rdesktop screen script.
    - Set default microphone volume to 40% if unspecified to avoid problems
      with sound feedback.
    - New "NBD_SWAP_THRESHOLD" lts.conf parameter, to automatically
      enable NBD_SWAP for clients with less RAM than that threshold.
    - Consistantly change NBD_PORT to NBD_SWAP_PORT and NBD_ROOT_PORT, and
      SWAP_SERVER to NBD_SWAP_SERVER where appropriate.
    - nbdswapd: Increase the default size to 64 MB.

    - Fat clients:
      + Option to enable NFS mounted home directories for fat clients.
      + Disable local devices when configured as a fat client.

    - Localapps:
      + Do not follow symlinks with sshfs mounted home directory by default.

    - ltsp-build-client:
      + Simplified unmounting of filesystems by splitting into a separate
        plugin.
      + New plugin to install custom .deb files from specified directory.

    - ltsp-update-sshkeys:
      + Add an ssh key entry for "server" referring to the LTSP server itself.
      + Clean up usage info in ltsp-update-sshkeys.

    - initramfs-tools hooks:
      + When using an aufs mounted root filesystem, set permissions on
        writeable tmpfs so that it is not world-writeable (LP: #516608).
      + Properly separate tftppath when downloading lts.conf (LP: #238010).
      + Allow clientid to be passed as a kernel parameter when using udhcpc
        (LP: #505916).

  * Install dpkg triggers so that initramfs-tools will regenerate the
    initramfs on upgrade.
  * Add patch from upstream to initialize tty using openvt before starting a
    screen script on that tty.
  * Work around bugs in debconf which prevent error messages from getting
    displayed by also displaying text directly (Closes: #574199).
  * Include nbd-proxy manpage.
  * Drop revert-fgconsole patch, applied upstream.
  * Remove un-used lintian overrides for ltsp-client. lintian no longer
    complains about architecture-specific metapackages.
  * debian/rules: Clean the nbd-proxy dir in the clean target.
  * Add debian/source/format and set to 1.0.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 04 Apr 2010 16:06:07 -0700

ltsp (5.2.1-0ubuntu8) lucid; urgency=low

  * Make LTSP live working in non-english languages (edubuntu only).

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 22 Apr 2010 08:27:23 -0400

ltsp (5.2.1-0ubuntu7) lucid; urgency=low

  * Fix multi-NIC support in d-i plugin. (LP: #376933)
  * Fix wrong arch on non-i386 in dhcpd.conf (LP: #203954)
  * Add dependency on a plymouth theme so we have a splash.

 -- Stéphane Graber <stgraber@ubuntu.com>  Sat, 10 Apr 2010 20:15:10 -0400

ltsp (5.2.1-0ubuntu6) lucid; urgency=low

  * Fix d-i component to correctly generate ssh_known_hosts.

 -- Stéphane Graber <stgraber@ubuntu.com>  Sat, 10 Apr 2010 18:01:25 -0400

ltsp (5.2.1-0ubuntu5) lucid; urgency=low

  * Fix typo in the ltsp-livecd script.

 -- Stéphane Graber <stgraber@ubuntu.com>  Sat, 27 Mar 2010 12:15:54 -0400

ltsp (5.2.1-0ubuntu4) lucid; urgency=low

  * Update the LTSP liveCD scripts and launchers (affects only Edubuntu DVD).

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 24 Mar 2010 19:22:38 -0400

ltsp (5.2.1-0ubuntu3) lucid; urgency=low

  * Turn off chroot compression by default. As it makes NBD unstable.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 24 Mar 2010 08:21:55 -0400

ltsp (5.2.1-0ubuntu2) lucid; urgency=low

  * Fix broken install path for client/initramfs/conf-hooks.d/ltsp

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 24 Mar 2010 07:37:12 -0400

ltsp (5.2.1-0ubuntu1) lucid; urgency=low

  * New upstream bugfix release (5.2.1)
   * Fix plymouth and VT switch in Ubuntu
   * Reduce and improve VT switching
   * Disable LOCALDEV for fat clients
   * Fix ConsoleKit/PolicyKit support for Fat clients
   * Don't quote the clientid in udhcp (fix Windows DHCP)
   * Fix VT switching (LP: #533964)
   * Set HOME and SHELL env variables for shell sessions
   * Allow clientid for udhcpc to be passed as parameter (LP: #505916)
   * Fix call to unavailable functions in init scripts
   * Quiet down the scripts output and improve readability
   * Fix /etc/mtab so mountall doesn't complain
   * Hide reboot and shutdown menus for Fat clients
   * Fix screensaver for Fat clients
   * Cleanup ltsp-update-sshkeys usage
   * Properly separate tftppath in ltsp_nbd (LP: #238010)

 -- Stéphane Graber <stgraber@ubuntu.com>  Sun, 14 Mar 2010 10:38:40 -0400

ltsp (5.2-1) unstable; urgency=low

  * New upstream version:
    - Many speed optimizations by using fewer calls to external binaries in
      shell scripts, and caching values when feasible.
    - More flexible sound configuration.
    - New screen scripts: ssh, menu and kiosk.
    - Greatly improved rewrite of remote apps support.
    - Updated Vietnamese (vi) translation by Clytie Siddall (Closes: #569156).
    - Add manpages for ltsp-remoteapps and ltsp-info.
    - Many speed improvements and bug fixes to nbd-proxy.

    - ltsp-build-client plugins: 
      + Added support for installing packages from backports.
      + When guessing a proxy, consider http_proxy=false to be no proxy.
      + squashfs-image: Only adjust the kernel version and include aufs modules
        when building a Lenny LTSP environment.

    - localapps: 
      + Fix LOCAL_APPS_EXTRAMOUNTS by quoting the sshfs arguments.
        Thanks to Adam J. Lincoln for the patch (LP: #521147).
      + Do not generate the localapps menu when running a fat client.

    - ltsp-update-sshkeys:
      + Add support for getting keys from application servers to be stored in
        the chroot. 

    - initramfs-tools hooks:
      + Only run nfs-bottom hook if configured as an ltsp_chroot.
      + Apply DNS info received from DHCP to /etc/resolv.conf.
      + Allow client hostnames to be specified from lts.conf.
      + Handle tmpfs bind mounts from the initramfs instead of from init script
        to ensure they're writeable very early.

    - ltsp-update-image:
      + Rewrite ltsp-update-image to more intelligently handle updating ports.
      + Source config files first so command line arguments can override. 

  * Updated patches:
    - use-invokercd-initscripts
    - use-test-binary
    - kfreebsd-ltsp-update-sshkeys

  * Drop patches, applied upstream:
    - handle-readonly-etc-cups
    - drop-aufs-modules-package
    - merge-configure-localdev-functions
    - writeable-var-cache-ltsp

  * No longer ship /etc/default/ltsp-client-setup, as it is obsoleted in favor
    of using lts.conf configuration variables.

  * ltsp-client-builder:
    - Redirect and close file descriptors for subshell running
      ltsp-build-client instead of only the call to ltsp-build-client, to make
      sure nothing leaks to debconf. Thanks to Petter Reinholdtsen.

  * debian/control: 
    - Updated email address to use vagrant@debian.org.

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 19 Feb 2010 00:13:14 -0800

ltsp (5.2-0ubuntu4) lucid; urgency=low

  * Force installation of openssh-server in D-I

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 23 Feb 2010 16:18:26 -0500

ltsp (5.2-0ubuntu3) lucid; urgency=low

  * Add ltsp-remoteappsd to ltsp-client-core
  * Bump to standard 3.8.4 (no changes needed)

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 19 Feb 2010 12:02:36 -0500

ltsp (5.2-0ubuntu2) lucid; urgency=low

  * Fix FTBFS (ltsp-livecd)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 17 Feb 2010 20:25:22 -0500

ltsp (5.2-0ubuntu1) lucid; urgency=low

  * New upstream version (5.2)
   * Various Ubuntu-specific fixes
   * Improve fat client speed
   * Update nbd-proxy for stability
   * Improve ltsp-update-image
   * Various initramfs fixes
   * Update sound configuration variables and scripts
   * Various optimizations
   * Update translations
   * Improve fat client support
   * Add a ssh screen script
   * Add a whiptail menu screen script
   * Add a few manpages

   * LOTS and LOTS of other fixes and optimizations
  * Add ltsp-livecd (binary package) containing the Live LTSP script

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 17 Feb 2010 19:56:23 -0500

ltsp (5.1.99-2) unstable; urgency=low

  * Added patches:
    - writeable-var-cache-ltsp: Handle when /var/cache/ltsp dir is not
      writeable or createable.

    - merge-configure-localdev-functions: Fix duplicate configure_localdev
      function calls.

    - drop-aufs-modules-package: Only add aufs-modules-* packages on Lenny, as
      aufs is included in Squeeze kernels by default.

    - revert-fgconsole: Revert upstream change to use fgconsole instead of tty,
      as it causes X sessions to start on the wrong tty.

  * Dropped patches:
    - revert-pulseaudio-module-udev-detect: The pulseaudio versions in Squeeze
      support module-udev-detect.

    - kfreebsd-getltscfg-hack: This disables certain features rather than
      properly porting the functionality.

    - kfreebsd-tmpfs-mounts: relies on experimental kernel features.

  * Merge ltsp-client-builder changes from debian-edu:
    - Run ltsp-build-client in a backgrounded subshell.
    - Call db_progress STOP when done.

  * ltsp-client-core: Create the /var/cache/ltsp directory.

  * Update Standards-Version to 3.8.4, no changes necessary.

 -- Vagrant Cascadian <vagrant@freegeek.org>  Fri, 29 Jan 2010 16:48:16 -0800

ltsp (5.1.99-1) unstable; urgency=low

  * New upstream version:
    - Improved speed of group processing code for local apps.
    - Optimized code to handle lts.conf values by reducing the number of binary
      calls and caching some values.
    - ltsp-build-client plugins:
      + Rewrote functions that create sources.list to be more flexible and
        simpler handling of security mirrors.
      + Added option to mount an arbitrary server dir for apt package caching.
    - New NBD proxy binary, which reconnects an NBD client when necessary.
      replaces the old monitor_nbd script.
    - Disabled LTSP specific handling of sound on fat clients.

    - Updated translations:
      + Italian (it), by Vincenzo Campanella.
      + Polish (pl), by Wiktor Wandachowicz.
      + Spanish (es), by José Luis Redrejo Rodríguez.
      + Russian (ru), by Yuri Kozlov (Closes: #565293).
      + German (de), by Wolfgang Schweer (Closes: #565261).
      + Greek (el), by Alkis Georgopoulos.
      + Swedish (sv), by Martin Bagge (Closes: #565198).
      + Portuguese (pt), by Américo Monteiro (Closes: #565190).
      + French (fr), by Stéphane Graber.

    - New translations:
      + Japanese (ja) translation by Hideki Yamane (Closes: #565956).

  * ltsp-server: Included example shutdown and restart .desktop files that use
    the new LTSP halt and reboot mechanisms.

  * Updated patches:
    - use-test-binary
    - revert-pulseaudio-module-udev-detect

 -- Vagrant Cascadian <vagrant@freegeek.org>  Wed, 27 Jan 2010 14:22:23 -0800

ltsp (5.1.99-0ubuntu1) lucid; urgency=low

  * New upstream version (5.1.99)
   * Implement nbd-proxy for more stability
   * Force netcat to wait for data
   * Properly save/restore IFS
   * Lots of code cleanup
   * Implement vendor specific functions in ltsp-build-client
   * Update translations
   * Optimize localapps rc.d scripts
   * Update add_mirrors and make use of it
   * Implement a caching infrastructure
   * Add Fat client support for Ubuntu
   * Get rid of some awk calls
   * Respect ltsp-build-client.conf defaults
   * Speed up boot process by starting more functions in background
   * Fix tty/vt detection for flickerless boot
   * Make ltsp-build-client usage more consistent.
   * Improve ltsp-logout-action
   *
   * LOTS of other changes and fixes I forgot.

  * Get rid of USPLASH=y
  * Add two upstart jobs to force a reboot (avoid squashfs errors)
  * Trigger update-initramfs post install
  * Depend on pciutils and usbutils (as no longer in minimal)
  * Move tftpd-hpa from depend to recommend
  * Drop dependency on openssh-client | ssh in ltsp-server

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 04 Jan 2010 19:20:29 -0500

ltsp (5.1.98-1) unstable; urgency=low

  * New upstream version:
    - Improved VT switching to reduce flicker and support multiple screens.
    - Improved methods to reboot/halt from within the session.
    - Updated Catalan (ca) translation by Jordà Polo (Closes: #562710).
    - ltsp-build-client plugins:
      + Partial support for cross-architecture mips and mipsel installs.
      + Error out when unable to select appropriate kernel.
      + Only allow sparc64 kernel on sparc.

  * Updated use-test-binary patch.
  * Remove patch to support wildcards in lts.conf, applied upstream.
  * Update README.Debian to mention new options for cross-architecture
    installation.
  * ltsp-server: Suggest qemu-user-static for building foreign architecture
    LTSP chroots.
  * Sync ltsp-client-builder improvements developed by the Debian-Edu project:
    + Log which server packages are getting installed.
    + Wait for the backgrounded ltsp-build-client process to stop.
    + Ensure that open file descriptors do not cause debconf race conditions:
      redirect file descriptor 3 to /dev/null, and 4-9 to file descriptor 3.
    + Implement a stamp file for when ltsp-build-client fails to run.
    + Remove code no longer needed to preseed the keymap.
    + Fix bug in debconf handling to disable CDROM.

 -- Vagrant Cascadian <vagrant@freegeek.org>  Mon, 04 Jan 2010 21:30:39 -0800

ltsp (5.1.98-0ubuntu1) lucid; urgency=low

  * New upstream release (5.1.98)
   * Ubuntu: Disable ureadahead
   * Ubuntu: Add experimental fat-client plugin
   * Improve logout actions
   * Ubuntu: Drop usplash references (in the plugins)
   * Translation update
   * Change VT-switching for flickerless boot
   * Cleanup rdesktop screen output
   * Ubuntu: Drop hal
  * Use upstream ltsp-restart and ltsp-shutdown
  * Remove Intel desktop hack (no longer required)
  * Set -nr as X parameter for flickerless boot

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 04 Jan 2010 19:20:29 -0500

ltsp (5.1.97-0ubuntu2) lucid; urgency=low

  * Transition from usplash to plymouth.
    Make it so if plymouth exists it'll be installed,
    otherwise it'll fallback to usplash-theme-ubuntu.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 22 Dec 2009 08:12:21 -0500

ltsp (5.1.97-0ubuntu1) lucid; urgency=low

  * New upstream bugfix release (5.1.97)
   * Fix gid/group name mapping
   * Do not cat ldm-logout-action if it doesn't exist
  * Drop dependency on hal (we'll need to make sure we don't use it anymore)

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 21 Dec 2009 11:38:23 -0500

ltsp (5.1.96-1) unstable; urgency=low

  * New upstream version:
    - Provide a way to reboot/halt from within the session
    - Update ltsp-build-client plugin to generate an lts.conf mentioning
      manpage and ltsp-docs package.
    - Fix CRONTAB lts.conf option to handle whitespace
    - Fix SHUTDOWN_TIME lts.conf option to work by ensuring /sbin is in PATH.
    - Add the ability to daemonize xinit commands for screen scripts.
    - Daemonize rdesktop screen script.
    - Crude support for LTSP remote apps.
    - Move all init functions into ltsp-init-common.

  * Update bug reporting hook to use ltsp-info from upstream

  * Update patches for new upstream version:
    - use-invokercd-initscripts
    - use-test-binary
    - kfreebsd-tmpfs-mounts

 -- Vagrant Cascadian <vagrant@freegeek.org>  Mon, 14 Dec 2009 13:59:02 -0800

ltsp (5.1.96-0ubuntu1) lucid; urgency=low

  * New upstream release (5.1.96)
   * Provide a way to reboot/halt from within the session
   * Fix ltsp-cluster-info firefox support
   * Fix typo in ltsp-init-common (LP: #494993)

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 11 Dec 2009 10:44:35 -0500

ltsp (5.1.94-0ubuntu1) lucid; urgency=low

  * New upstream release (5.1.94)
   * Fix CRONTAB and SHUTDOWN_TIME
   * Support daemonized xinit commands
   * Add support for remoteapps using Xprop (beta)
   * Move all init functions to ltsp-init-common

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 24 Nov 2009 14:08:52 -0500

ltsp (5.1.93-1) unstable; urgency=low

  * New upstream version:
    - localapps:
      + Allow for quoted argument with spaces.
      + Make ssh follow symlinks by default.

    - ltsp-update-image: 
      + Add --tftpbootdir to specify a different tftp directory.
      + Add --exclude-dirs to add additional directories to exclude from the
        image.

    - Properly handle spaces when using udhcpc in initramfs-tools. Patch by
      Alkis Georgopoulos.

    - Fixed quoting and commandline issue in start-stop-daemon wrapper 
      (LP: #419081).

    - New translations:
      + Czech (cs), by Miroslav Kure (Closes: #553664).
      + Polish (pl), by Wiktor Wandachowicz (Closes: #553564).

    - Translation updates:
      + Russian (ru), by Yuri Kozlov (Closes: #553545).
      + Italian (it), by Vincenzo Campanella 
      + Finnish (fi), by Esko Arajärvi (Closes: #552151).
      + German (de), by Wolfgang Schweer (Closes: #551648).
      + Swedish (sv), by Martin Bagge (Closes: #551644).
      + Greek (el), by Alkis Georgopoulos.
      + Spanish (es), by José Luis Redrejo Rodríguez.
      + Portuguese (pt), by Américo Monteiro (Closes: #553508).

  * ltsp-server: 
    - Add suggests on x11-utils.
    - Install new ltsp-info script.
    - Install ltsp-chroot from upstream.

  * ltsp-server-standalone:
    - Add depends on x11-utils.

  * Remove patches applied upstream:
    - start-initscript-after-hal
    - kfreebsd-image-selection

  * Debconf translations:
    - Italian (it), by Vincenzo Campanella (Closes: #556084).
    - Norwegian Bokmål (nb), by Petter Reinholdtsen.

 -- Vagrant Cascadian <vagrant@freegeek.org>  Fri, 20 Nov 2009 14:07:47 -0800

ltsp (5.1.93-0ubuntu1) lucid; urgency=low

  * Add launcher for ltsp-cluster-info
  * New upstream relesae (5.1.93)
   * localapps: Follow symlinks for sshfs
   * Move lts-parameters.txt to ltsp-docs-trunk
   * Add --tftpbootdir to ltsp-update-image
   * Add --exclude-dirs to ltsp-update-image
   * Update translations
   * Add ltsp-info script for troubleshooting
   * Add support for load balancing at login time
   * Fix quoting in ltsp-build-client (LP: #419081)
   * ltsp-build-client cleanup
   * Add ltsp-chroot script
   * Update LSB headers of init scripts
   * Use --print-architecture instead of the deprecated one
   * Add ltsp-cluster support to ltsp_config
   * Fix localapps script to allow for quoted arguments
   * Update udhcp to properly handle spaces

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 27 Oct 2009 00:13:32 -0400

ltsp (5.1.90-2) unstable; urgency=low

  * ltsp-client-core: 
    - Support wildcards in lts.conf. Thanks to John S. Skogtvedt for the patch
      to getltscfg (Closes: #550989).
    - Patch adding LSB headers to start after hal to ltsp-client-core init
      script.
    - Add /etc/cups and /etc/cron.d directories to the package, to ensure that
      printing and timed shutdown features will work.
    - Add suggests on cups-bsd.

  * ltsp-client:
    - add depends on cups-bsd

  * Changes to support GNU/kFreeBSD:
    - ltsp-server: 
      + Add patch to use ifconfig from freebsd-net-tools as an alternative to
        the ip command from iproute and adjust dependencies accordingly.
      + Add patch to select appropriate kfreebsd-image kernel.

    - ltsp-client-core:
      + Add patch to ltsp-client-core init script that provides an alternative
        method to mount a writeable filesystem.
      + Add patch to getltscfg to remove support for mac address matching on
        kfreebsd.
      + Exclude dependencies on nbd-client, kbd, console-tools and
        initramfs-tools on kfreebsd-i386 and kfreebsd-amd64 architectures.

 -- Vagrant Cascadian <vagrant@freegeek.org>  Sun, 18 Oct 2009 13:44:14 -0700

ltsp (5.1.90-1) unstable; urgency=low

  * New upstream version:
    - Add option to pass a timeout to nbdrootd.
    - Updated Vietnamese (vi) translation by Clytie Siddall (Closes: #548172).
    - Add hostname to /etc/hostname from initramfs.
    - Localapps:
      + Add support for extra mount points.
      + Execute ltsp-localappsd later with proper locale settings.
      + Create /etc/cups directory to allow configuration of local printing.

  * Added patch to revert upstream change to always create /etc/cups, which
    assumes a writeable /etc.

  * Updated use-invokercd-initscripts patch.

 -- Vagrant Cascadian <vagrant@freegeek.org>  Sun, 04 Oct 2009 11:45:52 -0700

ltsp (5.1.90-0ubuntu2) karmic; urgency=low

  * Fix login not working after installation (LP: #439611)

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 05 Oct 2009 00:08:08 -0400

ltsp (5.1.90-0ubuntu1) karmic; urgency=low

  * Start usplash from the initramfs
  * Update shutdown/reboot launchers
  * New upstream bugfix release (5.1.90)
   * Ubuntu: Drop sudo-localapps as no longer needed
   * Fix cups
   * Improve initscript
   * Add some examples for localapps
   * Don't set timeout by default for nbdrootd
   * Use ${rootmnt} variable instead of hard-coded /root in initramfs
   * Fix locale for localapps and fatclient
   * Update Vietnamese translation
   * Support additional mount points for localapps

 -- Stéphane Graber <stgraber@ubuntu.com>  Sat, 26 Sep 2009 14:41:07 -0400

ltsp (5.1.88-0ubuntu1) karmic; urgency=low

  * Update installer to only use the CD-Rom as source of package
  * New upstream bugfix release (5.1.88)
   * Clean nbd-server process every 2 hours (to avoid never ending connections)
   * Add updates and security repository by default (so we have updates)
   * Make sure /etc/hostname contains the hostname

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 23 Sep 2009 15:20:30 -0400

ltsp (5.1.87-1) unstable; urgency=low

  * New upstream version:
    - Whitelist dbus and hal initscripts when creating an LTSP environment,
      otherwise keyboard and mouse may break with newer xorg packages.
    - Fix to udhcp hooks for initramfs-tools that caused two leases for each
      thin client.
    - Improvements to example dnsmasq configuration. Thanks to Alkis
      Georgopoulos.
    - Remove example script to configure X using xdebconfigurator, as
      xdebconfigurator is no longer maintained.
    - New Portuguese (pt) translation by Américo Monteiro (Closes: #545386).
    - Compatibility for common lts.conf HORZSYNC/HORIZSYNC typo.
 
  * Simplify patch handling for init scripts by copying in the build target
    instead of clean target.

  * Merge patches use-test-binary-localapps and use-test-binary-initscripts
    into a single patch, use-test-binary.

  * ltsp-client, ltsp-client-core: Add Depends and Suggests on sane-utils to
    support remote scanners.

  * ltsp-server: Add Suggests on ltsp-docs package. 

  * Update Vcs-Bzr to use nosmart+http, as bzr.debian.org doesn't currently
    support plain http bzr URLs.

  * Add patch to revert assumption that all newer versions of pulseaudio
    support module-udev-detect.

 -- Vagrant Cascadian <vagrant@freegeek.org>  Mon, 21 Sep 2009 22:14:15 -0700

ltsp (5.1.87-0ubuntu1) karmic; urgency=low

  * New upstream bugfix release (5.1.87)
   * Debian: Add bus and hal to RC2_WHITELIST
   * Fix udhcp sending a uid to the server (causing two leases for each client)
   * ltsp-cluster: Don't always create an autologin account
   * Fedora: several fixes
   * dnsmasq improvements
   * Drop configure-x-xdebconfigurator as it's no longer maintained
   * Update translation
   * Typo fixes
   * Drop #!/bin/bash from sourced scripts

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 21 Sep 2009 00:22:57 -0400

ltsp (5.1.85-1) unstable; urgency=low

  * New upstream version:
    - Added support for scanners supported by saned.
    - Detect newer versions of pulseaudio that require module-udev-detect.
    - Add scripts to support udhcp with initramfs-tools.
 
  * Removed patches:
    - drop-hal-from-ltsp-core-initscript, applied upstream.
    - localapps-with-old-ldm, localapps isn't very well supported in older ldm
      anyways.

  * Use bzr.debian.org for the VCS-Browser field. 

  * Updated Bulgarian (bg) translation by Damyan Ivanov (Closes: #545439).

  * Add lintian override: "ltsp-client: depends-on-metapackage depends: xorg",
    as ltsp-client is a metapackage.

 -- Vagrant Cascadian <vagrant@freegeek.org>  Mon, 07 Sep 2009 15:20:11 -0700

ltsp (5.1.85-0ubuntu2) karmic; urgency=low

  * Drop dependency on unionfs-fuse

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 14 Sep 2009 13:34:53 -0400

ltsp (5.1.85-0ubuntu1) karmic; urgency=low

  * Bump standards to 3.8.3
  * Update maintainer
  * Add cron to ltsp-client-core depends to make auto-shutdown work
  * Add sane-utils to ltsp-client depends to make scanner work
  * Add Vcs-Bzr and Vcs-Browser to source package

  * Add a few forgotten upstream manpages
  * Drop udhcp scripts from packaging (pushed upstream)
  * Use the geode driver for Geode GX2 in karmic
  * Make the bug reporting script executable

  * New upstream bugfix release (5.1.85)
   * Fix typo and update translations
   * Mark init scripts executable
   * Make scanners work again
   * Fix detection of pulseaudio 0.9.16
   * Fix configure-x.sh (LP: #412034)
   * Update LSB headers for ltsp-core (drop hal)

 -- Stéphane Graber <stgraber@ubuntu.com>  Sun, 06 Sep 2009 22:05:57 -0400

ltsp (5.1.83-1) unstable; urgency=low

  * New upstream version: 
    - Add monitor_nbd to restart nbd when it breaks.
    - localapps: Only run action on ssh socket if it exists.
    - Only install squashfs-modules package on older Debian versions, as newer
      versions include squashfs modules in the kernel.
 
  * Drop writeable-dbus-hal-dirs patch, applied upstream.

  * Add patch from upstream to not require hal in ltsp-client-core init
    scripts, as hal isn't required in all LTSP environments, and causes the
    package to fail to install if hal isn't installed.

  * Use upstream docs for swap, workstation, FAQ and Upgrading_4.2.

  * Update descriptions of ltsp-client and ltsp-client-core to distinguish
    between them.

  * Update Standards-Version to 3.8.3, no changes necessary. 

 -- Vagrant Cascadian <vagrant@freegeek.org>  Sun, 23 Aug 2009 20:38:10 -0700

ltsp (5.1.83-0ubuntu1) karmic; urgency=low

  * New upstream version (5.1.83)
   * Fix monitor_nbd to use start-stop-daemon
   * Fix hanging session on logout

  [Michael Haas <laga@laga.ath.cx>]
  * Update debian/extra-plugins/030_mythbuntu:
    - Remove --mythbuntu-copy-user-credentials as chpasswd does not
      support encrypted passwords anymore
    - Do not install linux-restricted-modules as it doesn't exist anymore
    - Install mythbuntu-common 

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 17 Aug 2009 11:44:50 -0400

ltsp (5.1.82-0ubuntu2) karmic; urgency=low

  * Start monitor_nbd with start-stop-daemon.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 17 Aug 2009 00:39:00 -0400

ltsp (5.1.82-0ubuntu1) karmic; urgency=low

  * Set dhcp3-server as recommends instead of dependency
  * Drop dnsmasq-base from dependency
  * New upstream release (5.1.82)
   * Restart nbd when it breaks
   * Various debian changes
   * Various fedora changes
   * Update manpages


 -- Stéphane Graber <stgraber@ubuntu.com>  Sun, 16 Aug 2009 18:02:15 -0400

ltsp (5.1.81-2) unstable; urgency=low

  * apply patch to ensure directories needed by dbus and hal are writeable, as
    newer versions of X require hal to properly configure keyboard and mouse.

  * enable non-root users to be able to use the --help option, by not failing
    if the progress log is unwriteable.
    
  * thanks to Ángel Martín Alganza, for a fine week of hacking in Granada.

 -- Vagrant Cascadian <vagrant@freegeek.org>  Sat, 08 Aug 2009 23:37:24 +0200

ltsp (5.1.81-1) unstable; urgency=low

  * new upstream release:
    - fix bug in cross-architecture handling when building i386 on an amd64
      server. thanks to Libor Klepáč and Gideon Romm. (Closes: #539898)
    - properly quote minus signs in ltsp-localapps and ltsp-build-client
      manpages.
 
  * drop patch to keep pulseaudio working on lenny, applied upstream.

 -- Vagrant Cascadian <vagrant@freegeek.org>  Thu, 06 Aug 2009 00:19:10 +0200

ltsp (5.1.79-2) unstable; urgency=low

  * apply patches to use /usr/bin/test instead of shell builtin, as bash and
    dash behave inconsistantly. works around debian bug #539909 in dash.

  * apply patch to avoid setting shm-size-bytes when installing lenny, as this
    breaks pulseaudio in lenny. fixes regression introduced by the fix for
    debian bug #537526.

 -- Vagrant Cascadian <vagrant@freegeek.org>  Tue, 04 Aug 2009 14:51:51 +0200

ltsp (5.1.79-1) unstable; urgency=low

  * new upstream version: 
    - fixed LSB initscript headers to work with newer insserv

    - work around newer pulseaudio versions, which require an absurd amount of
      ram and attempt to start hal modules we don't need.  also ensure that
      /var/lib/pulse is present and writeable at boot. (Closes: #537526)

    - support cross-architecture builds using statically built qemu (0.11+)
      binaries and binfmt_misc. (Closes: #480664)

    - allow /srv/tftp as an alternative tftp location. (Closes: #537639)
 
    - change /etc/default/console-setup with the wanted layout so plugging USB
      keyboards will use it instead of falling back to default

    - ensure that NBD root doesn't kill the root filesystem before shutting
      system down.

  * reorder initscript installation order to work with dependency-based init
  * use README.Debian.sound from upstream
  * add example screen.d hook for "nodm" for local autologin
  * prefer inputattach over joystick, and remove architecture restrictions on
    joystick.

 -- Vagrant Cascadian <vagrant@freegeek.org>  Mon, 03 Aug 2009 17:00:32 +0200

ltsp (5.1.78-0ubuntu2) karmic; urgency=low

  * Update udhcp script (thanks to Alkis Georgopoulos)

 -- Stéphane Graber <stgraber@ubuntu.com>  Sun, 02 Aug 2009 13:00:41 -0400

ltsp (5.1.78-0ubuntu1) karmic; urgency=low

  * Drop custom initramfs for unionfs as aufs is back
  * Drop custom init scripts, using upstream instead
  * Depend on udhcpc as it's now in main
  * Allow use of dnsmasq-base instead of dhcp
  * New upstream release (5.1.78)
   * ltsp-update-image: Add --no-comp
   * ltsp-update-image: Remove previous image only once the new one is ready
   * ltsp_nbd: Use NBD_ROOT_SERVER as default for NBD_SWAP_SERVER
   * Support CRONTAB_ and SHUTDOWN_TIME settings
   * Improve init scripts
   * ltsp-build-client: Respect ARCH environment variable
   * ubuntu: Add armel support
   * ubuntu: Update for upstart 0.6
   * Set console-setup with the same keyboard as for X

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 22 Jul 2009 00:30:57 -0400

ltsp (5.1.77-1) unstable; urgency=low

  * new upstream version:
    - ltsp-update-image:
      + Do not remove the previous squashfs image before the new one is ready.
      + Handle mksquashfs errors and small code cleanup.
      + Add --no-comp to support non-compressed squashfs image.

    - initramfs-tools ltsp_nbd:
      + Default to using NBD_ROOT_SERVER when setting NBD_SWAP_SERVER and
        fetching lts.conf from tftp.
      + initramfs-tools ltsp_nbd hook: allow for other filesystems for the rofs
        mount.
      + Issue warnings when NBD fails to negotiate or mount.
      + Fix downloading of lts.conf file by using the full path to tftp,
        otherwise busybox's tftp is used, which has incompatible syntax. thanks
        to Tobias Gruetzmacher for the suggestion. (Closes: #537374)

    - Add lts.conf support for shutdown times and more general crontab entries.

    - Merge changes to improve NBD support in initscripts.

    - Flexible pxelinux network boot:
      + Options to configure menus.
      + Configurable timeout.
      + Option to append arbitrary files to the configuration.
      + Support pxelinux ipappend option, useful in networks where control over
        the dhcp server is limited.
      + Add memtest86 and memtest86+ for memory testing, if installed.

    - ltsp-build-client improvements to NBD support:
      + Fix squashfs-image plugin to add the appropriate module packages when
        using a specified kernel or an unusual architecture.
      + Set KILLALL=false in nbd-client configuration so nbd root doesn't get
        disconnected before shutdown is completed.
      + Whitelist nbd-client init scripts.

  * Remove Otavio Salvador from uploaders, at Otavio's request. many thanks for
    all previous and future contributions!

  * Updated example screen.d script for sdm.

  * Update Standards-Version to 3.8.2, no changes necessary. 

 -- Vagrant Cascadian <vagrant@freegeek.org>  Sat, 18 Jul 2009 00:51:50 +0200

ltsp (5.1.76-1) unstable; urgency=low

  * new upstream version:
    - ltsp-localapps:
      + fix situations where the case doesn't match between what the user
        entered as login and the name given by getent on the server.
      + if the Xauthority is in its own directory, then chown it to the user so
        the localapps can lock it.
    - ensure wrapper for xinitrc passes quoted arguments proeprly.
    - add the quoted argument of -u '' to the rdesktop screen script so that it
      defaults to no username.
    - don't hardcode /opt/ltsp in ltsp-update-kernels.  thanks to Duncan Sands.
    - do not mess with /etc/adjtime when syncing the hardware clock after
      ntpdate.
    - use 'nc -z' to test that the XFS port is open, otherwise nc simply hangs.
      thanks to Peter Stein.
 
  * remove largely un-used code to generate debian/control.

 -- Vagrant Cascadian <vagrant@freegeek.org>  Wed, 17 Jun 2009 10:03:42 -0700

ltsp (5.1.76-0ubuntu1) karmic; urgency=low

  * Drop 030-artwork as it's included upstream now.
  * Update compat to debhelper 5
  * Add watch file
  * New upstream relesae (5.1.76)
   * ltsp-cluster: minor tweak to reduce calls to binaries
   * ltsp-cluster: Sometimes the nbd entry shows twice, only take the first
   * do not mess with /etc/adjtime when syncing the hardware clock after ntpdate.
   * code cleanup
   * use 'nc -z' to test that the XFS port is open.

 -- Stéphane Graber <stgraber@ubuntu.com>  Sun, 14 Jun 2009 13:43:37 -0400

ltsp (5.1.75-0ubuntu7) karmic; urgency=low

  * Disable nbd reconnection for now. (Race condition with unionfs-fuse)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 10 Jun 2009 19:20:07 -0400

ltsp (5.1.75-0ubuntu6) karmic; urgency=low

  * Add numlockx to ltsp-client-core dependencies.
  * Make ltsp_nbd initramfs script executable.
  * Actually install the right initramfs scripts.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 10 Jun 2009 17:43:20 -0400

ltsp (5.1.75-0ubuntu5) karmic; urgency=low

  * Drop ltsp_nbd from the install file list so the one shipped in debian/ is used.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 09 Jun 2009 22:10:43 -0400

ltsp (5.1.75-0ubuntu4) karmic; urgency=low

  * Add 030-artwork from upstream to get the ldm theme installed.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 09 Jun 2009 20:09:14 -0400

ltsp (5.1.75-0ubuntu3) karmic; urgency=low

  * Drop custom 025-locales (upstream now)
  * Include alternate initramfs scripts to use unionfs-fuse.
  * Depend on ldm-server instead of ldminfod

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 09 Jun 2009 17:34:05 -0400

ltsp (5.1.75-0ubuntu2) karmic; urgency=low

  * Add reboot and shutdown menu entries.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 08 Jun 2009 14:43:57 -0400

ltsp (5.1.75-0ubuntu1) karmic; urgency=low

  * new upstream version (5.1.75)
   * Use Debian's scripts when possible (LP: #380072)
   * Support per session Xauthority
   * Don't hardcode opt/ltsp in ltsp-update-kernels (LP: #294643)
   * Set LANGUAGE to the user's locale for localapps
   * Improve ltsp_nbd with better defaults for buggy networks.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 03 Jun 2009 17:28:44 -0400

ltsp (5.1.74-0ubuntu2) karmic; urgency=low

  * Add dependency on python-serial (for jetpipe)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 27 May 2009 10:33:38 +0200

ltsp (5.1.74-0ubuntu1) karmic; urgency=low

  * new upstream version (5.1.74)
   * ltsp-localapps: Make it work correctly when the server's using LDAP
   * xinitrc: Various improvement to command handling (and memory usage)
   * Update translations
   * Update manpages
   * Drop OSS sound support and fix permissions in /dev/snd/
  * Re-order the boot process to fix broken resolv.conf (LP: #348305)

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 22 May 2009 17:16:57 +0200

ltsp (5.1.73-1) unstable; urgency=low

  * new upstream version:
    - added manpages for various localapps related programs
    - updated ltsp-build-client man page
    - translation updates:
      + French (fr), by by Jean-Baka Domelevo-Entfellner (Closes: #527563)
      + Finnish (fi), by Esko Arajärvi (Closes: #522833)
      + Russian (ru), by Yuri Kozlov (Closes: #522654)
    - if setfacl is present, use it to set write permissions on /dev/snd/* to
      ensure that pulseaudio can write to it.
    - added --purge-chroot commandline option

   * ltsp-server:
     - install manpage for ltsp-localapps
     - fix ltsp-chroot manpage header so it ends up in section 8
     - add /usr/share/doc/ltsp-server/Howto.Debian, taken from
       http://wiki.debian.org/LTSP/Howto (Closes: #509640)

   * ltsp-client-core: 
     - install manpages for ltsp-genmenu, ltsp-localappsd and xatomwait

   * updated ltsp-server and ltsp-server-standalone descriptions to be more
     specific about which features each provides. thanks to Alexander Kurtz for
     the suggestion. (Closes: #522237)

   * add Japanese (ja) po-debconf template translation by Hideki Yamane
     (Closes: #525203)

 -- Vagrant Cascadian <vagrant@freegeek.org>  Mon, 11 May 2009 15:40:27 -0700

ltsp (5.1.69-1) unstable; urgency=low

  * new upstream version:
    - updated translations:
      + Spanish (es), by José L. Redrejo Rodríguez
      + Catalan (ca), by Jordà Polo (Closes: #521319)
      + German (de), by by Wolfgang Schweer (Closes: #521087)
    - new translations:
      + Greek (el), by Alkis Georgopoulos
      + Italian (it), by Vincenzo Campanella (Closes: #521250)
      + Swedish (sv), by Martin Bagge (Closes: #520950)
 
  * updated Spanish translation of debconf messages by José L. Redrejo.
    (Closes: #521593)
  * added ltsp-chroot manpage
  * update Standards-Version to 3.8.1, no changes necessary

 -- Vagrant Cascadian <vagrant@freegeek.org>  Wed, 01 Apr 2009 12:41:04 -0700

ltsp (5.1.65-0ubuntu2) jaunty; urgency=low

  * Include a fixed 025-locales (LP: #360366)

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 13 Apr 2009 13:02:14 -0400

ltsp (5.1.65-0ubuntu1) jaunty; urgency=low

  * new upstream bugfix release (5.1.65)
   * Fix 030-artwork, fixing the edubuntu usplash them bug (LP: #346891)
   * Fix typo in ltsp-login template (s/Cencel/Cancel/)
   * Gentoo specific change (URL change)

 -- Stéphane Graber <stgraber@ubuntu.com>  Sun, 22 Mar 2009 15:20:10 -0400

ltsp (5.1.64-1) unstable; urgency=low

  * new upstream version:
    - localapps:
      + use unix sockets for pulseaudio sound connections
      + use default printer settings 
    - improvements to sound volume code that works with arbitrary audio
      channels
    - xorg configuration: fix code that sets VideoRam 

  * ltsp-server-standalone:
    - depend on ldm-server

 -- Vagrant Cascadian <vagrant@freegeek.org>  Sun, 08 Mar 2009 15:15:08 -0700

ltsp (5.1.64-0ubuntu8) jaunty; urgency=low

  * Fix *ubuntu-usplash-theme installation breaking ltsp-build-client when
    creating an edubuntu LTSP chroot.
    (Fix in .diff.gz, freeze exception filed to get it from upstream)

 -- Stéphane Graber <stgraber@ubuntu.com>  Sun, 22 Mar 2009 15:04:45 -0400

ltsp (5.1.64-0ubuntu7) jaunty; urgency=low

  * Make both initramfs hooks and scripts executable so they actually work.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 18 Mar 2009 23:53:06 -0400

ltsp (5.1.64-0ubuntu6) jaunty; urgency=low

  * Add screen-session.d script to fix visual glitches with old ATI 3D rage.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 18 Mar 2009 20:09:51 -0400

ltsp (5.1.64-0ubuntu5) jaunty; urgency=low

  * Make the Geode fix jaunty-specific and make it fallback to upstream's
    fix for the other releases instead of no fix as in ubuntu4.
  * Fix bashism in ltsp-client-setup. (LP: #281498)

 -- Stéphane Graber <stgraber@ubuntu.com>  Sat, 14 Mar 2009 21:23:40 -0400

ltsp (5.1.64-0ubuntu4) jaunty; urgency=low

  * Make the Geode fix 9.04 specific to ease backports to releases where
    the Geode driver works as expected.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 12 Mar 2009 23:12:05 -0400

ltsp (5.1.64-0ubuntu3) jaunty; urgency=low

  * Change screen-session.d script description for intel desktop
  * Add screen-session.d script to force the VESA driver for Geode GX2

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 12 Mar 2009 23:04:53 -0400

ltsp (5.1.64-0ubuntu2) jaunty; urgency=low

  * Add quirk for Intel-based thin clients with laptop hardware.
  * Add initramfs-tools scripts for udhcp (if manually installed in the chroot)
  * Add ldminfod as a dependency to ltsp-server-standalone so it's installed 
    from the Ubuntu alternate CD.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 10 Mar 2009 19:22:38 -0400

ltsp (5.1.64-0ubuntu1) jaunty; urgency=low

  * new upstream version (5.1.64)
   * Fix sound card volume handling
   * Update documentation

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 09 Mar 2009 11:27:34 -0400

ltsp (5.1.63-0ubuntu1) jaunty; urgency=low

  * new upstream version (5.1.63)
   * Fix VideoRAM configuration syntax (caused parsing error in xorg.conf)
   * Fix performance issues with Pulseaudio and localapps (use Unix socket instead of TCP).
   * Fix support for soundcards with weird channels.
   * Fix default printer and printer filtering for localapps too.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 27 Feb 2009 11:55:19 -0500

ltsp (5.1.62-1) unstable; urgency=low

  * new upstream version:
    - ltsp-client-core: 
      + Make pulseaudio log to syslog and amixer output redirected to null
      + also sync hardware clock after updating the the system clock with ntp
      + xorg.conf: move X_VIRTUAL handling to the Display subsection
    - localapps:
      + bugfixes to handle groups with spaces
    - localapps-menu:
      + copy icon files without extensions

  * added ltsp-chroot script to ease maintenance of ltsp chroots 

 -- Vagrant Cascadian <vagrant@freegeek.org>  Sun, 22 Feb 2009 15:05:48 -0800

ltsp (5.1.62-0ubuntu1) jaunty; urgency=low

  * new upstream version (5.1.62)
   * Fix id (again) to accommodate groups with spaces

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 18 Feb 2009 17:53:33 -0500

ltsp (5.1.61-0ubuntu1) jaunty; urgency=low

  * new upstream version (5.1.61)
   * ltsp-cluster: Replace hardcoded eth0 by the interface name
   * Fix bug that copies icon file without extension
   * Copyrights update
   * Code cleanup
   * Change default volume to be $VOLUME for all channels except PCM
   * Move X_VIRTUAL from screen_hacks to display_hacks
   * ltsp-init-common: Make pulseaudio log to syslog and amixer output
     redirected to null
   * Fix timeserver code so ntpdate then sets the hwclock.  Otherwise, does
     not work properly.
   * rdesktop: remove cruft from older iteration of xinitrc.d handling

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 18 Feb 2009 11:50:29 -0500

ltsp (5.1.60-1) experimental; urgency=low

  * new upstream version:
    - localapps-menu: Fix XDG menu permissions to use appropriate GID
    - Do not treat CD and FRONT audio channels as capture devices
    - Update lts.conf documentation 

 -- Vagrant Cascadian <vagrant@freegeek.org>  Wed, 11 Feb 2009 21:24:57 -0800

ltsp (5.1.60-0ubuntu1) jaunty; urgency=low

  * new upstream version (5.1.60)
   * localapps-menu: Fix XDG menu permissions (using getent)
   * ltsp-cluster: Fix inventory.sh to return a clean output
   * Do not make CD and FRONT capture devices
   * Ubuntu: Fix 025-locales (option locale isn't boolean)
   * Ubuntu: Implement a complete configuration generator for ltsp-cluster
  * Disable --mount-cdrom in the installer (LP: #325678)

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 09 Feb 2009 14:00:21 -0500

ltsp (5.1.59-0ubuntu1) jaunty; urgency=low

  * new upsream version (5.1.59)
   * re-implement the localapps-menu using XDG
   * fix ltsp-cluster plugin
   * update documentation
  * use upstream documentation
  * fix potential race condition in init script
  * add wget as a dependency (for ltsp-cluster) and move rdesktop to
    ltsp-client instead of ltsp-client-core

 -- Stéphane Graber <stgraber@ubuntu.com>  Sun, 08 Feb 2009 19:15:41 -0500

ltsp (5.1.58-1) experimental; urgency=low

  * new upstream version:
    - localapps:
      + fixed cleanup code
      + properly handle groups when "id" returns additional categories
      + edit /etc/group directly when /etc is read-only
      + ensure all the user groups are added to /etc/group even if they are
        filtered from "getent group"

  * ltsp-server-standalone:
    - ensure a desktop environment at least window manager is present by
      depending on gnome-session | x-session-manager | x-window-manager

  * debian/patches:
    - drop localapps-edit-group-directly patch, applied upstream.

  * debian/rules:
    - switch to debhelper 7

 -- Vagrant Cascadian <vagrant@freegeek.org>  Sun, 08 Feb 2009 16:25:12 -0800

ltsp (5.1.56-1) experimental; urgency=low

  * new upstream version:
    - ltsp-update-kernels:
      + put symlinks for yaboot in the right place, fixes netboot on powerpc.

    - localapps:
      + use XDG_DATA_DIRS for setting up LOCAL_APPS_MENU rather than mucking
        with files in the user's home directory.
      + specify alternate CUPS server with CUPS_SERVER variable
  
    - ltsp-client-core init scripts: 
      + fix default setting of ALSA hardware volume.
      + bind-mount /etc/cups and /media so that printing and local media work.

    - ltsp-build-client plugins:
      + fix popularity-contest plugin to work with newer versions of
        popularity-contest (1.45+)
      + add plugin to guess http proxy settings from apt or specify on the
        commandline.
      + symlink to Ubuntu plugin for adding loopback to /etc/network/interfaces

     - xorg configuration:
       + force XAA acceleration for geode GX2
       + improved code for handling multi-head displays with xrandr
       + set color depth when not specifying a pre-defined xorg.conf

     - updated French translation (Stéphane Graber)
 
  * debian/control:
    - added Homepage: http://ltsp.org
    - ltsp-client: added Depends on ntpdate and numlockx

  * debian/patches:
    - updated localapps related patches, as affected files changed location.
    - patch to use invoke-rc.d instead of calling /etc/init.d init scripts
      directly

 -- Vagrant Cascadian <vagrant@freegeek.org>  Sun, 01 Feb 2009 13:39:01 -0800

ltsp (5.1.55-0ubuntu1) jaunty; urgency=low

  * new upstream version (5.1.55)
   * Change default sound output volume
   * Update to popcon plugin

 -- Stéphane Graber <stgraber@ubuntu.com>  Sun, 01 Feb 2009 01:07:24 -0500

ltsp (5.1.53-0ubuntu1) jaunty; urgency=low

  * new upstream version (5.1.53)
   * Fix broken symlinks
   * Code cleanup
   * Set the timeserver to the LTSP server by default
   * Update french translation
   * Fix popcon plugin
   * Various Gentoo and Fedora fixes

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 28 Jan 2009 13:55:13 -0500

ltsp (5.1.52-0ubuntu1) jaunty; urgency=low

  * new upstream version (5.1.52)
   * resync ltsp-build-client plugins between Ubuntu and Debian
   * Fedora kickstart update
   * ltsp-genmenu: Fix icon detection
   * screen-session.d: Fix X_COLOR_DEPTH support
   * ltsp-cluster: Fix init scripts
   * update translations

 -- Stéphane Graber <stgraber@ubuntu.com>  Sat, 24 Jan 2009 23:03:56 -0500

ltsp (5.1.50-0ubuntu3) jaunty; urgency=low

  * Sync ltsp-client-core with upstream (fix ltsp-cluster).

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 23 Jan 2009 00:32:46 -0500

ltsp (5.1.50-0ubuntu2) jaunty; urgency=low

  * Merge most of upstream ltsp-client-setup

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 22 Jan 2009 19:56:26 -0500

ltsp (5.1.50-0ubuntu1) jaunty; urgency=low

  * new upstream version (5.1.50)
   * localapps: reimplement the menu (merge it into the user's menu)
   * localapps: Add CUPS_SERVER to specify a different cups server
   * ltsp-cluster: Fix hardware inventory
   * ltsp-cluster: Fix boot status
   * ltsp-cluster: Update ltsp-build-client plugin
   * screen-sessiond: Fix xorg configuration for Geode GX2

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 21 Jan 2009 21:10:44 -0500

ltsp (5.1.47-1) experimental; urgency=low

  * new upstream version:
    - localapps: 
      + works both with Active Directory groups and pam_group groups
      + improved handling of gid conflicts between the server and client
    - xorg configuration:
      + support setting default mode(s) when not using xrandr
    - use initramfs-tools's configure_networking function in the ltsp_nbd script
    - quiet down xauth generation
  
  * debian/patches/localapps-edit-group-directly: 
    - patch upstream localapps code to edit /etc/groups directly, as it
      depended on /etc/ being writeable, which is not the default in Debian's
      LTSP environment.

  * debian/control:
    - add ${misc:Depends} to ensure proper dependencies for
      ltsp-server-standalone, ltsp-client and ltsp-client-core.

 -- Vagrant Cascadian <vagrant@freegeek.org>  Fri, 09 Jan 2009 20:20:41 -0800

ltsp (5.1.47-0ubuntu1) jaunty; urgency=low

  * new upstream version (5.1.47)
   * Improve RandR support
   * Fix localapps group membership
   * Improve screen-session.d
   * Make 099-mount-cdrom upstream
   * Generate an hostname when none defined

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 13 Jan 2009 15:35:30 -0500

ltsp (5.1.44-1) experimental; urgency=low

  * new upstream version:
    - fix bug in xorg.conf generation by using a more generic awk regex. Thanks
      to Gideon Romm and Alkis Georgopoulos.
    - if no hostname is defined, generate a hostname based on ip or mac
      address, defaulting to ip address. Thanks to Petter Reinholdtsen and
      Alkis Georgopoulos. (Closes: #483760)

  * ltsp-client-builder: display more steps in progress bar so that it doesn't
    immediately appear to be frozen at 50%

  * ltsp-server.install: install extra plugins from a dir rather than
    specifying each plugin individually.

  * drop 099-mount-cdrom plugin, as it is shipped upstream now

 -- Vagrant Cascadian <vagrant@freegeek.org>  Tue, 30 Dec 2008 08:59:39 -0800

ltsp (5.1.44-0ubuntu1) jaunty; urgency=low

  * new upstream version (5.1.44)
   * improve screen-session.d
   * drop configure_x from the init script
   * export LANG for localapps
   * fix various ltsp-cluster issues
   * code clean up
  * sync ltsp-client-core init script with upstream

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 30 Dec 2008 08:42:49 -0500

ltsp (5.1.43-1) experimental; urgency=low

  * new upstream version:
    - many cleanups and bug fixes for xorg.conf generation
    - workarounds for buggy video drivers for geode and ati r128 on powerpc

  * ltsp-client-core: allow "tftp" as an alternate dependency to "tftp-hpa".
    Thanks to Petter Reinholdtsen for the suggestion. (Closes: #508359)

 -- Vagrant Cascadian <vagrant@freegeek.org>  Sun, 28 Dec 2008 22:50:10 -0800

ltsp (5.1.40-1) experimental; urgency=low

  * new upstream version: 
    - optionally restrict local apps using a whitelist
    - screen-session.d hooks for all screen scripts:
      + use hooks to configure xorg.conf, if necessary
    - use xrandr to set various X configuration parameters:
      + support for multi-headed displays
    - Debian: drop default setting for X_COLOR_DEPTH in lts.conf

   * ltsp-server: use manpages from upstream
   * debian/watch: poll fedora and ubuntu for newer versions

 -- Vagrant Cascadian <vagrant@freegeek.org>  Wed, 17 Dec 2008 10:40:45 -0800

ltsp (5.1.38-0ubuntu1) jaunty; urgency=low

  * new upstream version (5.1.38)
   * introduce screen-session.d
   * RandR support

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 11 Dec 2008 21:44:06 -0800

ltsp (5.1.35-1) experimental; urgency=low

  * new upstream version:
    - xinitrc.d hooks:
      + x keyboard settings 
      + DPMS/screen blanking
    - drop use of configure_localdev function in ltsp-client-core init script
    - Add ltsp-cluster scripts
    - allow an arbitrary number of mirrors. based on patch by Raman
      Pandarinathan.
    - ltsp-update-sshkeys: don't require chroot to be present
  * depend on ltspfsd >= 0.5.3, which handles cdpinger and ltspfsd without
    calls from ltsp init scripts.
  * use proper VCS-* headers
  * add debian/watch file explaining how to find current released version.

 -- Vagrant Cascadian <vagrant@freegeek.org>  Mon, 24 Nov 2008 10:56:51 -0800

ltsp (5.1.35-0ubuntu1) jaunty; urgency=low

  * new upstream version (5.1.35)
   * add ltsp-cluster support
   * add ltsp-genmenu
   * use xinitrc.d scripts 
  * add homepage
  * change debian standards to 3.8.0
  * ldminfod now has its own package
  * drop doc/ldminfod.8 (now in the source tarball)
  * drop controlgen

 -- Stéphane Graber <stgraber@ubuntu.com>  Sun, 23 Nov 2008 18:52:41 -0500

ltsp (5.1.34-1) experimental; urgency=low

  * new upstream version:
    - jetpipe: serial support for printers
    - run screen scripts in while loop
    - call screen scripts with openvt
    - options to set timezone and update time from ntp server
    - hooks to create localapp menus
    - hooks for X initialization
    - fix kernel selection on oddball architectures

  * remove kernel-selection-plugin-typo-fix patch, applied upstream
  * ltsp-client:
    - depend on python-serial for serial printer support
  * ltsp-client-core: 
    - suggest ntpdate

 -- Vagrant Cascadian <vagrant@freegeek.org>  Thu, 13 Nov 2008 11:53:45 -0800

ltsp (5.1.31-1) experimental; urgency=low

  * new upstream version:
    - select the running kernel for unusual architectures.
    - get locale settings in the initscript
  * ldminfod:
    - include copy in debian dir (relocated upstream)
    - add code to return appropriate Xsession script
  * drop plugin to handle apt pinning (merged upstream)
  * add patch to fix a typo in the kernel selection plugin 
  * allow any architecture to build ltsp-client and ltsp-client-core 
    (Closes: #483293)

 -- Vagrant Cascadian <vagrant@freegeek.org>  Fri, 31 Oct 2008 20:52:09 -0700

ltsp (5.1.29-0ubuntu4) jaunty; urgency=low

  * (temporary) drop acpid from ltsp-client depends, arch specific binary
    dependencies for arch all packages dont work (yet ?). Makes ltsp-client
    installable on armel, we might need a plugin that checks the archtecture
    in ltsp-build-client for a more proper implementation.

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 20 Nov 2008 12:53:21 +0100

ltsp (5.1.29-0ubuntu3) intrepid; urgency=low

  * Make sure universe component is only enabled on CDs where it
    actually exist by checking for /cdrom/dists/intrepid/universe.
    After building the client from CD, make sure the sources.list
    contains everthing the server has to make sure -updates and
    universe are available in the chroot.

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 21 Oct 2008 18:47:55 +0200

ltsp (5.1.29-0ubuntu2) intrepid; urgency=low

  * add call to configure_sound_volume in ltsp-client-core initscript
  * allow LANG to be overridden by lts.conf if desired

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 15 Oct 2008 16:56:04 +0200

ltsp (5.1.29-0ubuntu1) intrepid; urgency=low

  * new upstream version (5.1.29)
   * bugfix release
   * add console-setup console-screen.kbd.sh to RCS_WHITELIST in ubuntu to
     support localized console keyboards.
  * fix quoting in nbd swap handling in initscript (needs to be backported to
    hardy)
  * make ltsp-client-core depend on console-setup and kbd
  * drop recommends of ltsp-client on nonexistent ubuntu-thin-client package
  * drop non-existent sdm-terminal from ltsp-client deps.
  * drop discover1 dependency

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 15 Oct 2008 14:46:06 +0200

ltsp (5.1.28-1) experimental; urgency=low

  * new upstream version: 
    - localapps:
      + options to run entire session
      + enable pulseaudio sound 
      + set up cups server if installed
    - Start nbd-client with -persist so it reconnects in case of nbd-server 
      crash
    - no longer configure X by default
    - ltsp-build-client: prompt for password 3 times with --prompt-rootpass

  * drop patches merged upstream:
    - fix_localapps_cache_dir
    - configure_sound_volume
  * update patch for old ldm versions (partially merged upstream)
  * add plugin to handle apt pinning

 -- Vagrant Cascadian <vagrant@freegeek.org>  Sat, 11 Oct 2008 11:18:41 -0700

ltsp (5.1.28-0ubuntu3) intrepid; urgency=low

  * make sure to export LANG and LOCALE from ltsp-client-core.init

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 14 Oct 2008 01:17:39 +0200

ltsp (5.1.28-0ubuntu2) intrepid; urgency=low

  * Fix persistent nbd support (init script)

 -- Stéphane Graber <stgraber@ubuntu.com>  Sat, 11 Oct 2008 20:07:10 -0400

ltsp (5.1.28-0ubuntu1) intrepid; urgency=low

  * new upstream version (5.1.27)
   * Fix pre-FF regression (CONFIGURE_X not set to False) (commited upstream)
   * Fix pre-FF regression (Enable compcache) (commited upstream)
   * Fix pre-FF regression (Xubuntu support) (LP: #221894) (commited upstream)
   * Enable universe and multiverse by default (LP: #281196)
   * Complete ltsp-cluster integration (remove unneeded delta)
   * Update localapp sample script
  * mythbuntu-diskless: explicitly install xfce4-terminal
  * mythbuntu-diskless: fix lts.conf generation

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 10 Oct 2008 14:07:40 -0400

ltsp (5.1.25-0ubuntu1) intrepid; urgency=low

  * new upstream version (5.1.25)
   * Allow users to shutdown the thin client (LP: #274803)
   * Set PULSE_SERVER to 127.0.0.1 for localapps (LP: #274902)
   * Fix --prompt-rootpass (LP: #255176)
   * Use nbd-client with -persist to reconnect if server breaks
   * Add ltsp-cluster option to ltsp-build-client
   * Update documentation (LDM_RUNONCE)
   * Fix cups support for localapps
   * Set LDM_USERNAME correctly for localapps
   * Create /var/cache/ltsp-localapps
   * Rename xrexec to localapps
  * update packaging for the xrexec => localapps change

 -- Stéphane Graber <stgraber@ubuntu.com>  Sat, 04 Oct 2008 22:44:16 -0400

ltsp (5.1.24-1) experimental; urgency=low

  * new upstream version:
    - renamed localapps related binaries to ltsp-localapps*
    - handle sound volume variables from ltsp 4.x
  * added description to localapps-with-old-ldm patch
  * added debian/initscript-tweaks which handles patches to upstream init
    scripts and renames them
  * added init script patches:
    - configure-sound-volume
    - fix-localapps-cache-dir
  * add Ryan Niebur to Uploaders

 -- Vagrant Cascadian <vagrant@freegeek.org>  Fri, 12 Sep 2008 09:39:42 -0700

ltsp (5.1.22-1) experimental; urgency=low

  * new upstream version:
    - improvements to localapps:
      + restore password and group information after session ends
      + more efficiently poll for localapps
    - cleanup old kernels in tftp dirs
    - verify gpg signatures with debootstrap

  * added xatomwait binary, used for localapps.
    - build-depepends: pkg-config, libx11-dev, automake | automaken

 -- Vagrant Cascadian <vagrant@freegeek.org>  Wed, 03 Sep 2008 21:44:52 -0700

ltsp (5.1.22-0ubuntu4) intrepid; urgency=low

  * make sure ltsp-client-core initscript actually lands in rc2.d
  * add /var/lib/dbus/ and /var/cache/hald/ to rw_dirs for nfsroot setups
  (thanks to Stephane Graber for helping with teh above)
  * change old debian/rules bzr-release target to DTRT (who knows if we'll
    need it some day)
  * Default to CONFIGURE_X being unset, if users want a xorg.conf they need
    to manually enable it now since Xorg 1.5 should DTRT hand in hand with hal

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 16 Sep 2008 18:46:38 +0200

ltsp (5.1.22-0ubuntu3) intrepid; urgency=low

  * fix scripts/debian installation target for ltsp-server (again)

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 28 Aug 2008 17:19:47 +0200

ltsp (5.1.22-0ubuntu2) intrepid; urgency=low

  * add COMPCACHE_SIZE=25% to client/initramfs/conf.d/ltsp to make sure
    compcache is used on clients

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 28 Aug 2008 01:51:56 +0200

ltsp (5.1.22-0ubuntu1) intrepid; urgency=low

  * new upstream version
  * move ltsp-client-core initscript to position 25 to start after hal to make
    hal-input work right.
  * add hal and dbus to ltsp-client depends
  * enable xrexec bits for localapps infrastructure

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 28 Aug 2008 00:35:01 +0200

ltsp (5.1.17-1) experimental; urgency=low

  * new upstream:
    - localapps support (Closes: #478875)
    - support rsyslog as a syslog server
  * add dependency on sshfs to ltsp-client 
  * add patch to support localapps with older ldm versions 
  * drop conditional-localdev patch, applied upstream.

 -- Vagrant Cascadian <vagrant@freegeek.org>  Mon, 11 Aug 2008 00:31:41 -0700

ltsp (5.1.14-0ubuntu6) intrepid; urgency=low

  * quiten down the ltsp-server.postinst if no /etc/exports exists (thanks to
    Stephane Graber for the fix)

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 01 Aug 2008 15:25:32 +0200

ltsp (5.1.14-0ubuntu5) intrepid; urgency=low

  * drop xresprobe dependency to make it go away from main (LP: #248779)

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 01 Aug 2008 12:58:51 +0200

ltsp (5.1.14-0ubuntu4) intrepid; urgency=low

  * shuffle more install locations

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 31 Jul 2008 23:41:31 +0200

ltsp (5.1.14-0ubuntu3) intrepid; urgency=low

  * fix start-stop-daemon location (regressed somehow in one of the last
    uploads)

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 31 Jul 2008 22:29:53 +0200

ltsp (5.1.14-0ubuntu2) intrepid; urgency=low

  * make sure to use the right branch when merging teh debian dir 
    (sigh)

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 28 Jul 2008 03:00:53 +0200

ltsp (5.1.14-0ubuntu1) intrepid; urgency=low

   * The freegeek hackfest release (adds basic localapp infrastructure)
     - Added LOCAL_APPS=True as default in ltsp_config
     - Cleanup of xrexecd, glib, now to be started from ldm's rc.d mechanism
     - Cleaned up lts-parameters.txt
     - Run autogen.sh automatically if processed by mkdst.
     - only start cdpinger and ltspfsd if not already running
   * add configuring and building and cleaning up of xrececd to build-stamp
     and clean targets in debian/rules
   * install xrexecd to /usr/bin in the ltsp-client-core package
   * install debian/099-mount-cdrom (LP: #251066) and add --mount-cdrom to
     ltsp-client-builder.templates to make sure we dont break even if d-i
     unmounts it (ugly workaround)

 -- Oliver Grawert <ogra@ubuntu.com>  Sun, 26 Jul 2008 01:05:50 +0200

ltsp (5.1.10-2) unstable; urgency=low

  * backported patches from upstream:
    - support for using rsyslog as a logging daemon (default on lenny)
    - use server's apt keyring to verify gpg signatures with debootstrap

 -- Vagrant Cascadian <vagrant@freegeek.org>  Wed, 20 Aug 2008 22:17:37 -0700

ltsp (5.1.10-1) unstable; urgency=low

  * new upstream version:
    - default to using quiet in boot prompt
    - add plugin from Ubuntu to copy sources.list
    - use aufs instead of unionfs with NBD images
    - switch X configuration script to bash due to numerous bashisms
    - possible to specify alternate DHCP ports in ltsp initramfs-tools hooks

  * debian/patches:
    - added patch to only start ltspfsd and cdpinger if not already running
    - drop aufs patch (applied upstream)

  * drop discover1 and xresprobe, formerly used for X configuration. 
    thanks to Neutron Soutmun (Closes: #488125)

  * drop xbase-clients as alternate to xauth to keep lintian happy

  * make joystick a dependency for ltsp-client (Closes: #485761)

  * install lts-parameters.txt to both ltsp-server and ltsp-client-core
    documentation

  * ltsp-client-builder udeb:
    - sync with ubuntu hardy's ltsp-client-builder
      + keep keymap updating code
    - make cdrom use optional (Closes: #487576)
    - use ltsp-server plugin to mount cdrom
    - make compressed image creation optional
    - make interface configuration optional
    - make ltsp-server-standalone package installation configurable

  * updated standards-version to 3.8.0, no changes necessary.

 -- Vagrant Cascadian <vagrant@freegeek.org>  Sun, 29 Jun 2008 13:53:20 -0700

ltsp (5.1.10-0ubuntu4) intrepid; urgency=low

  * adjust initscripts for new installation layout

 -- Oliver Grawert <ogra@ubuntu.com>  Sat, 26 Jul 2008 16:05:50 +0200

ltsp (5.1.10-0ubuntu3) intrepid; urgency=low

  * add installation of ltsp-init-common and screen-x-common for ltsp-client
  * change install target paths from usr/lib/ltsp to usr/share/ltsp 

 -- Oliver Grawert <ogra@ubuntu.com>  Sat, 26 Jul 2008 03:13:44 +0200

ltsp (5.1.10-0ubuntu2) intrepid; urgency=low

  * fix start-stop-daemon location (LP: 246615) to unbreak the client build

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 24 Jul 2008 01:48:50 +0200

ltsp (5.1.10-0ubuntu1) intrepid; urgency=low

  * new upstream version, all hardy non-packaging related changes included

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 25 Jun 2008 12:17:36 +0200

ltsp (5.1.9-1) unstable; urgency=low

  * new upstream version:
    - plugin to create squashfs+aufs images
    - use default nbdswapd port of 9572 consistantly

  * add support for dpatch to debian/rules and add dependency in
    debian/control

  * add patch by José L. Redrejo Rodríguez to replace unionfs with aufs
    (Closes: #481210)

  * add warning regarding installation of ltsp-client in description
    (Closes: #480660)

  * updated package descriptions to clarify differences between ltsp-server
    and ltsp-server-standalone.

  * lower dependencies on tftp and inetd daemons to recommends for
    ltsp-server, and add as dependencies for ltsp-server-standalone.
    (Closes: #480661)

  * ltsp-server: allow dnsmasq as an alternative to a DHCP and/or TFTP server
  * ltsp-client: depend on rdesktop
  * drop references to transitional ssh package

  * ltsp-client: added lintian override for depends-on-x-metapackage

 -- Vagrant Cascadian <vagrant@freegeek.org>  Thu, 22 May 2008 00:22:58 -0700

ltsp (5.1.5-1) unstable; urgency=low

  * new upstream version: 
    - updated example dnsmasq configuration:
      + use same ip address range as example for isc dhcpd
      + add options to enable tftp server
    - fix bashism in ltsp-update-kernels (Closes: #476759)
    - use common functions for ltsp-client-setup init script
  * ltsp-cleint-core:
    - suggest netcat 
  * ltsp-client: 
    - depend on netcat
    - limit to amd64, i386 and powerpc

 -- Vagrant Cascadian <vagrant@freegeek.org>  Fri, 25 Apr 2008 11:50:58 -0500

ltsp (5.1.3-1) unstable; urgency=low

  * new upstream version:
    - get default configuration only when necessary
    - add check to see if DIST is supported by debootstrap and issue error
      message mentioning the use of the --dist option. (Closes: #472346)
    - split code for X related screen scripts into common file.
    - add no_subtree_check to mentioned NFS exports

  * debian/control:
    - update Vcs-Bzr to point to current packaging
    - add Vcs-Browser URL

  * ltsp-server: install lintian override regarding preseeded debconf question

  * add example ltsp screen script for sdm (formerly included upstream)

  * ltsp-server-standalone: prefer xauth over transitional xbase-clients
    (Closes: #475381)

  * limit architectures to amd64, i386 and powerpc
    - network booting for the other architectures is not well tested

 -- Vagrant Cascadian <vagrant@freegeek.org>  Wed, 16 Apr 2008 16:39:23 -0400

ltsp (5.0.40~bzr20080319-1) unstable; urgency=low

  * new upstream:
    - improved FHS compliance (/usr/lib/ltsp -> /usr/share/ltsp)
    - support for network booting on arm and mips (untested)
    - support for legacy versions of etherboot (untested)
    - rename startx screen script to xdmcp and simplify to use only X.org
    - drop checks for sdm
    - make /etc/fstab configuration optional
    - only report UTF-8 languages in ldminfod
    - nbdswapd: create a sparse file
    - plugins:
      + create filesystem images for use with NBD
      + bind-mount server's package cache
      + handle when TMP and/or TMPDIR are set (Closes: #451878)
      + upgrade packages after initial install
    - detect default server with NBD root

   * use ltsp-client* init scripts from upstream:
     - drop defaults for bind_mounts variables (was difficult to unset them)
     - drop preseed function (un-used debian-ism)
     - don't put /var/cache/debconf in temp_copy_dirs (it's big, un-used, and
       debian-specific)
     - add /root to copy_dirs

   * ltsp-build-client: only install plugins for common, Debian, and Ubuntu.
     other plugins are un-used on Debian.

 -- Vagrant Cascadian <vagrant@freegeek.org>  Wed, 19 Mar 2008 20:26:49 -0400

ltsp (5.0.40~bzr20080214-1) unstable; urgency=low

  * new upstream release from bzr:
    - Russian translation update by Yuri Kozlov
      (Closes: #465291)
    - French translation update by Jean-Baka
      (Closes: #464568)
    - Finnish translation update by Esko Arajärvi
      (Closes: #463956)
    - German translation update by Wolfgang Schweer
      (Closes: #463394)
    - Catalan translation update by Jordà Polo
      (Closes: #463216)
    - added Vietnamese translation by Clytie Siddall
      (Closes: #463670)
    - ldminfod now uses .desktop files to determine available login
      sessions

  * ltsp-server-standalone:
    - updated location of dhcpd.conf in source

  * ltsp-server:
    - do not install Xsession.d hooks to enable pulseaudio sound
      (patches to pulseaudio to enable this are not present in debian)

  * debian/control:
    - drop sdm-terminal as ltsp-client dependency as it lacks sufficient
      support for local devices and sound
    - keep sdm-terminal as ltsp-client-core suggests
    - add ${shlibs:Depends} to ltsp-client-core dependencies to pull in
      properly versioned dependencies

 -- Vagrant Cascadian <vagrant@freegeek.org>  Thu, 14 Feb 2008 16:22:31 -0800

ltsp (5.0.40~bzr20080212-0ubuntu7) hardy-proposed; urgency=low

  * add jetpipe to ltsp-client-core binary package (LP: #224259)
  * fix default port for NBD_PORT, so NBD_SWAP=Y works without setting the
    port explicitly (LP: #235772)
  * dont try to install xubuntu-artwork-usplash if universe is not enabled
    (LP: #221894)
  * add /root to rw_dirs so LDM_DIRECTX works if people froce nfsroot use
    (LP: #234006)
  * fix ltsp-update-image manpage to list all options (LP: #222524)
  * make sure the users XKBOPTIONS setting in lts.conf overrides console-setup
    (partially LP: #199675)
  * add support for ten options to adjust monitor settings in xorg.conf
    (X_MONITOR_OPTION_01-10) to make things like 'Option "DPMS" "off"'
    available through lts.conf (partially LP: #199675)
  * make sure X_MOUSE_DEVICE is properly quoted if added to xorg.conf
    (partially LP: #199675)

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 30 May 2008 00:41:36 +0200

ltsp (5.0.40~bzr20080212-0ubuntu6) hardy; urgency=low

  * 030-kiosk plugin fixes:
    - enable all archive components for easier flash installation.
    - install ubufox for better theme handling.
    - switch to devilspie for fullscreen mode (firefox --fullscreen is deprecated)

 -- Oliver Grawert <ogra@ubuntu.com>  Sat, 19 Apr 2008 02:18:58 +0200

ltsp (5.0.40~bzr20080212-0ubuntu5) hardy; urgency=low

  [Oliver Grawert]
  * run /etc/kernel/postinst.d/ltsp-update-kernels in the update-image plugin
    to make sure the pxe config is really updated even in corner cases

  [Michael Haas]
  * Make sure that mythbuntu specific calls are only executed when running
    ltsp-build-client with --mythbuntu (LP: #214481)

 -- Michael Haas <laga@laga.ath.cx>  Wed, 09 Apr 2008 12:07:22 +0200

ltsp (5.0.40~bzr20080212-0ubuntu4) hardy; urgency=low

  * make sure the right proxy line is set in the chroot, thanks
    to stephane graber for that fix (LP: #213927)
  * make acpid [ i386 amd64 ] only dependency, since its not not available on ppc
    (LP: #213014, LP: #199747)
  * fix configure-x.sh interpreter line (LP: #196706)
  * make sure resolv.conf is available in the chroot (LP: #72482)
  * merge fix for dhcp port handling, thanks to Michael Haas, (LP: #198356)
  * we only tell users with nfs-kernel-server installed that they need to
    update /etc/exports (LP: #198915)
  * fix kiosk plugin to use the right package names (LP: #163278, LP: #212738)
  * fix hardcoded path in ltsp-update-image and quiten down noisy rm commands
    (LP: #198157)
  * make sure the ltsp-update-* scripts operate on symlinked dirs (LP: #151503)
  * add final updates for mythbuntu plugin and drop accidentially included
    patch file from debian/extra-plugins (LP: #212550)

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 08 Apr 2008 15:03:51 +0200

ltsp (5.0.40~bzr20080212-0ubuntu3) hardy; urgency=low

  * add CONFIGURE_FSTAB lts.conf option to override fstab
    creation on client (LP: #198114)
  * use servers timezone during chroot creation (LP: #197723)
  * added note to lts-parameters.txt taht teh values apply to
    lts.conf only (LP: #197744)
  * merge mythbuntu plugin changes (LP: #195943)

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 14 Mar 2008 01:05:21 +0100

ltsp (5.0.40~bzr20080212-0ubuntu2) hardy; urgency=low

  * add alsa-utils and alsa-base to ltsp-client dependencies (both moved out
    of ubuntu-minimal)

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 19 Feb 2008 11:14:34 +0100

ltsp (5.0.40~bzr20080212-0ubuntu1) hardy; urgency=low

  * new upstream version with fixes for the following bugs:
   LP: #149006 (default to 24bit colordepth)
   LP: #190419 (move .nbi image out of the way before regeneration)
   LP: #113709 (security server sources.list entry handling)
   LP: #135419 (chroot upgrade issues)
   LP: #177926 (documentation fix)
   LP: #184316 (client locale handling (default to en_GB if none is set)
   LP: #189237 (fix path handling, remove trailing slashes from arguments)
   LP: #132397 (handle proxies with apt)
   LP: #148109 (only use getltscfg if lts.conf is valid)
   LP: #172459 (only use free nbd devices to do network swapping)
  * install our own dhcpd.conf
  * add rdesktop to ltsp-client deps (LP: #153589)
  * fix xorg deps of ltsp-client (LP: #158735)
  * add plugin for mythbuntu kiosk setup (LP: #188413), thanks to Michael Haas

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 12 Feb 2008 17:48:48 +0100

ltsp (5.0.40~bzr20080121-2) unstable; urgency=low

  * debian/rules:
    - fix missing manpages by calling dh_installman in the binary-arch target

 -- Vagrant Cascadian <vagrant@freegeek.org>  Fri, 25 Jan 2008 09:53:12 -0800

ltsp (5.0.40~bzr20080121-1) unstable; urgency=low

  * new upstream release from bzr:
    - fix Debian kiosk plugin
    - give feedback with --copy-package-cache

  * updated Spanish debconf translation by Felipe Caminos (Closes: #460938)

  * make bug reporting hook executable

  * updated version info reporting for bug reports:
    - add ltspfs
    - drop initramfs-tools

  * clean up LSB headers in init script (remove pseudo-runlevel "S")

  * allow debian-maintainer uploads

 -- Vagrant Cascadian <vagrant@freegeek.org>  Mon, 21 Jan 2008 12:53:30 -0800

ltsp (5.0.40~bzr20071229-1) unstable; urgency=low

  * new upstream release from bzr branch:
    http://bazaar.launchpad.net/~ltsp-upstream/ltsp/ltsp-trunk/

  * split ldm into separate source package

  * debian/copyright: updated URLs for bzr branches

  * ltsp-server:
    - lower dependencies for nfs-kernel-server, squashfs-tools and
      nbd-server to recommends (Closes: #456242)

  * ltsp-server-standalone:
    - depend on all ltsp-server recommends

  * debian/control: updated Standards-Version to 3.7.3, no changes necessary.

  * removed from Uploaders, with thanks for all previous work:
    - Matt Zimmerman (at request)
    - Gustavo Franco (at request)
    - Michael Vogt (possibly mistakenly added, no activity)

 -- Vagrant Cascadian <vagrant@freegeek.org>  Sat, 29 Dec 2007 14:57:54 -0800

ltsp (5.0.39+20071127pre5.1-0ubuntu10) hardy; urgency=low

  *  make sure the ltsp dedicated interface is really up when
     generating the sshkeys in the udeb

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 16 Jan 2008 16:26:34 +0100

ltsp (5.0.39+20071127pre5.1-0ubuntu9) hardy; urgency=low

  * change ordering of functions in the udeb and make sure the sshkeys
    are properly set before squashing the image.

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 11 Jan 2008 13:42:26 +0100

ltsp (5.0.39+20071127pre5.1-0ubuntu8) hardy; urgency=low

  * we dont want next-server to be set by default

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 10 Jan 2008 13:22:01 +0100

ltsp (5.0.39+20071127pre5.1-0ubuntu7) hardy; urgency=low

  * needs to install ltsp-server-standalone from d-i, not just
    ltsp-server unlike edubuntu ubuntu-alternate doesnt have the
    needed bits preinstalled.

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 10 Jan 2008 13:09:14 +0100

ltsp (5.0.39+20071127pre5.1-0ubuntu6) hardy; urgency=low

  * we want to move the compress log to /target not /taget in d-i

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 10 Jan 2008 12:35:29 +0100

ltsp (5.0.39+20071127pre5.1-0ubuntu5) hardy; urgency=low

  * default to the -generic kernel image instead of i386. it works on
    all tested thin client platforms and saves a lot of CD space

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 08 Jan 2008 10:44:37 +0100

ltsp (5.0.39+20071127pre5.1-0ubuntu4) hardy; urgency=low

  * add -nolzma option to mksquashfs, kernel protion isnt ready yet so
    unpacking the image on client boot fails.

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 03 Jan 2008 16:17:37 +0100

ltsp (5.0.39+20071127pre5.1-0ubuntu3) hardy; urgency=low

  * add pulseaudio to ltsp-client deps, needed because
    pulseaudio-esound-compat doesnt depend on pulse anymore to pull it in
    automatically

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 29 Nov 2007 18:26:21 +0100

ltsp (5.0.39+20071127pre5.1-0ubuntu2) hardy; urgency=low

  * change ltsp-client-core.install to fix ftbfs caused by a wron scriptname
    there

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 28 Nov 2007 14:48:45 +0100

ltsp (5.0.39+20071127pre5.1-0ubuntu1) hardy; urgency=low

  * newly packaged upstream release, no code changes yet
  * split out ldm into a separate source package

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 28 Nov 2007 13:03:59 +0100

ltsp (5.0.39debian1) unstable; urgency=low

  * sync with ubuntu 5.0.39

  * merge patches to use /var/run/ldm instead of /tmp/ldm

  * configure tzdata after installing /etc/timezone 
    thanks to Bryan Sutula for the report (Closes: #440856)

  * debian/control: 
    - add XS-X-Vcs-Bzr entry for debian

  * debian/rules:
    - fix typo in test for Makefile
    - fix typo: cleint -> client

  * plugin to copy server's Packages files into chroot

  * updates to debconf templates reviewed by Justin B Rye

  * new Finnish debconf templates and ltsp translation by Esko Arajärvi
    (Closes: #447179)

  * debconf template and ltsp translation updates:
    - German by Wolfgang Schweer (Closes: #447504)
    - Russian by Yuri Kozlov (Closes: #447181)
    - Catalan by Jordà Polo (Closes: #446401)
    - Brazilian Portuguese by Felipe Augusto van de Wiel (faw)
      (Closes: #447839, #447838)
    - French by Jean-Baka Domelevo-Entfellner and Christian Perrier
      (Closes: #447761, #445479, #445596, #445598)

  * debconf template translation updates:
    - Dutch cobaco (aka Bart Cornelis) (Closes: #448010)
    - Portuguese by Ricardo Silva (Closes: #447643)
    - Czech by Miroslav Kure (Closes: #447438)
    - Basque by Piarres Beobide (Closes: #447127)
    - Vietnamese by Clytie Siddall (Closes: #447258)
    - Galician by Jacobo Tarrio (Closes: #447195)
    - Swedish by Daniel Nylander (Closes: #447125)

 -- Vagrant Cascadian <vagrant@freegeek.org>  Thu, 25 Oct 2007 23:53:14 -0700

ltsp (5.0.39) gutsy; urgency=low

  * we want to move the compression log in d-i to target, not taget *sigh*

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 08 Oct 2007 11:14:01 +0200

ltsp (5.0.38) gutsy; urgency=low

  * move interface configuration in the installer before the ltsp-build-client
    run and bring the interface up, so ssh keys are generated properly later
    hopefully helps with LP: #145514

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 05 Oct 2007 19:13:39 +0200

ltsp (5.0.37) gutsy; urgency=low

  * revert the ltsp-build-client behavior of the d-i progress bar to teh
    feisty behavior, together with the new compress progressbar that should
    suffice to fix LP: #121547

  * ignore getltscfg if it fails during boot, so we dont need dummy entries 
    in "comment only" lts.conf files in the future

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 05 Oct 2007 18:03:54 +0200

ltsp (5.0.36) gutsy; urgency=low

  * fix most of the d-i progressbar issues and broken whitespace in
    debian/ltsp-client-builder.postinst
  * add a dummy entry to the default lts.conf to quiten down getltscfg on
    client boots

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 02 Oct 2007 22:22:53 +0200

ltsp (5.0.35) gutsy; urgency=low

  * change debconf frontend to noninteractive in the Ubuntu/095-update-image plugin
    fixes LP: #144296
  * fix sed quoting in ltsp-update-image so we dont end up with $PORT but the
    actual portnumber in the pxe config.

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 02 Oct 2007 13:54:42 +0200

ltsp (5.0.34) gutsy; urgency=low

  * make sure the udeb waits until ltsp-update-image is finished

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 26 Sep 2007 18:08:21 +0200

ltsp (5.0.33) gutsy; urgency=low

  * disable d-i output for ltsp-update-image temporary to not risk beta release
    lauchpad bug #121547 will be fixed afterwards.

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 26 Sep 2007 13:29:09 +0200

ltsp (5.0.32) gutsy; urgency=low

  * move nfs handling plugin (095-exports) from common to Debian plugin dir
    we dont use nfs-kernel-server anymore, no need to restart it or mangle
    /etc/exports, leave that to debian :)
  * dont try to move files from the udeb postinst if they dont exist so the
    installer doesnt stop.

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 26 Sep 2007 12:50:17 +0200

ltsp (5.0.31debian2) unstable; urgency=low

  * ldm:
    - new ltsp theme
    - improved ldm theme for Debian (Closes: #443518)

  * French debconf templates translation by Jean-Baka Domelevo-Entfellner
    (Closes: #444844)

  * Galician debconf template translation for ltsp by Jacobo Tarrio 
    (Closes: #444753)

  * bugfixes for network booting on sparc

  * fix lintian warning: debian-rules-ignores-make-clean-error

 -- Vagrant Cascadian <vagrant@freegeek.org>  Wed,  3 Oct 2007 11:19:07 -0700

ltsp (5.0.31debian1) unstable; urgency=low

  * sync with ubuntu
    - fix bug that caused ltsp-client init script to fail when using nfsroot
    - (re)add support for mkelf-linux (only when mkelfimage is not present)

  * use lowercase for "thin client" as suggested by Christian Perrier
    (Closes: #441953)
  * include french gettext translation by Jean-Baka Domelevo-Entfellner
    (Closes: #442164)

  * add example script to run ldm from init (Closes: #401357)

  * README.Debian: use --kernel-packages instead of --late-packages for
    unknown architectures

  * added README.Debian.sound describing the steps to get remote sound to work
    (thanks to Bryan Sutula, Closes: #425057)

  * tighten sound dependencies:
    - lower esound and nas dependencies for ltsp-server-stanadlone to
      suggestions for ltsp-server
    - ltsp-client:
      + depend only on pulseaudio-esound-compat
      + suggest pulseaudio, esound and nas

  * ltsp-client:
    - versioned dependency on ltspfsd >= 0.5
    - enable encrypted swap by default if cryptsetup is available

  * ltsp-build-client: properly handle when debian-installer/keymap debconf
    question is not present

  * remove old ldm theme directories

  * quiet read-write filesystem detection

  * allow for custom X configuration command (CONFIGURE_X_COMMAND)
    - add example alternative x configuration script

 -- Vagrant Cascadian <vagrant@freegeek.org>  Sun, 23 Sep 2007 16:46:42 -0700

ltsp (5.0.31) gutsy; urgency=low

  [Oliver Grawert <ogra@ubuntu.com>]
  * change mknbi dependency to mkelfimage for full LinuxBIOS support
  * add libgl1-mesa-dri to ltsp-client dependencies for compiz support
    out of the box.

  [Scott Balneaves <sbalneav@ltsp.org>]
  * Test failure of X autoconf add X_OPTIONS_**  parameters. A buggy
    via driver revealed this. Won't cause any delay on a sane driver.

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 19 Sep 2007 18:21:03 +0200

ltsp (5.0.30) gutsy; urgency=low

  * dont try to write to non existing dirs in the chroot from
    ltsp-update-image (thanks lamont !)
  * fix issue with doubleslashes in ltsp-update-image

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 13 Sep 2007 22:22:57 +0200

ltsp (5.0.29) gutsy; urgency=low

  [Oliver Grawert <ogra@ubuntu.com>]
  * fix setting of SERVER with nbd roots, closes LP: #139059
  * remove screensaver handling from ldm, gnome-screensaver konws what to do
    now

  [Scott Balneaves <sbalneav@ltsp.org>]
  * enable compiz by default (leave it to Xsession on the server to decide)

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 13 Sep 2007 16:10:50 +0200

ltsp (5.0.28) gutsy; urgency=low

  [Oliver Grawert <ogra@ubuntu.com>]
  * mkfifo isnt available in d-i, use mknod instead in the udeb
  * fix ltsp-update-image to handle existing inetd.conf entries properly
  * Empty out lts.conf, we detect evrything that was in there automatically
    and enable it if the corresponding app is in the chroot
  * Add long note to old lts.conf about the new location in the tftp dir

  [Scott Balneaves <sbalneav@ltsp.org>]
  * bug pointed out by vagrantc: running ltsp-update-image on a chroot that
    isn't going to be nbd mounted shouldn't error out
  * Patch to disallow SCREEN_01 (used by upstart and source for probs)
  * Eliminate call to awk, should be ulimit -m not -v for the
    XRAMPERC client limit
  * Little more cleanup on shell and telnet screen scripts, remove bash
    references
  * Instead of starting for all, start for just screens available


 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 12 Sep 2007 12:01:25 +0200

ltsp (5.0.27debian1) unstable; urgency=low

  * remove -s from LDFLAGS: don't strip getltscfg (Closes: #437540)
    thanks to Julien Danjou
  * set default hostname in the initramfs (Closes: #406366, #418142)
    thanks to Damyan Ivanov and Joshua Pritikin
  * add versioned dependency on nbd-server
  * detect root_write_method instead of hard-coding it
  * new plugin to copy *.deb from /var/cache/apt/archives
  * updated swap documentation (Closes: #422962)
  * fix to locale plugin setting keyboard properly
  * fix typo in ltsp-client-setup init that broke syslog handling
  * drop dependency on xdebconfigurator
  * updated suggests for ltsp-server

  * sync with ubuntu:
    - ltsp-client-core dependencies:
      + added console-setup, libasound2-plugins, tftp-hpa dependencies

    - ltsp-server dependencies:
      + added squashfs-tools dependencies

    - ldm rewrite:
      + drop dependency on python packages
      + includes gettext support (Closes: #432708)
        thanks to Petter Reinholdtsen

    - ltsp-build-client plugins:
      + kiosk plugin inspired by ubuntu kiosk plugin
      + create a default lts.conf
      + link to default-modules plugin from Ubuntu
      + link to copy-timezone plugin from ubuntu
      + link to var-lib-nfs plugin from Ubuntu
      + copy console-setup if present

  * get configure-x.sh working with debian:
    - set default color depth in lts.conf
    - copy and delete generated xorg.conf instead of moving it
    - add -novtswitch option when configuring X

  * rename ltsp-nbd script to ltsp_nbd (needed for initramfs-tools)
  * only copy /etc/timezone if present
  * only install ldm theme for Debian

  * merge with scotts-gutsy:
      - ltsp-update-image now safe to run when not building images
      - simplified screen_session
        + ignore entries on SCREEN_01
        + re-add support for /etc/ltsp/screen.d
      - use /bin/sh instead of /bin/bash in screen scripts
      - don't use full paths when calling binaries in telenet screen script

  * merge fix from gutsy-ltsp to create fifo with mknod in udeb

 -- Vagrant Cascadian <vagrant@freegeek.org>  Mon, 10 Sep 2007 14:30:30 -0700

ltsp (5.0.27) gutsy; urgency=low

  * add new 010-debconf-frontend to Ubuntu to make the udeb
    changes actually work.

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 06 Sep 2007 15:11:12 +0200

ltsp (5.0.26) gutsy; urgency=low

  [Oliver Grawert <ogra@ubuntu.com>]
  * new udeb postinst (and new template) added, fixes (LP: #121547)
    we have full progress reporting in teh installer now :)
  * added option --skipimage to ltsp-build-client to supress ltsp-update-image
    execution in d-i (we run it separately in the udeb)
  * its not an error if the port is set in inetd.conf.

  [Scott Balneaves <sbalneav@ltsp.org>]
  * Close LP: #137461
  * added missing manpages for ltsp-update-image, and nbdrootd
  * Fix a couple of debian control issues
  * Fix bug with localdev: encrypt tunnel for X forwarding for all things.
    LDM_DIRECTX will override X, but all other communication should be
    encrypted
  * since we're zeroing /etc/hostname in the plugin, don't need to do it in
    the initramfs, add plugin to Ubuntu
  * fixing problem with hostnames not being set in the client, even if
    they're specified in dhcpd
  * Added ram limiting from old 4.2, fixed typo

  [Vagrant Cascadian <vagrant@freegeek.org>]
  * merged patch to set hostname from the initramfs
  * merge with scotts-gutsy, *except* keep debian logo.

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 06 Sep 2007 13:24:27 +0200

ltsp (5.0.25) gutsy; urgency=low

  [Oliver Grawert <ogra@ubuntu.com>]
  * Clean up rc links for reboot and shutdown
  * fix sync range handling in x config script

  [Vagrant Cascadian <vagrant@freegeek.org>]
  * Drop Debian-Edu themes as Debian-Edu can handle them separately.
  * Symlink common files from the Debian theme to the edubuntu theme
  * Use debian's logo for the Debian theme

  [Scott Balneaves <sbalneav@ltsp.org>]
  * fgiraldeau pointed out a bug with nfs roots that prevents the X
    configurator from running.  Doesn't affect nbd roots
  * Some style cleanups, after discussion with vagrantc, and a very brief
    CodingStyle document
  * Check for a mounted /proc under the chroot in ltsp-update-image
  * Merged translation files from debian
  * To ensure uniqeness, sockets are now of the form
    /var/run/ldm_socket_vt[x]_ww.xx.yy.zz, where [x] is the vty number
    of ldm, and ww.xx.yy.zz is the ip address of the server connected to.
  * Change XORG_CONF to X_CONF per secret LTSP cabal vote
  * Drop XF86CONFIG_FILE handling, as it's handled in ltsp_config
  * Simplified backwards compatibility with XF86CONFIG_FILE
  * Ditch old 2.4 kernel stuff in ldm startscript
  * Added code for handling mkelfImage, cleaned up example dhcpd.conf file a
    bit, removed the old python greeter
  * Fixed typos
  * Cleaned up ldmgtkgreet, got hosts appearing in same order as LDM_SERVER
  * Some cleanup on the init functions, properly implement the XF86CONFIG_FILE
    and XORG_CONF options
  * Whoops, bashisms
  * Cleanup of printer, telnet, screen scripts, remove cruft
  * Fixed ltspfs security
  * Fixed kiosk plugin (LP #114391).
  * Added a plugin for copying the server's /etc/timezone to the chroot.
    (LP #126443)
  * Fixed bug where you can only run one concurrent ldm
  * Cleaned up some code, more ldm glibifying

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 30 Aug 2007 00:12:08 +0200

ltsp (5.0.24) gutsy; urgency=low

  * fix typo in ltsp-update-sshkeys (Closes LP# 133443)

 -- Oliver Grawert <ogra@ubuntu.com>  Sun, 19 Aug 2007 10:59:59 +0200

ltsp (5.0.23) gutsy; urgency=low

  * ldm2 merged from sbalneav:
    * added german .po file
    * hide cancel button again
    * add ABOUT-NLS
    * add scotts m4 dir
    * Added gettext support.  i18n ahoy
    * language selection working now.
    * fixed problem with greeter crashing
    * finished main functionality with greeter.  Lang, sess, and host info
      all selectable.
    * Major rework of the greeter.  Split functions up into multiple files.
      Accept working in session and language windows.
      Multihost selecting working well.
    * Added session window
    * No host menu if only one host
    * Added XORG_CONF variable for manual config override.
    * Got greeter reloading lang info on host change
    * Merged some of fgiraldeau's code, but not the network part
    * transition to glib
  * Merged Gadis changes from
    http://bazaar.launchpad.net/~gideon/ltsp/gadi-configurex-mods-ltsp:
    * Modified confiugre-x.sh:  Added support for touchscreens and code to
      handle sync ranges.
  * add metacity to --kiosk mode, when did that get lost ?
  * Updated ldminfod from Francis' tree
  * fix default locale handling in ldminfod (locale.getdefaultlocale()
    doesnt return anything in inetd mode)
  * fix typo in configure-x.sh script
  * Added usage messages to ltsp-update scripts. ltsp-update-image now
    changes nbdport parameter in pxeconfig file
  * Fixed command line processing using external getopt, so long and short
    options are used. --base standard.  Added --export option to -sshkeys,
    so that admins can export sshkeys on machines, for loading into the
    chroot on the nbd server. -sshkeys now looks in /etc/ltsp/ssh_known_hosts.*
    and adds all hostnames to chroot found there.
  * And, for completeness, added -b option handling to ltsp-update-kernels
  * Updated ltsp-update-sshkeys to also handle a -b basedir option, plus some
    cleanup.
  * Fixed up some problems with ltsp-update-kernels, added command line
    processing.
    Removed unnecessary image dir test in nbdrootd. Added -C /dev/null
    to nbdswapd.

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 15 Aug 2007 10:55:14 +0200

ltsp (5.0.22) gutsy; urgency=low

  [Oliver Grawert]
  * added ldm screen scripts for screensaver and compiz handling
  * added nbdroot fixes from MrMoo
  * hide cancel button
  * added host selector icon to all themes

  [Scott Balneaves]
  * New ldm screen script
  * Lots of work.  Converted to all static memory, to eliminate leaks.  Fixed
    login failures, control-alt-backspace resets, etc.
  * Closes Launchpad bug 105709: updated 80_ltsp-sound to address unsafe quoting.
  * Added cancel button to greeter
  * Added host selection box to ldmgtkgreet
  * fixed some bugs, added login status message
  * Cleaned up username and password handling a bit
  * Password expiry working.  Goto's eliminated. World saved.  more to do
  * Fixed bug in ldminfod
  * Closes Launchpad Bug #127516.  The delayed_mounter isn't needed with ldm2
  * Beginnings of password expiry
  * Added rdesktop script courtesy Colin Osterhout
  * Touched up jetpipe a bit: don't keep remaking socket
  * Got autologin working
  * Closes Launchpad bug # 121254

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 01 Aug 2007 16:32:53 +0200

ltsp (5.0.21) gutsy; urgency=low

  * add new X configuratin script, update teh initscripts for that
  * add asound plugins to ltsp-client for oss support for the HW that
    still has no alsa drivers
  * fixed deps and maintainer in control.Ubuntu
  * make pulse startup not depend on syslog
  * no, we dont want next-server in the default dhcpd.conf

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 17 Jul 2007 10:18:30 +0200

ltsp (5.0.20) gutsy; urgency=low

  * fix handling of mounted cdroms in ltsp-update-image
  * drop the unused excludes from mksquashfs

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 26 Jun 2007 21:12:44 +0200

ltsp (5.0.19) gutsy; urgency=low

  * fix nbdrootd to reflect teh new nbd-server syntax
  * fix the libgl1-mesa-dri dep of ltsp-client-core again

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 25 Jun 2007 12:13:50 +0200

ltsp (5.0.18) gutsy; urgency=low

  * added missing theme flavors for kubuntu and xubuntu
  * added ldm2 theme support
  * fixed manpage location in the ldm package
  * make sure autogen.sh is run from 'debian/rules bzr-release' we dont want
    autofoo crap in the source tree
  * Merged scotts initial greeter implementation of a status message entry.

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 21 Jun 2007 16:45:16 +0200

ltsp (5.0.17) gutsy; urgency=low

  * new LDM !!!
    * add new C based ldm from Scott Balneaves <sbalneav@ltsp.org>
    * add new C based ldm gtk greeter
    * clean up ldm-deps
    * add libgtk2.0-dev to ltsp build-deps
    * switch ldm to arch any
    * add new ldm.install file
    * comment out theme selection in ldm.postinst (no themeing yet)
    * add handling of new ldm and greeter to debian/rules

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 20 Jun 2007 12:32:18 +0200

ltsp (5.0.16) gutsy; urgency=low

  * make sure we dont wait less for devices during boot
  * make sure proc isnt mounted inside the chroot while we build the squashfs
    image

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 13 Jun 2007 13:55:30 +0200

ltsp (5.0.15) gutsy; urgency=low

  * exclude proc sys and tmp from mksqaushfs

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 12 Jun 2007 20:57:34 +0200

ltsp (5.0.14) gutsy; urgency=low

  * also rename the ltsp-nbd hook in the .install file (silly me)

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 12 Jun 2007 17:07:31 +0200

ltsp (5.0.13) gutsy; urgency=low

  * fix the path handling for lts.conf in initramfs
  * change bootscript whitelist name to ltsp-client-core, else we dont have a
    client starting
  * make squashfs image world readable so nbd-server can serve it

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 12 Jun 2007 16:39:41 +0200

ltsp (5.0.12) gutsy; urgency=low

  * move ltsp-nbd hook to ltsp_nbd to please update-initramfs
  * drop duplicated dependency on inputattach
  * make sure we only move the newly built image around to not corrupt the
    existing one
  * add tftp-hpa to ltsp-client-core deps for the new lts.conf in
    initramfs feature
  * fix debian/control.Ubuntu quotation

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 12 Jun 2007 14:59:33 +0200

ltsp (5.0.11) gutsy; urgency=low

  * add dependency on squashfs-tools for the nbd-root to ltsp-server
  * default to no xorg.conf and no X autoconfiguration, xorg can do that at
    runtime now :)
  * add first implementation of squashfs nbd-root
  * merge mainline changes from http://bazaar.launchpad.net/~ltsp-drivers/ltsp/mainline
    * drop /etc/X11/XF86Config-4 from list of files to bind mount
    * add xbase-clients to ltsp-server-standalone
    * make related sound programs a hard dependency on ltsp-server-standalone (Debian)
    * remove code for after-installation and finalization (functionality was moved to
      other plugins).
    * get DIST from lsb_release
    * generate the control file when doing bzr-release
    * move packages from EARLY_PACKAGES to ltsp-client dependencies for Debian.
    * clean up sound dependencies for debian
    * move more packages listed in EARLY_PACKAGES into ltsp-client dependencies.
    * clean up sound related dependencies.
    * merge patches to split ltsp-client into two packages
      * grab templates from ltsp-client-core now.
      * split ltsp-client into two packages: ltsp-client-core and ltsp-client
      * merge bugfix in configure_x function
        - add ltsp-client dependency on discover1 and xresprobe
        - remove unnecessary packages from EARLY_PACKAGES variables
      * only configure X if it is installed
      * enable localdev if not configured and ltspfsd is installed
      * enable sound if not configured and a known sound daemon is installed
    * merge patches for debian/control generation, to reduce debian/ubuntu conflicts.
    * added control bits for Ubuntu
    * drop packages no longer in debian
    * add controlgen rule for generating debian/control
    * generate debian/control rather than maintaining in revision control

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 11 Jun 2007 15:53:04 +0200

ltsp (5.0.10) gutsy; urgency=low

  * drop unneeded libgl1-mesa-dri from EARLY_PACKAGES, libgl1-mesa-glx
    replaces it
  * no, we dont want any esound dependencies for ltsp-server we also dont
    want nas (merge mistake from debian)
  * fix distro and apt option handling in 000-basic-configuration, clean
    up RC whitelists

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 05 Jun 2007 14:26:18 +0200

ltsp (5.0.9) gutsy; urgency=low

  * change default distro to gutsy

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 31 May 2007 13:58:14 +0200

ltsp (5.0.8debian3) unstable; urgency=low

  [ Christian Perrier ]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #434048
  * Debconf translation updates:
    - French. Closes: #434600, #431978
    - Swedish. Closes: #434611
    - Basque. Closes: #434612, #431669
    - Portuguese. Closes: #434683, #431790
    - Catalan. Closes: #434810, #430853
    - Vietnamese. Closes: #434834, #431654
    - Galician. Closes: #434849, #431744
    - Bulgarian. Closes: #433619, #431955
    - Russian. Closes: #435570, 435571, #432226
    - German. Closes: #435821, #431668

    - Czech. Closes: #436283, #432211
    - Dutch. Closes: #436856

  [ Vagrant Cascadian ]
  * apply patch by Teddy Hogeborn for the gtk greeter to display more locales
    (Closes: #430074)
  * added notes for modifying boot prompt options (Closes: #428446)
  * move suggestion for joystick from ltsp-client to ltsp-client-core
  * make cryptsetup an ltsp-client dependency
  * add suggests for ltsp-client-core on all packages depended on by
    ltsp-client

 -- Vagrant Cascadian <vagrant@freegeek.org>  Sun, 12 Aug 2007 07:35:35 -0700

ltsp (5.0.8debian2) unstable; urgency=low

  * ltsp-client:
    - add alsa-utils to ltsp-client dependencies
    - drop bind mounting of /etc/X11/XF86Config-4
  * ldm:
    - use lsb-release to determine which theme should gets priority
    - drop ldm theme for Debian-Edu (now maintained in debian-edu-artwork)
    - move /tmp/.ltspfs-socket to /var/run/ldm_socket
  * fix bug which causes ltsp-client-core init script to be blacklisted

 -- Vagrant Cascadian <vagrant@freegeek.org>  Fri, 15 Jun 2007 20:25:36 +0100

ltsp (5.0.8debian1) unstable; urgency=low

  * sync with upstream:
      - support unencrypted LDM logins (LDM_DIRECTX)
      - generate debian/control to reduce Debian/Ubuntu conflicts

  * sync with Ubuntu:
      - local printer support (jetpipe)
      - pulseaudio sound system

  * split ltsp-client into ltsp-client-core and ltsp-client
      - all features (sound/localdev) enabled by default

  * use proper boolean handling for NETWORK_COMPRESSION, based on patch from
    Tim Day.  (Closes: #421324)

  * Add code in the ltsp-client-builder udeb and a ltsp-client-builder plugin
    to pass the d-i keyboard setting to LTSP and X.org. Thanks Petter.
    (Closes: #421762)

  * sound dependencies moved from ltsp-server to ltsp-server-standalone.
    (Closes: #356986)

  * drop support for obsoleted packages from debian sarge

 -- Vagrant Cascadian <vagrant@freegeek.org>  Fri,  1 Jun 2007 18:12:14 +0200

ltsp (5.0.8) feisty-proposed; urgency=low

  * add fixed ltsp-sound session script to fix LP bug #105709 

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 25 Apr 2007 17:12:16 +0200

ltsp (5.0.7) feisty; urgency=low

  * cosmetical fix, make sure we switch to vt 7 between usplash end
    and ldm start to prevent tty1 flashing in on slow thin clients

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 10 Apr 2007 15:22:20 +0200

ltsp (5.0.6) feisty; urgency=low

  * move printing back, doesnt gain us anything
  * make sure the localdev scritps dont start new instaces with every ldm 
    restart on logout
  * fix quoting in sources.list plugin
  * change package selection to not install *all* fonts, we only need the 
    ones ldm uses (should help massively with bug #97456)
  * fix yaboot linking in ltsp-update-kernels (closes LP #101927)


 -- Oliver Grawert <ogra@ubuntu.com>  Tue,  3 Apr 2007 15:49:04 +0200

ltsp (5.0.5) feisty; urgency=low

  * move printserver startup, localdev helperscripts and soundserver 
    startup after start of X to speed up booting (should partially 
    help with LP #97456)
  * add pulseaudio-esound-compat to ltsp-server-standalone recommends
    (for people feeling the need to still use esddsp with apps)
  * drop duplicated module-detect option from pulseaudio startup to 
    avoid warning in client bootlogs
  * drop duplicated touching of /etc/nbd-client from ltsp-build-client, 
    we start nbd from the ltsp-client-setup initscript, no need for a 
    second run.
  * remove stray sleep(5) call in ldm for speedup (LP #97456)
  * add --copy-sourceslist option to ltsp-build-client to reuse the servers 
    sources.list with ltsp-buiuld-client (fixes LP #48601)
  * move loopback device entry creation in /etc/network/interfaces to 
    ltsp-build-client, fixes a race condition while bringing up lo

 -- Oliver Grawert <ogra@ubuntu.com>  Mon,  2 Apr 2007 11:39:50 +0200

ltsp (5.0.4) feisty; urgency=low

  * fix varoius documentation, malone bugs #94081 and #78927
  * make sure the lp module is loaded on all thin clients, 
    fixes malone #94086
  * fix support for multiple printers (malone #93863)
  * make sure we set SYSLOG to point to the server in
    the default lts.conf
  * move the theme setting of ldm to finalization sequence 
    to make sure we not only have the usplash but also the 
    right ldm theme
  * fix the MODULE_nn option to take arguments for modules it 
    loads (fixes handling of ISA soundcards)

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 26 Mar 2007 13:52:06 +0200

ltsp (5.0.3) feisty; urgency=low

  * remove xorg keymap setting form locales plugin, it breaks in d-i 

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 20 Mar 2007 15:35:11 +0100

ltsp (5.0.2) feisty; urgency=low

  * fix yaboot handling for tftp in ltsp-update-kernels, 
  * allow kernel copying to an existing /tftpboot in ltsp-update-kernels 
    (upstream requirement for upgrades from 4.2)
  * add lts.conf option SSH_OVERRIDE_PORT for non standard ssh ports 
    to use with ldm (closes malone #47744)
  * fix pulse and ltspfs deps harder, 
  * remove mount-proc from Vendor dir, it's used in the common plugins 
    section already

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 15 Mar 2007 01:38:46 +0100

ltsp (5.0.1) feisty; urgency=low

  [Oliver Grawert]
  * Version bump to 5.0.x
  * locale handling fixes (malone #67387, #72626 and #82427)
  * only create a link for /proc/fd if necessary (malone #90703)
  * dont attempt to install to unclean targets, spill a warning instead
    (maolne #71237)
  * install a default lts.conf with sound, localdev and nbdswap enabled
  * make sure /var/lib/nfs is writeable on thin clients
  * add sound dependencies to ltsp-server-standalone (probably split that out
    in a ltsp-sound metapackage later)
  * improve handling of boolean variables in the initscript
  * fix the remaining bits of x11 directory handling, we dont have xfree86 
    anywhere anymore in ubuntu.
  * fix typo in cjwatsons patch
  * sanitize pulse option formatting
  * make sure console-setup is in the rcS startup links
  * drop stop-bootlogd and etc-setserial from startup link cleanup list
    we have neither installed, if users want it, they also want the
    initscripts.
  * add pete savages reboot button fix to ldm
  * add fix to speed up X autodetection by merging all debconf-communicate
    calls into one. Thanks for the patch to Müller Zsolt <muzso@muzso.hu>
  * revert the temporary switch to the -generic kernel on thin clients
  * fix artwork handling in ldm and update themes

  [Colin Watson]
  * Log that we're starting up ldm before stopping usplash. If usplash was
    running, don't bother logging successful startup, as it will look weird
    on the console.
  * If usplash was running, wait a short while for the active console to
    change after starting up ldm, to try to avoid visible console noise from
    later init scripts.
  * Depend on kbd | console-tools for fgconsole.

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 12 Mar 2007 13:38:48 +0000

ltsp (0.134) feisty; urgency=low

  *  enable the kiosk plugin (ltsp-build-client will accept the --kiosk
     option now)

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 13 Feb 2007 01:04:35 +0100

ltsp (0.133) feisty; urgency=low

  * final switch for pulseaudio support
  * make sure the right usplash theme is installed

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 30 Jan 2007 16:40:18 +0100

ltsp (0.132) feisty; urgency=low

  * add pulse support and dependencies
  * revert the herd2 quickfix 
  * remove the broken security mirror line from ltsp-client-builder

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 17 Jan 2007 13:10:01 +0100

ltsp (0.131) feisty; urgency=low

  * temporary switch i386 to the -generic kernel image (this might break
    on machines requiring the 486 codeset ...)

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 11 Jan 2007 11:13:41 +0100

ltsp (0.130) feisty; urgency=low

  * quickfix for mirror handling on non networked systems to make herd2
    installable 

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 10 Jan 2007 23:35:57 +0100

ltsp (0.129) feisty; urgency=low

  * make sure we dont try to install the dropped 80_ltsp-sound file to avoid
    FTBFS 

 -- Oliver Grawert <ogra@ubuntu.com>  Fri,  5 Jan 2007 15:50:31 +0100

ltsp (0.128) feisty; urgency=low

  * merge jetpipe, the new printserver from
    http://bazaar.launchpad.net/~ogra/ltsp/feisty-ltsp-jetpipe
  * remove the session sound hack that wiped the gstreame DB on login 
    (malone: #65690)
  * merge boolean handling as well as configuration and documentation 
    fixes from mainline

 -- Oliver Grawert <ogra@ubuntu.com>  Fri,  5 Jan 2007 14:02:17 +0100

ltsp (0.127) feisty; urgency=low

  * Add dependency on openbsd-inetd
  * Merge with debian bzr branch from http://pkg-ltsp.alioth.debian.org/bzr/main
    [Vagrant Cascadian]   
        * translation updates
        * simplified --arch handling
        * set ltsp-client/abort-installation question to priority critical and change
          to type "error"
        * do not run ltsp-client initscripts if /etc/ltsp_chroot is not present.
        * improvements to inputattach handling
        * reorganize network boot dependencies
        * ltsp-update-kernels: merge
          http://llama.freegeek.org/~vagrant/bzr/ltsp/features/vagrant-update-kernels
        * added NEWS file which documents the changes to NBD swapping
        * man page for ldminfod
        * added manpage for nbdswapd
        * credit translators for their work
        * add cryptsetup to suggests (for encrypted swap support)
        * updated swap documentation
        * merge
          http://llama.freegeek.org/~vagrant/bzr/ltsp/features/vagrant-ltsp-swap
        * populate /etc/hostname with "ltsp" instead of "ltsp-chroot"
        * added catalan translation
        * make location of tftp directory configurable
        * allow comma-separated list for late-packages, early-packages,
          kernel-packages, debconf-seeds and apt-keys
        * include french translation for ltsp-build-client
        * allow --components to be a comma-separated (for debconf preseeding)
        * debconf preseeding for ltsp-client-builder
        * update the description for ltsp-client-builder/build-client-opts
        * do not build or install lp_server
        * make options to pass to ltsp-build-client preseedable.
        * copyright clarifications from upstream
        * include updated copyright notices in debian/copyright
        * add dependency on gettext-base (reported by Ronny Aasen)
        * only display advanced help options if called with --extra-help
        * allow custom screen scripts in /etc/ltsp/screen.d
        * implement SWAPDIR in favor of SWAP
        * added X_VIDEO_RAM variable
        * split mtab and daemon handling into separate plugins
        * split init whitelisting into separate plugin
        * add plugin directory for custom plugins (such as CDDs)
        * update to include program name in the plugins dir
        * put LTSP_CHROOT variable for the installation path into /etc/ltsp_client
        * move root password handling later
        * move handling of /etc/exports later and to the finalization phase
        * if daemon is installed, use it to start sdm 
        * divert /etc/mtab and point /etc/mtab to /proc/mounts
        * apt-get update now runs after locales have been generated

 -- Oliver Grawert <ogra@ubuntu.com>  Wed,  6 Dec 2006 13:02:05 +0100

ltsp (0.126) feisty; urgency=low

  * added dependency on update-inetd to ltsp-server (needed by tftpd-hpa now) 

 -- Oliver Grawert <ogra@ubuntu.com>  Tue,  5 Dec 2006 18:04:18 +0100

ltsp (0.125) feisty; urgency=low

  * switch package to feisty as default distro 

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 28 Nov 2006 18:24:32 +0100

ltsp (0.124) edgy; urgency=low

  * add the -f option to the rm command in the 80_ltsp-sound Xsession 
    script to avoid crashers on login, closes malone #66808

 -- Oliver Grawert <ogra@ubuntu.com>  Sun, 22 Oct 2006 11:54:31 +0200

ltsp (0.123) edgy; urgency=low

  * add a workaround for the changed gstreamer autosink detection
    (closes malone #65690)

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 16 Oct 2006 10:29:37 +0200

ltsp (0.122) edgy; urgency=low

  * change dependency of ldm from python-gnome2 to python-gnomecanvas
  * human-cursors-theme is fixed, remove the workaround plugin

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 11 Oct 2006 23:14:34 +0200

ltsp (0.121) edgy; urgency=low

  * fix alternative path for cursor theme

 -- Oliver Grawert <ogra@ubuntu.com>  Mon,  9 Oct 2006 12:13:56 +0200

ltsp (0.120) edgy; urgency=low

  * make sure we use the human cursors in new ltsp installs

 -- Oliver Grawert <ogra@ubuntu.com>  Mon,  9 Oct 2006 11:15:43 +0200

ltsp (0.119) edgy; urgency=low

  * documentation update: new example lts.conf and proper table with key/value
    pairs in lts-parameters.txt

 -- Oliver Grawert <ogra@ubuntu.com>  Sun,  8 Oct 2006 15:14:03 +0200

ltsp (0.118) edgy; urgency=low

  * make sure we test for a special char device if looking for /dev/dsp, 
    fixes malone #56959
  * show the ip additionally to the hostname in ldm
  * switch to vt7 before stopping usplash
  * add klogd to enabled services in ltsp-build-client
  * add syslog to the enabled services in ltsp-build-client

 -- Oliver Grawert <ogra@ubuntu.com>  Fri,  6 Oct 2006 16:04:59 +0200

ltsp (0.117) edgy; urgency=low

  * use the new kernel image name for amd64
  * add DO_NOT_SWITCH_VT to the ltsp-client initscript, so we swich directly
    to the screen session from usplash instead of having a flashing tty1
    inbetween

 -- Oliver Grawert <ogra@ubuntu.com>  Thu,  5 Oct 2006 11:35:11 +0200

ltsp (0.116) edgy; urgency=low

  * make sure amd64 clients are built on amd64 and keep i386 optional on 
    that architecture to unbreak the edubuntu CD install

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 28 Sep 2006 12:33:25 +0200

ltsp (0.115) edgy; urgency=low

  * mknbi doesnt exist on non-i386 arches so dont try to install it on 
    powerpc 

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 27 Sep 2006 23:56:31 +0200

ltsp (0.114) edgy; urgency=low

  * make sure mknbi is availabe on all i386 systems for out of the box
    etherboot support.
  * replace the obsolete arch-build with a bzr-release target to make
    maintenance easier

 -- Oliver Grawert <ogra@ubuntu.com>  Sun, 24 Sep 2006 14:44:24 +0200

ltsp (0.113) edgy; urgency=low

  * make sure the Password label in ldm doesnt change color
  * better fix for esd, so now actually a second user also gets sound

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 21 Sep 2006 16:36:13 +0200

ltsp (0.112) edgy; urgency=low

  * fix ldm edubuntu theme

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 20 Sep 2006 22:36:52 +0200

ltsp (0.111) edgy; urgency=low

  * whoops, we dont want the .bzr tree in the source package
  * fix debian introduced hang of esd on relogin, closes malone (#61491)

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 20 Sep 2006 21:42:23 +0200

ltsp (0.110) edgy; urgency=low

  * fix printer handling in the initscript
  * fix paths in the start_printer script
  * fix the paths in the client setup initscript to match FHS fixes in 
    the ltspfs package
  * fix boolean handling of env vars in ldm
  * fix floppy handling in ldm
  * do not link the apt related plugins

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 20 Sep 2006 20:07:38 +0200

ltsp (0.109) edgy; urgency=low

    * make etherboot work automagically

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 19 Sep 2006 16:00:54 +0200

ltsp (0.108) edgy; urgency=low

  - The "Detroit hackfest fixing spree" release -

  * fixes in the debian plugins (which dont really affect us):
    * when hostname is "(none)", also reset hostname variable
    * fix gdm handling of x-display-manager if installed in the chroot
    * fix typo in dpkg-divert for policy-rc.d script
    * debian plugin to keep package cache if wanted
    *  allow --include as well for debootstrap
  * whitespace fixes and check for /bin/true in ltsp-update-kernels
  * add option to quiet ltsp-update-kernels if desired
  * move /etc/exports handling to a later position for finalization
  * move rootpw handling/locking to a later position (only sequence number
    change)
  * allow --chroot option to name the chroot something other than ARCH (fix
    requested by jammcq)
  * add empty plugin directory for custom plugins
  * split initscript handling in its own plugin
  * split daemon and mtab handling into their own plugins
  * fix X_VIDEO_RAM handling in initscript (needs follow up fix of 
    malone #60805)
  * fix boolean handling in ldm
  * update Ubuntu plugin symlinks
  * remove /var/run and /var/lock from bind mounting so we dont
    double-bindmount them to tmpfs
  * remove /etc/hotplug from bindmounted dirs, to quiten the boot, we dont use
    hotplug since ages ...
  * documentation updates:
    * doc update for nbdswapd
    * dnsmasq doc examples update (typo fix)
    * doc/workstation update, fix gdm docs
    * doc/examples/qemu-ltsp fix for help function
    * doc/plugins documentation update

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 18 Sep 2006 21:17:06 +0200

ltsp (0.107) edgy; urgency=low

  * Fix typos and formatting of device entry in /etc/network/interfaces in
    ltsp-client-builder.postinst

 -- Oliver Grawert <ogra@ubuntu.com>  Sat, 16 Sep 2006 16:12:19 +0200

ltsp (0.106) edgy; urgency=low

  * make sure we disconnect /dev/nbd[n] in ldm before shutdown to avoid 
    idling nbdswapd connections
  * mark the nbd device as swap device in ltsp-client-setup initscript
  * add server/plugins/ltsp-build-client/Ubuntu/010-nbd-client to make sure
    /etc/nbd-client is there before we bind mount it to a tmpfs
  * add server/plugins/ltsp-build-client/Ubuntu/010-cleanup-consoles, 
    to remove additional consoles from /etc/event.d to save memory

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 11 Sep 2006 12:09:16 +0200

ltsp (0.105) edgy; urgency=low

  * drop ldm-swapon in favor if vargrantc's new ndbswapd inetd wrapper

 -- Oliver Grawert <ogra@ubuntu.com>  Sat,  9 Sep 2006 14:46:00 +0200

ltsp (0.104) edgy; urgency=low

  * work around dd breakage with non C locales in ldm-swapon
  * install initramfs-tools/conf.d/ltsp into /etc/initramfs-tools/conf.d
  * fix Ubuntu/000-basic-configuration to look in the right dir for finalization
  * move the botloaders from ltsp-server to ltsp-client to make the new
    ltsp-update-kernels architecture happy

 -- Oliver Grawert <ogra@ubuntu.com>  Fri,  8 Sep 2006 23:22:39 +0200

ltsp (0.103) edgy; urgency=low

  * merge debian changes
  * revert ldm changes to the ssh socket made by debian
  * [Vagrant Cascadian]
    * add dependency on netbase (ldminfod uses inetd)
    * merge support for locales
    * add python dependency for ldminfod
    * merge plugin modularization:
    * load functions from $PLUGINS_BASE dir
    * move ltsp-build-client plugins to it's own plugin directory.
    * split load_plugins function into separate file
    * don't force LC_ALL=C or LANG=C when happens after locales get configured
    * initial plugin to configure locales in the installed chroot
    * use true as a no-op.
    * example to use dnsmasq as a dhcp server
    * added server/doc/examples dir, move qemu-ltsp to examples
    * if a viable x-display-manager is installed, don't default to ldm/sdm/startx
    * versioned dependency on python >= 2.4 instead of python2.4
    * added readme to explain how to build a client chroot, and what support is
    * run sdm on the appropriate terminal
    * mention --help to list all available options
    * update ltsp-build-client man page
    * removed unprintable character that was causing lintian warnings
    * install manpage for ldm
    * manpage for ldm
    * tweak rules to insall manpages for ltsp-client, too.
    * inlude plugins documentation ltsp-server package
    * document the plugins system
    * add documentation about swap and workstation-style installs
    * install bug helpers
    * bug reporting script to probe for installed packages in chroot(s)
    * drop recommends on nbd-client, it's already a dependency.
    * install getltscfg manpage
    * manpage for getltscfg
    * bugfix for whitelisting
    * only add localdev ssh options if configured for localdev
    * merge with mainline: localdev and language support in ldm, whitespace fixes
    * whitespace correction
    * only run the rc whitelisting code if there is something whitelisted
    * only set "ips" variable once, using the "ip" command.
    * only update ssh keys in chroots with an /etc/ssh directory
    * overwrite /etc/hosts on boot, not just append to it
    * bugfix: tweak /etc/hostname instead of /etc/hosts
    * build-depend on po-debconf
    * only install udhdpc on sarge
    * add qemu-ltsp script to examples
    * added wrapper script to test with qemu
    * check for initrd-netboot-tools in the chroot
    * increment version and mention recent changes
    * use lsb_release to set default dist
    * depend on initramfs-tools 0.73e, which implements conf.d handling correctly
    * move initramfs-tools hook from /etc/initramfs-tools/conf.d/
    * no need to set NFSOPTS anymore, default for initramfs-tools works
    * set background color to white for debian theme
    * mention change to update-kernels running on kernel install
    * create relative symlink for nbi images
    * versioned nbi does not include .old when linking nbi.img.old,
    * check for existing nbi image in $BOOT
    * only make nbi symlink if real nbi file exists
    * call update-client from kernel postinst/postrm hooks
    * support updating a specific kernel
    * mention openbsd-inetd preference and close debian bug #382681
    * ldm really depends on python2.4 now
    * merge sparc fixes to update-kernels
    * bugfixes for sparc-utils handling
    * use the lsb_release short form to set VENDOR (instead of extra call to awk)
    * use the lsb_release short for to set VENDOR (instead of extra call to sed)
    * include example dhcpd.conf
    * debian theme changes
    * improved background for debian theme
    * check for vmlinux* and vmlinuz* for symlink versioning
    * mark update-kernels as executable
    * move 035-update-kernels back to common (works with new plugin ordering)
    * move rootpass so it prompts for the password (if enabled) at the very end.
    * merge new plugin ordering from vagrant-new-plugins
    * merge load_plugin_modules into load_plugins
    * change order of plugin loading to be alpha-numeric order
    * merge sparc-utils code into common code block
    * handle both vmlinuz and vmlinux
    * merge mkelf-linux and netabootwrap code
    * implement boot prompt options common to yaboot and pxelinux configuration
    * improved text when pxe is not being configured.
    * move $BOOT calls to other locations, simplify symlink handling
    * properly handle symlinked kernels
    * support vmlinuz.old for mkelf-linux
    * also catch versioned nbi images
    * add VENDOR variable used by PXELINUX_CMDLINE
    * copy nbi images, too.
    * sparc images now begin with nbi
    * allow updating only a specified chroot
    * no need to copy the System.map files
    * removed mkvmlinuz from ltsp-client dependencies
    * download pxelinux.0 from it's new location (i386 only)
    * mknbi is not available on amd64
    * move pxe and yaboot handling back into ltsp-update-kernels, but use binaries
    * added TFTP_CHROOT variable to identify the chroot-specific tftp dir
    * reduce warnings with find by properly ordering options and arguments
    * create the chroot-specific tftp directory to ensure files can be copied into it.
    * merge another initrd-netboot-tools bugfix
    * merge initramfs-tools bugfix
    * use architecture-specific dependencies
    * allow yaboot to satisfy network boot dependency
    * move dependencies for various network boot generators from ltsp-server
    * attempt to support pxelinux and yaboot
    * just install yaboot.conf to /boot (remove leftover code from ltsp-update-kernels)
    * bugfix: update-kernels is installed into /usr/lib/ltsp
    * code to actually update the images in the chroot (was in ltsp-update-kernels)
    * dropped handling kernel update code on the server directly, instead call a
    * update-kernels needs to be run after the kernel gets installed (Debian/030-late-packages)
    * simplify handling of vmlinuz and vmlinux copying
    * merge mount-proc into common plugins
    * bugfix: put quotes around clients
    * plugin to update the ssh keys
    * added plugin to update the kernels
    * only set PXELINUX_CMDLINE if not already set
    * define PXELINUX_CMDLINE variable, and set for ubuntu
    * install initramfs-tools/conf.d/ltsp into /etc/initramfs-tools/conf.d
    * use initramfs-tools/conf.d if available
    * bugfix: check for initrd-netboot-tools in the chroot
    * allow yaboot to satisfy network boot generator dependency
    * only set values if not already set
    * update with enable-popcon text
    * handle another combination of binary and configuration file for initramfs-tools
    * add /etc/hosts.ltsp to /etc/hosts on boot if present
    * merge code to ltsp-update-keys to add a static file of ssh_known_hosts entries
    * add ssh_known_hosts.extra to chroot's ssh_known_hosts files
    * add /etc/hosts.ltsp file to /etc/hosts if present
    * the sparc code we have uses binaries from sparc-utils, not silo.
    * document USE_LOCAL_SWAP
    * USE_LOCAL_SWAP for swap on local disks (from patch by Petter Reinholdtsen)

 -- Oliver Grawert <ogra@ubuntu.com>  Fri,  8 Sep 2006 01:27:06 +0200

ltsp (0.102) edgy; urgency=low

  * added ldm-swapon, an automatic userspace swap script using the ssh tunnel
    to automatically create swapfiles for nbd-server/client. implements the 
    NBD_SWAP and SWAP_SIZE options for lts.conf
  * adds dependency on nbd-server to the ltsp-server package

 -- Oliver Grawert <ogra@ubuntu.com>  Thu,  7 Sep 2006 19:26:42 +0200

ltsp (0.101) edgy; urgency=low

  * update po files
  * merge fixes for ldm lang/session handling from
    http://llama.freegeek.org/~vagrant/bzr/ltsp/features/vagrant-lang-session/

 -- Oliver Grawert <ogra@ubuntu.com>  Thu,  7 Sep 2006 00:56:13 +0200

ltsp (0.100) edgy; urgency=low

  * merge ltsp-dhcpd-autogeneration (configure a default interface for ltsp
    from the installer udeb) from ltsp-mainline

 -- Oliver Grawert <ogra@ubuntu.com>  Thu,  7 Sep 2006 00:25:51 +0200

ltsp (0.99debian12) unstable; urgency=low

  [ Vagrant Cascadian ]
  * ltsp-server:
    - install FAQ and Upgrading_4.2 to docs (Closes: #418143, #417667)
    - conflict with ltsp-utils (Closes: #413316)
    - add klogd and sysklogd to whitelisted services, which fixes remote
      syslog (Closes: #410485)
    - automatically include lts.conf in bug reports
    - add next-server to dhcpd.conf (Closes: #416868)
      thanks to Martin Chase for the report
    - early /var/lock and /var/run handling from Gustavo Franco 
      (Closes: #416673)

  * ltsp-server-standalone:
    - added dependencies on ltspfs, nbd-server, openssh-server

  * ldm:
    - call ltspfsmounter with full path (Closes: #416684)

  * ltsp-client-builder:
    - multiply menu item by 100 (Closes: #418612)

  * ltsp-client:
    - make it possible to disable remote syslogging

  * add dutch debconf translation from cobaco (Closes: #418395)

 -- Vagrant Cascadian <vagrant@freegeek.org>  Mon, 16 Apr 2007 20:22:32 -0600

ltsp (0.99debian11) unstable; urgency=medium

  * urgency medium, as it fixes an RC bug and important bugs
  * install appropriate linux-image package for amd64. thanks to Damyan
    Ivanov. (Closes: #406357)
  * fixes to boolean handling (Closes: #405772)
  * drop dependency on initrd-netboot-tools as it was removed from Debian.
    (initramfs-tools is preferred anyways)
  * updated location of pkg-ltsp bzr repository

 -- Vagrant Cascadian <vagrant@freegeek.org>  Thu, 11 Jan 2007 00:38:01 -0700

ltsp (0.99debian10) unstable; urgency=medium

  * priority medium to get the updated translation into etch faster.
  * added spanish gettext translation. thanks to Felipe Caminos and Hector
    Colina. (Closes: #404404)

 -- Vagrant Cascadian <vagrant@freegeek.org>  Sun, 24 Dec 2006 09:36:43 -0700

ltsp (0.99debian9) unstable; urgency=medium

  * urgency medium, it includes it fixes several important bugs:
  * fix ldm's boolean handling. thanks to Miro Zhorelicky for the patch.
    (Closes: #403471)
  * also mount /etc/network/run writeable for proper lo device configuration.
    (Closes: #403187)
  * fix execution of screen scripts in /etc/ltsp/screen.d (Closes: #403188)
  * install xorg instead of x-window-system-core transitional package in new
    LTSP chroot environments. (Closes: #403234)
  * updated local devices support. (Closes: #404154)

  * updated French gettext message. thanks to Cyril Brulebois.
  * updated gettext messages for Brazilian Portuguese.  (Closes: #403815)
    thanks to André Luís Lopes.

  * added Spanish debconf translations (Closes: #403604). thanks to Felipe
    Caminos.
  * added German debconf and gettext messages (Closes: #403568, #403597).
    thanks to Wolfgang Schweer.
  * added gettext translation for Catalan (Closes: #404064). thanks to Jordà
    Polo.

  * updated documentation for ltsp-build-client plugins.

 -- Vagrant Cascadian <vagrant@freegeek.org>  Fri, 22 Dec 2006 14:58:18 -0700

ltsp (0.99debian8) unstable; urgency=low

  [Vagrant Cascadian]
  * drop recommends on inputattach (Closes: #396684)
  * change dependency on joystick to suggests
  * optimize check if inputattach should be used
  * change ltsp-client abort-installation debconf question to type "error" and
    priority "critical" (Closes: #398630)
  * only run ltsp-client init scripts if /etc/ltsp_chroot is present.
  * ltsp-build-client: simplified --arch handling (should work on all
    architectures now)

 -- Vagrant Cascadian <vagrant@freegeek.org>  Tue, 14 Nov 2006 18:50:02 -0700

ltsp (0.99debian7) unstable; urgency=low

  [Vagrant Cascadian]
  * ltsp-client:
    - reorganize network boot dependencies
    - depend on joystick package for architectures that have it
  * ltsp-build-client:
    - do not manually install joystick package 

 -- Vagrant Cascadian <vagrant@freegeek.org>  Tue, 31 Oct 2006 16:05:52 -0600

ltsp (0.99debian6) unstable; urgency=low

  [ Vagrant Cascadian ]
  * french translation of ltsp-build-client by Cyril Brulebois
    (Closes: #392891)
  * catalan debconf templates translation by JordÃ Polo (Closes: #393088)
  * ltsp-server:
    - make location of tftp directory configurable
    - updated swap documentation
    - support both etherboot and PXE in dhcpd.conf example
    - added man pages for nbdswapd and ldminfod
    - ltsp-update-kernels:
      + can be configured to use an alternate tftp directory
      + can be configured to not require running ltsp-update-kernels after
        every kernel update
  * ltsp-client:
    - support encrypted swap
      + add cryptsetup to suggests
    - start nbd swapping earlier
    - improved mouse support when inputattach is available
  * ltsp-build-client:
    - allow comma-separated list for commandline options:
      + late-packages (Closes: #393002)
      + early-packages
      + kernel-packages
      + debconf-seeds
      + apt-keys
    - populate /etc/hostname with "ltsp" instead of "ltsp-chroot"
    - install joystick package by default (for serial mice)
  * debian/control:
    - ltsp-client:
      + recommend inputattach | joystick
    - ltsp-server:
      + updated inetd related dependencies
  * added debian/NEWS file

 -- Vagrant Cascadian <vagrant@freegeek.org>  Sat, 28 Oct 2006 11:40:14 -0500

ltsp (0.99debian5) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * urgency medium as it resolves copyright issues
  * merge copyright clarifications from upstream
  * update debian/copyright (Closes: #390797)
  * ltsp-server:
    - add dependency on gettext-base
    - add debian-archive-keyring in new ltsp chroots (Closes: #391878)
    - allow comma-separated components argument (Closes: #391805)
  * ltsp-client:
    - removed lp_server (unclear licensing)
  * ltsp-client-builder (udeb):
    - change menu priority to 70 and depend on pkgsel (Closes: #390722)
    - debconf preseeding for commandline options to ltsp-build-client
    - work around bug in debootstrap by touching resolv.conf

 -- Vagrant Cascadian <vagrant@freegeek.org>  Mon,  9 Oct 2006 10:16:13 -0400

ltsp (0.99debian3) unstable; urgency=high

  [ Vagrant Cascadian ]
  * urgency set to high, as this fixes an RC bug.
  * ltsp-client-builder:
    - disable use of security mirror for CD install
      (patch by Petter Reinholdtsen, Closes: #389276)
  * ltsp-client:
    - make mknbi a dependency for i386
    - allow custom screen scripts in /etc/ltsp/screen.d
  * ltsp-build-client:
    - only display advanced help options if called with --extra-help
  * debian/control:
    - add dependencies for "network audio system" as alternatives
      for esound.
  * translation updates:
    - Updated Czech translation of ltsp debconf messages
      (patch by Miroslav Kure, Closes: #389219)

 -- Vagrant Cascadian <vagrant@freegeek.org>  Fri, 29 Sep 2006 11:58:08 -0400

ltsp (0.99debian2) unstable; urgency=low

  [ Vagrant Cascadian ]
  * ldm: fix boolean handling
  * nbdswapd: support SWAPDIR variable in nbdswapd.conf (Closes: #387991)

 -- Vagrant Cascadian <vagrant@freegeek.org>  Mon, 18 Sep 2006 10:20:18 -0400

ltsp (0.99debian1) unstable; urgency=low

  [ Vagrant Cascadian ]
  * ltsp-server:
    - versioned dependency on netbase (Closes: #382681)
    - prefer tftpd-hpa over atftpd, as it works out of the box
    - add nbd-server to recommends
    - nbdswapd creates and removes nbd-server swap files on demand
      (Closes: #367606)
    - plugins:
      + moved ltsp-build-client plugins to it's own namespace
      + other scripts can make use of the plugins functions
    - ltsp-build-client:
      + bugfixes in initrd-netboot-tools tweaks
      + only install udhcpc on sarge
      + use lsb_release to select default distribution to install
      + only run rc whitelisting code if something is whitelisted
      + let dependency resolution install ldm
      + fix typo in dpkg-divert for policy-rc.d script
      + divert /etc/mtab and point /etc/mtab to /proc/mounts
      + disable security mirror by setting to "none"
      + option to name the chroot
      + option to select and override kernel package
      + configure locales in the client chroot
      + clean package cache when finished installing
      + move handling of /etc/exports and root password later
      + ensure /etc/nbd-client exists in the chroot
      + add plugin directory for custom plugins (such as CDDs)
      + split daemon handling into separate plugin
      + split init whitelisting into separate plugin
    - ltsp-update-sshkeys:
      + only update directories with an /etc/ssh directory
    - ltsp-update-kernels:
      + report which chroots are updated
      + skip chroots without /bin/true
    - bug reporting helper script to get package versions from chroot(s)
    - added README.Debian explaining how to create the client chroot
    - documentation:
      + swap
      + plugins
      + anonymous workstation-style install
    - examples:
      + script to test with qemu
      + configuration to use dnsmasq as dhcp server
    - updated ltsp-build-client manpage:
      + removed ubuntu-centrism (Closes: #385885)
      + removed obsolete and distro-specific options (Closes: #385899)
      + re-worded much of the text
  * ltsp-client:
    - move initramfs-tools hooks from /etc/initramfs to /usr/share/initramfs,
      which depends on initramfs-tools version 0.73e or greater
    - use default NFSOPTS from initramfs-tools
    - add esound to recommends
    - bugfixes with /etc/hosts and /etc/hostname
    - man page for getltscfg
    - fix sdm screen session to run on appropriate tty
    - use daemon to start sdm if present
    - only default to running ldm if no x-display-manager is installed
    - added X_VIDEO_RAM option
    - update-kernels:
      + be less verbose when called from /etc/kernel/post*.d/
      + make mkelf-linux options a variable
  * ldm:
    - localdev support (merged from ubuntu)
    - only enable ssh socket if localdev is configured
    - manpage for ldm
    - versioned dependency on python (>= 2.4)
    - now supports language and session selection (merged from mainline)
    - handle more cases of booleans (Y/N/YES/NO)
  * debian/control:
    - build-depend on po-debconf
    - change all package priorities to "extra"

 -- Vagrant Cascadian <vagrant@freegeek.org>  Sun, 17 Sep 2006 14:09:33 -0400

ltsp (0.99) edgy; urgency=low

  * merged
    http://people.ubuntu.com/~ogra/bzr-archive/ltsp/ldm-login-and-session-handling/,
    implements login and session selection in ldm
  * move the /etc/hosts plugin from Debian subdir to common plugins
  * fix usplash breakage in ldm

 -- Oliver Grawert <ogra@ubuntu.com>  Wed,  6 Sep 2006 03:35:29 +0200

ltsp (0.98) edgy; urgency=low

  * move finalization plugins to the vendor dir with a more proper sequence
    number, so they dont run to early

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 31 Aug 2006 10:54:25 +0200

ltsp (0.97) edgy; urgency=low

  * small fixes to the localdev support
  * add plugins for running ltsp-update-{sshkeys,kernels} at the end of
    the ltsp-build-client run

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 29 Aug 2006 17:53:01 +0200

ltsp (0.96) edgy; urgency=low

  * make sure ldm always creates our localdev socket

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 28 Aug 2006 19:40:55 +0200

ltsp (0.95) edgy; urgency=low

  * enable the language and session buttons in ldm (non functional yet
    for the ltsp-login-and-session-handling spec)

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 24 Aug 2006 13:49:46 +0200

ltsp (0.94) edgy; urgency=low

  * add local device support:
    make sure LOCALDEV=True is set in lts.conf, the ltspfsd package 
    is installed in the client chroot and the ltspfs package is installed
    on the ltsp server (new created chroots will have ltspfsd by default)

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 22 Aug 2006 19:09:59 +0200

ltsp (0.93debian1) unstable; urgency=low

  [ Otavio Salvador ]
  * Merge changes did by Ubuntu but debian/control since it's very Ubuntu
    specific.
    - Fix problem with gettext use. (Closes: #375601)
  * Simplified debian/rules a little more removing the useless update-po
    target. Since all its logic was move to po/Makefile file we can make
    things clear removing it from rules.

  [ Tiago Bortoletto Vaz ]
  * Add a correct i18n support for this package, using a specific Makefile
    to handle gettext
  * Fix ltsp-build-client script to get gettext message catalogs from locale
    dir

  [ Vagrant Cascadian ]
  * ltsp-client:
    - drop recommends on ubuntu-thin-client (Closes: #376898)
    - USE_LOCAL_SWAP option (Closes: #365578)
    - init scripts exit when package is not installed
    - add /etc/hosts.ltsp to /etc/hosts on boot
  * ltsp-server:
    - include example dhcpd.conf (Closes: #360409)
    - prefer openbsd-inetd to netkit-inetd (Closes: #382681) 
  * ltsp-update-kernels:
    - improved support for multiple architectures or installations
    - common and configurable boot prompt arguments for all boot methods
    - moved part of network boot image generation into ltsp-client
    - move network boot dependencies into ltsp-client
    - symlink network boot images if kernel is a symlink
    - network boot images are generated on kernel install
  * ltsp-build-client:
    - added option to enable popularity-contest
    - plugins are now loaded alphanumerically
    - vendors and admins can overrwite plugins
    - use initramfs-tools hooks instead of tweaking configuration files
  * ltsp-update-sshkeys:
    - append ssh_known_hosts.extra into ltsp-chroot ssh_known_hosts file
  * ldm:
    - dependency gtk2-engines (>= 1:2.6.9-1) | gtk2-engines-clearlooks
    (Closes: #377408)
    - remove private copy of subprocess.py (thanks stratus for verifying)
    (Closes: #380859)
    - depend on python2.4 (to get subprocess.py)
    - improved Debian theme
    - set Debian theme as default (Closes: #360406)

 -- Vagrant Cascadian <vagrant@freegeek.org>  Thu, 17 Aug 2006 14:15:30 -0400

ltsp (0.93) edgy; urgency=low

  [ Oliver Grawert ]
  * add vendor detection to ltsp-update-kernels to fix wrong kernel parameters
    introduced by debian
  * add mountkernfs.sh and mountdevsubfs.sh to RCS_WHITELIST, needed now to
    make the boot work
  * fix debian introduced breakage of the initramfs.conf setup in
    server/plugins/common/020-init-image
  * added DEBIAN_PRIORITY=critical to avoid debconf questions to
    server/plugins/Ubuntu/000-basic-configuration and changed from
    x-window-system-core to xorg
  * change theme priority for ldm to show the edubuntu theme by default again
  * add 010-mount-proc with added linking of /dev/fd to Ubuntu plugins, usplash
    needs /dev/fd to be in place now

  [ Vagrant Cascadian ]
  * added commandline option to enable popularity-contest in the chroot
  * whitespace corrections

 -- Oliver Grawert <ogra@ubuntu.com>  Thu,  3 Aug 2006 23:59:01 +0200

ltsp (0.92) edgy; urgency=low

  * Add a /etc/network/if-up.d/ltsp-keys script to copy the sshkeys on every
    interface start, make ltsp-update-sshkeys use logger for output, log to
    syslog and add descriptive error messages, this avoids breakage if the
    server IP was changed and makes sure the user doesnt need to run 
    ltsp-update-sshkeys separately.

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 20 Jul 2006 13:47:18 +0200

ltsp (0.91) edgy; urgency=low

  *  fix all the syntax in the udeb to match latest d-i code and to not fail
     during install

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 18 Jul 2006 22:36:09 +0200

ltsp (0.90) edgy; urgency=low

  * added export TERM=linux to the top of ltsp-build-client to make the udeb
    not die if a package calls a terminal directly in the chroot.

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 18 Jul 2006 03:33:47 +0200

ltsp (0.89) edgy; urgency=low

  * merged fixes from mainline
  [Oliver Grawert]
    * fix wrong kernel selection on ubuntu
    * switch ltsp-build-client temporary to /bin/bash until the
      bashisms are fixed
  [ Otavio Salvador ]
    * 001-set-exclude, 001-set-dist: moved to server/plugins/common
      since it's very agnostic and every vendor that use this system
      will need to have a way to avoid a package inclusion.
      Those symbolic links was also removed from Ubuntu
      plugins repository.

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 14 Jul 2006 21:13:46 +0200

ltsp (0.88) edgy; urgency=low

  * merged debian modularization into upstream branch
  * merged debian translations
  * fixed quoting of all strings 
  * added a line that sources gettext.sh to ltsp-build-client to make it work
    at all.
  * added a touch $ROOT/etc/ltsp_chroot to the 020-rootpath plugin to make
    ltsp-client installable again.
  * quieten down the rc_cleanup function to not spill locale errors
  * changed default distro to edgy
  * first upload to edgy

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 22 Jun 2006 10:09:02 +0200

ltsp (0.87debian2) unstable; urgency=low

  [ Otavio Salvador ]
  * Make LTSP messages translatable.
  * Minimal fixes for indentation of ltsp-client-setup init script.
  * Fix Permission Denied error due a error in unionfs mount command in
    initramfs hooks. Thanks to Dean Montgomery <dmonty@sd73.bc.ca> by
    debugging it. (Closes: #360249)
  * We don't need to set initramfs-tools as default since it's since
    Debian kernel 2.6.15.
  * Improved common/020-init-image including better code formating and
    documentation.
  * Converted set-arch modules to be a common one. For this dpkg use was
    remove. Support for error messages translation was also added.
 
  [ Gustavo Franco ]
  * po/pt_BR.po:
    - Add po/ltsp.pot Portuguese Brazilian translation by myself.
  
  [ Otavio Salvador ]
  * Move translation update routine to update-po rules target.
  * Fix code style in common/010-set-base.
  * Update debian/po/fr.po. Thanks for Jean-Marc Chaton
    <chaton@debian.org> for the bug report and updated file. 
    (Closes: #374656)
  * Add support to initramfs-tools >= 0.64.

 -- Otavio Salvador <otavio@debian.org>  Fri, 23 Jun 2006 15:48:37 -0300

ltsp (0.87debian1) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * New upstream release from ubuntu.
  * Make ltsp-build-client report error or success at the end of its
    run. (Closes: #360411)
  * Copy ltsp-client depend 'initramfs-tools (>= 0.11) |
    initrd-netboot-tools' into build-depends, to reduce the chance of
    building on platforms where vital parts of the boot framework is
    missing.  Copied ltsp-server depends 'atftpd | tftpd-hpa, syslinux
    | mknbi | mkvmlinuz | aboot' into build-depends for the same
    reason.  No use pretending to work on archs where LTSP do not work
    yet.
  * Keep init.d scripts ifupdown and networking to make sure the
    loopback device is enabled.  (Closes: #358584)
  * Increase warning level when compiling getltscfg, and fix a few
    compiler warnings discovered this way.
  
  [ Vagrant Cascadian and Otavio Salvador at Debcamp6 ]
  * Rewrote all ltsp-build-client application to use a plugin system and
    also be pluggable enough to reduce the amount of the diff between
    Debian and Ubuntu.

  [ Otavio Salvador ]
  * Sync with Oliver's dapper branch.
  * Add 030-exports in common plugins letting it disabled by default.
    (Closes: #360408, #360407)
  * Set OVERRIDE_EXPORTS to true in Ubuntu since it's the current
    behaviour in their package.
  * Don't include /opt/ltsp in package. In this way, we avoid a lintian
    warning.
  * Bump Standards-Version to 3.7.2 (no changes).
  * Add possibility to specify a configuration file in commandline and
    also read the systemwide one if it's not provided.

 -- Otavio Salvador <otavio@debian.org>  Mon,  5 Jun 2006 23:13:12 -0300

ltsp (0.87) dapper; urgency=low

  * Set default for ltsp-client-builder/run to false, so that it's harmless
    by default to pull the ltsp-client-builder udeb into a running
    installer. (closes malone #46426)

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 24 May 2006 21:37:59 +0100

ltsp (0.86) dapper; urgency=low

  * add --ignore-time-conflict to the apt/gpgv options in 
    ltsp-build-client to not break on systems with totally broken clock 
    settings (closes malone #41088)

 -- Oliver Grawert <ogra@ubuntu.com>  Tue,  9 May 2006 16:54:20 +0200

ltsp (0.85) dapper; urgency=low

  * make ldm stop usplash before we start it, to prevent switching to
    tty1 (closes malone #39294)
  * make the SOUND variable really use boolean values (True/False), not
    "y" to keep consistency with ltsp.org docs
  * applied Pete Savages manpages for the adminscripts to ltsp-server 

 -- Oliver Grawert <ogra@ubuntu.com>  Mon,  8 May 2006 19:34:55 +0200

ltsp (0.84) dapper; urgency=low

  * Make ltsp-server Depends: | silo for sparc.
    This will make the overall ltsp installable for developers.
    It does *NOT* mean it works (yet).

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Thu, 23 Mar 2006 06:15:16 +0100

ltsp (0.83) dapper; urgency=low

  * fix typo in ltsp-server description
  * fix indentation in ltsp-client.init
  * fix indentation error in X_MODE code of ltsp-client-setup
  * remove the unused configure_sound call in the ltsp-client-setup init script,
    thats handled in ltsp-client since some time
  * fixed ssh_known_hosts creation to not depend on ssh-keyscan

 -- Oliver Grawert <ogra@ubuntu.com>  Thu,  9 Mar 2006 18:57:42 +0100

ltsp (0.82debian2) unstable; urgency=low

  [ Gustavo Franco ]
  * Add Portuguese Brazilian debconf translation.

  [ Petter Reinholdtsen ]
  * Drop openbsd-inetd from list of packages to install.  It is no longer
    needed with the new rc.d cleaning making sure inetd isn't started.
  * Fix rc.d cleanup code to avoid bashism and make it more robust against
    packages leaving dangling symlinks in rc2.d/ when they are removed.
  * Make sure to copy the content of resolv.conf if the file copied by
    debootstrap end up being a symlink.  Avoids problem when resolvconf
    is used on the server.
  * Print 'ltsp client installation completed successfully' at the end
    of the client build, to make it easier to see the difference between
    an interrupted build and a successful one.
  * Stop making /var/lib/urandom/ writable on the client.  It is no
    longer needed to avoid error messages during boot as the urandom init.d
    script isn't executed any more.

 -- Petter Reinholdtsen <pere@debian.org>  Wed,  8 Mar 2006 15:13:08 +0100

ltsp (0.82debian1) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * New release 0.82 from Ubuntu.
    - Implements proper xauth handling, speeding up the client login.
      (Closes: #350311)
    - Avoids bashism in ltsp_functions, and thus work with dash as
      /bin/sh. (Closes: #346530)
  * Reinsert subprocess.py in the ldm package, to get it working with
    python versions before 2.4.
  * Reinsert rule to include /etc/ltsp/ltsp-build-client.conf in
    ltsp-server package.
  * Reinsert code to use xdebconfigurator on the client if it is
    installed.
  * To save space, make sure /etc/X11 and /var/lib/xfree86 isn't
    copied and bind-mounted when we use xdebconfigurator.
  * Change ldm depend from python-gnome2 to 'python2.3-gnome2 |
    python-gnome2', to try to get the gnomecanvas python module
    available on sarge, and use gnome.convas instead of gnomecanvas
    for compatibility reasons.
  * New ldm theme Debian-Edu, and made it the default.
  * Report to syslog if there are problems with starting the sound
    system.
  * Try harder to set hostname on the client to avoid it ending up as
    '(none)'.
  * Make sure to 'kill -HUP' esd before a new user connect to it, to get
    it to accept new connections.
  * Make sure the user get a login shell environment when logging in
    over ssh to the server.
  * Implemented multilevel configuration for ltsp-build-client, reading
    package defaults from /usr/share/ as well as /etc/.  Moved
    all debian specific config into file in /usr/share/.
  * Always load kernel module psmouse on the client, to make sure the
    source work with 2.6 kernels in sarge.
  * Remove workaround for bug #328090, again.

  [ Vagrant Cascadian ]
  * New ldm theme Debian.
  * Simplify --arch handling (use default for ROOT).
  * Change default for ROOT to use ARCH.
  * Preseed handling code for passwd.
  * Rewrote how the kernel package is selcted, making it adjust for
    different environments. (Closes: #335852, #345130)

  [ Otavio Salvador ]
  * Change maintainer to the alioth project mailing list, and make all
    the people involved (Matt Zimmerman, Carlos Laviola, Michael Vogt,
    Oliver Grawert, Petter Reinholdtsen, Gustavo Franco, Vagrant
    Cascadian, Otavio Salvador) uploaders.

  * Released from bzr repository at
    http://developer.skolelinux.no/~pere/bzr-archives/ltsp-main/

 -- Petter Reinholdtsen <pere@debian.org>  Sat,  4 Mar 2006 15:32:11 +0100

ltsp (0.82) dapper; urgency=low

  * move rc_cleanup function to the set of other functions at the top of
    ltsp-build-client, make it use update-rc.d and be less noisy
  * merge rev. 243-245 from
    http://developer.skolelinux.no/~pere/bzr-archives/ltsp-ubuntufixes/,
    bugfix to handle init.d scripts which are substrings of other scripts,
    like udev and udev-mtab. change init.d cleaning to avoid code
    duplication.
  * merge
    http://llama.freegeek.org/~vagrant/bzr-archives/ltsp/ubuntufixes/ rev.
    238, fix sdm dependency of ltsp-client

 -- Oliver Grawert <ogra@ubuntu.com>  Sat,  4 Mar 2006 22:05:29 +0100

ltsp (0.81) dapper; urgency=low

  * clean up duplicate esd startup that slipped through in a bzr merge ...

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 24 Feb 2006 23:20:24 +0100

ltsp (0.80) dapper; urgency=low

  * merge -r234..235 from 
    http://developer.skolelinux.no/~pere/bzr-archives/ltsp-ubuntufixes/, 
    xauth handling for ldm
  * add proper python tempfile handling to the xauth code

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 23 Feb 2006 17:28:03 +0100

ltsp (0.79) dapper; urgency=low

  * add shutdown icons to the themes for ldm
  * add shutdown function to ldm to easily shut down the clients 

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 23 Feb 2006 16:37:41 +0100

ltsp (0.78) dapper; urgency=low

  * merge -r228..229
    http://llama.freegeek.org/~vagrant/bzr-archives/ltsp/ubuntufixes/,
    option for ltsp-build-client to add additional keys to the apt keyring
    in the chroot
  * merge -r229..230
    http://llama.freegeek.org/~vagrant/bzr-archives/ltsp/ubuntufixes/,
    adds option to load debconf pre-seeding files in the chroot
    to ltsp-build-client
  * merge -r230..231
    http://llama.freegeek.org/~vagrant/bzr-archives/ltsp/ubuntufixes/,
    RCFILE handling 

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 23 Feb 2006 02:46:18 +0100

ltsp (0.77) dapper; urgency=low

  * added alternative handling to ldm for easier theme selection
  * merged revision 225-228 from
    http://developer.skolelinux.no/~pere/bzr-archives/pere-sound/, 
    adds nasd support and several code improvements (manually removed 
    the syslog code this patch adds from the initfunction)
  * merged
    http://developer.skolelinux.no/~pere/bzr-archives/ltsp-ubuntufixes/
    rev 237 from petter (Fall pack to mouse preseeding if inputattach is
    missing.)
  * merged
    http://developer.skolelinux.no/~pere/bzr-archives/ltsp-ubuntufixes/
    233 (handling of older gnomecanvas version for ldm)

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 23 Feb 2006 01:25:36 +0100

ltsp (0.76) dapper; urgency=low

  * fix ltsp-client -> ldm relationship, add ldm to EARLY_PACKAGES, add
    x-display-manager back to ltsp-client dependencys 

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 22 Feb 2006 20:45:26 +0100

ltsp (0.75) dapper; urgency=low

  * revert the x-display-manager dependency in ltsp-client, it breaks
    CD rom installs and the systme ends in gdm being installed, 
    needs further sorting if we want to keep x-display-manager there

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 17 Feb 2006 21:43:16 +0100

ltsp (0.74) dapper; urgency=low

  * add powerpc support to ltsp-update-kernels, make it handle vmlinux images,
    handle yaboot copying and create yaboot.conf in tftproot

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 17 Feb 2006 01:58:11 +0100

ltsp (0.73) dapper; urgency=low

  * fix KERNEL_ARCH for amd64, must be amd64-generic not just amd64 

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 17 Feb 2006 01:29:43 +0100

ltsp (0.72) dapper; urgency=low

  * fix bashism in ltsp_functions patch 236 from
    http://developer.skolelinux.no/~pere/bzr-archives/ltsp-ubuntufixes/
  * cleaning up of startup links in rcS.d and rc2.d based on whitelist
    variables (RC2_WHITELIST RCS_WHITELIST), thin-client-faster-startup
    implemented :)

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 16 Feb 2006 11:37:12 +0100

ltsp (0.71) dapper; urgency=low

  * fix the kernel handling for different architectures, only install
    linux-image-$(architecture), not the restricted modules 
    (low memory spec and multiarch support)
  * fix typos in EARLY_PACKAGES

 -- Oliver Grawert <ogra@ubuntu.com>  Wed,  8 Feb 2006 16:54:03 +0100

ltsp (0.70) dapper; urgency=low

  * merge http://llama.freegeek.org/~vagrant/bzr-archives/ltsp/ubuntufixes/ 
    patch 235, (netbooting only in initramfs-tools not in
    initrd-netboot-tools and make debian happy)
  * add x-display-manager as optional dependency to ltsp-client, make
    ltsp-client fall back to sdm and then to startx if ldm isnt installed
    (vagrant patch 232 and 233)
  * remove esound, inputattach, usplash as hard dependencys for ltsp-client
    and move them to EARLY_PACKAGES in ltsp-build-client to make debian happy

 -- Oliver Grawert <ogra@ubuntu.com>  Wed,  8 Feb 2006 15:28:12 +0100

ltsp (0.69) dapper; urgency=low

  * brown paperback upload ...actually append the repositorys to
    sources.list instead of replacing it

 -- Oliver Grawert <ogra@ubuntu.com>  Tue,  7 Feb 2006 21:26:02 +0100

ltsp (0.68) dapper; urgency=low

  * inputattach available on all arches, fixing the dependency of
  	ltsp-client to reflect that
  * merge revision 231-233 from pkg-ltsp.alioth... to make sources.list
  	handling optionally work for --extra and --security mirror addition

 -- Oliver Grawert <ogra@ubuntu.com>  Tue,  7 Feb 2006 21:12:06 +0100

ltsp (0.67) dapper; urgency=low

  * finally add usplash dependency to ltsp-client
  * make dependency on inputattach arch specific, it exists only 
    on i386
  * merge rev 226-228 from
    http://llama.freegeek.org/~vagrant/bzr-archives/ltsp/ubuntufixes/
    (simplifies ARCH and ROOT handling)
  * cleanly wrap the xkb options to not run debconf communicate for 
    empty values
  * re-add preseeding option for 3 button mouse emulation and wrap it 
    properly to not be executed if not set
  * only run preseeding of defaul color depth if there is really a 
    value set in lts.conf
  * timeout defaults for usplash to the ltsp-client-setup initscript 

 -- Oliver Grawert <ogra@ubuntu.com>  Fri,  3 Feb 2006 17:09:11 +0100

ltsp (0.66) dapper; urgency=low

  * fix typo in the X_MODE code in ltsp-client-setup
  * add proper serial mouse support to ltsp-client-setup
  * make ltsp-client depend on inputattach for serial mouse support

 -- Oliver Grawert <ogra@ubuntu.com>  Thu,  2 Feb 2006 22:59:30 +0100

ltsp (0.65) dapper; urgency=low

  * merged fix (drop esddsp from ldm) from 
    http://people.ubuntu.com/~ogra/bzr-archive/ltsp/sound/'
  * changed the MODULES= line in ltsp-build-client from "none" to 
    "netboot" to make use of the new initramfs feature (thanks adam)
  * changed the default mirror to archive.ubuntu.com in ltsp-build-client
  * drop adding of mousedev to /etc/modules in ltsp-build-client, 
    its built into the kernel now

 -- Oliver Grawert <ogra@ubuntu.com>  Wed,  1 Feb 2006 20:34:39 +0100

ltsp (0.64) dapper; urgency=low

  * Merge sources.list fix to not append but replace the file 
    in the client chroot to make networkless installs work.
    http://people.ubuntu.com/~ogra/bzr-archive/ltsp/fixes/

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 13 Jan 2006 14:09:19 +0100

ltsp (0.63) dapper; urgency=low

  * Merge http://people.ubuntu.com/~ogra/bzr-archive/ltsp/sound/ (ogra)

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 10 Jan 2006 18:28:05 +0100

ltsp (0.62) dapper; urgency=low

  * Default DIST to dapper (ogra)

 -- Matt Zimmerman <mdz@ubuntu.com>  Mon, 12 Dec 2005 08:55:02 -0800

ltsp (0.61) dapper; urgency=low

  * Merge http://people.ubuntu.com/~ogra/bzr-archive/ltsp/ldm/ (ogra)

 -- Matt Zimmerman <mdz@ubuntu.com>  Mon, 12 Dec 2005 08:32:06 -0800

ltsp (0.60) dapper; urgency=low

  * Merge http://people.ubuntu.com/~ogra/bzr-archive/ltsp/multiarch/ (ogra)
  * Use find rather than ls for enumerating architectures (mdz)

 -- Matt Zimmerman <mdz@ubuntu.com>  Mon,  5 Dec 2005 20:47:43 -0800

ltsp (0.59) dapper; urgency=low

  * Merge all of Petter's ubuntufixes branch up to patch-77
    - pere@hungry.com--2005/ltsp--ubuntufixes--0--patch-1
      Add support for remaining X keyboard options.
    - pere@hungry.com--2005/ltsp--ubuntufixes--0--patch-2
      Give warning if root directory already exist. [ltsp-build-client]
    - pere@hungry.com--2005/ltsp--ubuntufixes--0--patch-4
      Add support for excluding packages, and avoid lots on debian/sarge.
    - pere@hungry.com--2005/ltsp--ubuntufixes--0--patch-6
      Merge vagrant@freegeek.org--2005/ltsp--debian--0--patch-26, fixing
      typo in exclude support.
    - pere@hungry.com--2005/ltsp--ubuntufixes--0--patch-7
      Add support for USE_XFS and XFS_SERVER.
    - pere@hungry.com--2005/ltsp--ubuntufixes--0--patch-9
      Make sure /tmp/info/ is created before trying to use it on the client.
    - patch-10
      Changelog for previous patch.
    - patch-11
      Merge with matt.zimmerman@canonical.com/ltsp--main--0 up to patch-175.
    - patch-12
      Get screen.d/startx working in debian/sarge by using xfree86 if it is installed.
    - patch-13
      Avoid packages cron and logrotate on sarge.  No need to rotate logs.
    - patch-14
      Fix ldm startup script to not fail when USE_XFS is unset.
    - patch-15
      Add a suggests to lessdisks for ltsp-server, to allow users looking at ltsp to know about the alternative.
    - patch-16
      Merge with matt.zimmerman@canonical.com/ltsp--main--0.
    - patch-17
      Merge matt.zimmerman@canonical.com/ltsp--main--0 (up to patch-180).
    - patch-18
      Merge with vagrant@freegeek.org--2005/ltsp--ubuntufixes--0, fixing typo, sdm permissions and the bind_mount path.
    - patch-19
      Merge matt.zimmerman@canonical.com/ltsp--main--0 (up to patch-181).
    - patch-20
      Implement support for the X_COLOR_DEPTH option.  Untested.
    - patch-21
      New option LDM_REMOTECMD to control command executed on remote host when ldm login is performed.
    - patch-22
      Document dependency of the sdm option.
    - patch-23
      Move ldm into separate package, as it is useful on its own.
    - patch-24
      Merge with matt.zimmerman@canonical.com/ltsp--main--0 up to patch-41.
    - patch-25
      Use os.environ.get() also in get_config(), to avoid crashing when XFS_SERVER is unset.
    - patch-26
      Remove redundant space.
    - patch-27
      Implement the mouse options currently supported by dexconf, X_MOUSE_DEVICE, X_MOUSE_PROTOCOL and X_MOUSE_EMULATE3BTN.
    - patch-28
      Drop suggest on lessdisks.  It make more sense to mention it in the documentation.
    - patch-29
      Need to bind more files and directories on debian.
    - patch-30
      Merge with matt.zimmerman@canonical.com/ltsp--main--0 up to patch-191.
    - patch-31
      Unto previous fixes.  Matt seem to prefer updating the config file instead.
    - patch-32
      Mention temp_copy_dirs block initializing variables.
    - patch-33
      Merge with matt.zimmerman@canonical.com/ltsp--main--0 up to patch-191.
    - patch-34
      Avoid listing /var/cache/debconf both in copy_dirs and temp_copy_dirs.  Only needed in temp_copy_dirs.
    - patch-35
      Merge matt.zimmerman@canonical.com/ltsp--main--0 (up to patch-195).
    - patch-36
      Symlink /etc/mtab to /proc/mounts to save memory.
    - patch-37
      Option TELNET_HOST is actually supported (but not tested) when the telnet screen type is used.
    - patch-38
      Add LSB init.d dependency info to init.d scripts.
    - patch-39
      Merge with matt.zimmerman@canonical.com/ltsp--main--0 up to patch-196.
    - patch-40
      Rename function log() to logmsg(), to avoid name conflict with the function in <math.h>.
    - patch-41
      Initialize struct member to avoid compile warning.
    - patch-42
      Avoid comparing signed and unsigned values by casting the signed value to unsigned.
    - patch-43
      The ldm package work on all archs.
    - patch-44
      Improve ldm package description.
    - patch-45
      Typo.
    - patch-46
      Merge with matt.zimmerman@canonical.com/ltsp--main--0 (up to patch-197).
    - patch-47
      Extend ltsp-client package descripton to make it clear that this package should only be installed in the ltsp client chroot.
    - patch-48
      Update the address of FSF in the copyright file.
    - patch-49
      Merge ltsp-client-builder udeb into LTSP build tree.
    - patch-50
      Add norwegian bokm\uffffl translation.
    - patch-51
      Update /etc/exports when the client environment is built, not when the ltsp-server package is installed.
    - patch-52
      Make sure the ltsp-build-client script do not hang when installing packages reading from stdin.
    - patch-53
      Let ltsp-server depend on iproute, to find the 'ip' command used by ltsp-update-sshkeys.
    - patch-54
      Improve the error message when /var/lib/tftpboot/ltsp is missing.  Closes debian bug #331229.
    - patch-55
      Make sure to exit if /var/lib/tftpboot/ltsp is missing.
    - patch-56
      Udeb uses debconf, and should depend on ${misc:Depends}.
    - patch-57
      Make sure ltsp-server-standalone installs properly even when dhcp3-server init.d script fail to restart.
    - patch-58
      Set umask to 022 before copying files into tftpboot/, to make sure the files are readable for the client.
    - patch-59
      Make sure to umount when the build fail.
    - patch-60
      Try to avoid starting daemons in the chroot during creation.
    - patch-61
      Merge matt.zimmerman@canonical.com/ltsp--main--0 up to patch-198.
    - patch-62
      Preseed X keyboard settings based on the servers settings.
    - patch-63
      Merge a few patches from vagrant, to update ldm dependencies and architacture.
    - patch-64
      Merge already included ldm patch from vagrant.
    - patch-65
      Undu changes to install patch for initramfs scripts.  Not sure why these changes happened.
    - patch-66
      Typo.
    - patch-67
      Merge from vagrant@freegeek.org--2005/ltsp--ubuntufixes--0 to patch-61.
    - patch-68
      Use same rule sets for sarge, etch and sid.
    - patch-69
      Add dependency on debconf-utils, as ltsp-build-client uses debconf-get-selections
    - patch-70
      Add dependency on openssh-client (or ssh), as ltsp-update-sshkeys uses ssh-keyscan.

  * Small style/cleanup fixes to XFS support
  * Use X rather than Xorg as the name of the server
  * Fix typo in ltsp-build-client warning
  * Remove dependency on ltsp-utils; violates the principle of least surprise
  * [ Otavio Salvador ]
    - Pass X arguments when using USE_XFS option;
    - Set hostname on client to allow host specific configuration;
    - Fix configuration order of client to ensure that we have networking
      setup before to try swaping;
    - Fix client building to allow nbd-client to work on-the-fly;
  
 -- Matt Zimmerman <mdz@ubuntu.com>  Mon, 15 Aug 2005 16:10:44 -0700

ltsp (0.58debian4) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Updated standards-version from 2.6.1 to 2.6.2.
  * Enable fontserver preseeding, as bug #323262 is fixed in dexconf
    from xorg-x11 version 6.8.99.901.dfsg.1-1) in experimental, to
    make it easier to test it when the new dexconf make it to unstable
    and testing.
  * Add French debconf translation by Jean-Marc Chaton.  (Closes: #337044)
  * Add Czech debconf translation by Miroslav Kure.  (Closes: #338842)
  * Disable DELAYLOGIN and EDITMOTD, to avoid warning because / is
    read-only.
  * Make /var/lib/nfs writable, to allow nfs-common (rpc.statd) to start.

  [ Vagrant Cascadian ]
  * Change ltsp-server priority from optional to extra as it depend on
    some packages with extra priority (debootstrap and tftp servers).
  * New command line argument --apt-keys to load more GPG keys into APT.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 19 Nov 2005 15:42:07 +0100

ltsp (0.58debian3) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Generate simple fstab on the client, to quiet down fsck during boot.
  * Adjust bind-mount config to get X configuration working also when
    xdebconfigurator is not used.

  [ Vagrant Cascadian ]
  * Handle "" commandline parameters.  (Closes: #335870)

 -- Petter Reinholdtsen <pere@debian.org>  Tue,  1 Nov 2005 20:24:31 +0100

ltsp (0.58debian3) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Generate simple fstab on the client, to quiet down fsck during boot.
  * Adjust bind-mount config to get X configuration working also when
    xdebconfigurator is not used.

  [ Vagrant Cascadian ]
  * Handle "" commandline parameters.  (Closes: #335870)

 -- Petter Reinholdtsen <pere@debian.org>  Tue,  1 Nov 2005 20:24:31 +0100

ltsp (0.58debian2) unstable; urgency=low

  [ Vagrant Cascadian ]
  * Add ltsp-server dependency on debconf-utils, as
    ltsp-build-client uses debconf-get-selections.
  * Add ltsp-server dependency on openssh-client (or ssh), as
    ltsp-update-sshkeys uses ssh-keyscan.
  * Make dynamic editing of /etc/exports optional.

  [ Petter Reinholdtsen ]
  * Merged with ubuntu bazaar repository (ltsp--main--0 branch).
    - Remove dependency on ltsp-utils; violates the
      principle of least surprise.
    - Removed TODO file.
  * Make it possible to run the client without xdebconfigurator, by
    only using dexconf when xdebconfigurator was available.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 24 Oct 2005 22:02:34 +0200

ltsp (0.58debian1) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Merged with ubuntu bazaar repository (ltsp--main--0 branch).
  * Pass X keyboard layout and other settings from server
    (debconf values) to the client.
  * Remove workaround for bug #328090.  No longer present in etch.

  [ Vagrant Cascadian ]
  * Drop special handling of mkvmlinuz- it is already handled
    in kernel post-install scripts.
  * Fix typos in alpha network booting support.
  * Pass "--ip=dhcp" to mkelf-linux.  (Closes: #334524)
  * Check for appropriate architecture when building
    ltsp client from postinst.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 21 Oct 2005 10:54:31 +0200

ltsp (0.58) breezy; urgency=low

  * Don't allow a broken dhcpd.conf to abort the ltsp-server-standalone
    postinst

 -- Matt Zimmerman <mdz@ubuntu.com>  Thu,  6 Oct 2005 13:12:08 -0700

ltsp (0.57) breezy; urgency=low

  * Copy the server keymap as the client default

 -- Matt Zimmerman <mdz@ubuntu.com>  Fri, 23 Sep 2005 10:01:44 -0700

ltsp (0.56debian5) unstable; urgency=low

  * Make sure ltsp-server-standalone installs properly even
    when dhcp3-server init.d script fail to restart.
  * Use umask 022 when creating netboot kernel, to make sure the files
    are accessable over tftp.
  * Add code to umount mounted directories when the client build fail.
  * Provide a diverted start-stop-daemon and a policy-rc.d, while
    building he client, to avoid starting daemons during the build.
  * Make the udeb an optional, not standard priority package.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 17 Oct 2005 09:13:20 +0200

ltsp (0.56debian4) unstable; urgency=low

  * Add 'ip=dhcp root=/dev/nfs' as default kernel flags in the PXE
    boot, to get the PXE booting to work out of the box.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 15 Oct 2005 20:14:59 +0200

ltsp (0.56debian3) unstable; urgency=low

  * Add new package ltsp-client-builder (udeb), to make it
    possible to install LTSP automatically during installation.
  * Do not install sdm on the client by default.
  * Let ltsp-client recommend xdebconfigurator to
    document the fact that it is used if when present.
  * Update /etc/exports when the client environment is
    built, not when the ltsp-server package is installed.
  * Make sure the ltsp-build-client script do not hang
    when installing packages reading from stdin.
  * Let ltsp-server depend on iproute, to find the
    'ip' command used by ltsp-update-sshkeys.
  * Improve the error message when /var/lib/tftpboot/ltsp
    is missing.  (Closes: #331229)
  * Add support for preseeding the creation of
    an LTSP client environment.
  * Make ltsp-server and ltsp-client-builder depend on
    ${misc:Depends}, to get a dependency on debconf.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 12 Oct 2005 23:49:05 +0200

ltsp (0.56debian2) unstable; urgency=low

  * Fix typo in sid security apt source handling.
  * Change default dist from sarge to etch.  Should make this more
    dynamic, but this change should get ltsp-server working out of
    the box. (Closes: #327253)
  * Merge patch from ubuntun breezy bazaar branch:
    - Copy the server keymap as the client default
  * Update address of FSF in debian/copyright.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 30 Sep 2005 09:32:09 +0200

ltsp (0.56debian1) unstable; urgency=low

  * Use --resolve-deps argument for debootstrap if it is supported.
  * Fix compile warnings in lp_server.
  * Correct ldm package to be architecture all, not any.
  * Improve ldm package description. (Closes: #325652)
  * Debian/sid do not have security APT source.  Disable security-mirror
    when building a sid based client.
  * Use the same configuration for sarge, etch and sid when building the
    client chroot.
  * Update TODO.Debian to reflect remaining todo items.  ldm is now a
    separate package, mtab is handled correctly, debootstrap will exclude
    several unused packages, sdm is working and ldm is working with
    the python version in sarge.
  * Add workaround for bug #328090, by preseeding passwd in the chroot
    to not create a local user, and then reconfigure it to generate
    /etc/shadow.
  * Merged with ubuntu bazaar repository (ltsp--main--0 branch).

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 27 Sep 2005 23:07:51 +0200

ltsp (0.56) breezy; urgency=low

  * Bump version to supersede 0.55 (changes were incorporated)
  * Don't install mdetect in ltsp-build-client; it's no longer used by X.org

 -- Matt Zimmerman <mdz@ubuntu.com>  Fri,  9 Sep 2005 10:23:20 -0700

ltsp (0.54) breezy; urgency=low

  * Use /etc/X11/Xsession rather than x-session-manager
  * Restart nfs-kernel-server and dhcp3-server on installation to effect
    changes immediately

 -- Matt Zimmerman <mdz@ubuntu.com>  Wed,  7 Sep 2005 11:59:01 -0700

ltsp (0.53) breezy; urgency=low

  * Add missing dependency on netkit-inetd to ltsp-server, so that tftpd-hpa
    works out of the box

 -- Matt Zimmerman <mdz@ubuntu.com>  Thu, 25 Aug 2005 09:28:02 -0700

ltsp (0.52) breezy; urgency=low

  * Use loadkeys rather than install-keymap, to avoid involving debconf
  * Don't allow failures within config steps in ltsp-client-setup to cause
    an overall failure
  * Make default bind mounts more liberal; didn't work for me with only these
  * Merge bindmount fixes (Vagrant Cascadian)
  * Mark sdm executable (Vagrant Cascadian)
  * Implement temp_copy_dirs, to copy directories during setup but free
    them afterward to save memory
  * Support for mkvmlinuz on powerpc (Vagrant Cascadian)
  * Set default hostname to "ltsp"
  * Ensure that /etc/hosts exists, so that we can bind-mount it
  * Add /etc/hotplug/.run to rw_dirs
  * Replace use_bind_mounts variable with root_write_method, default to
    bind_mounts (also support "unionfs")

 -- Matt Zimmerman <mdz@ubuntu.com>  Fri, 19 Aug 2005 16:58:11 -0700

ltsp (0.51) breezy; urgency=low

  * Only require one of syslinux, mknbi or yaboot

 -- Matt Zimmerman <mdz@ubuntu.com>  Thu, 18 Aug 2005 09:36:50 -0700

ltsp (0.50) breezy; urgency=low

  * Enhance ltsp-update-kernels to create etherboot NBI images
  * ltsp-server Depends: mknbi

 -- Matt Zimmerman <mdz@ubuntu.com>  Wed, 17 Aug 2005 19:38:04 -0700

ltsp (0.49) breezy; urgency=low

  * Fix xserver-xorg test in ltsp-client-setup

 -- Matt Zimmerman <mdz@ubuntu.com>  Tue, 16 Aug 2005 13:15:01 -0700

ltsp (0.48) breezy; urgency=low

  * Further improvements to the gtk ldm greeter from Oliver Grawert
  * ltsp-client Depends: gtk2-engines-clearlooks for the gtk greeter

 -- Matt Zimmerman <mdz@ubuntu.com>  Mon, 15 Aug 2005 10:47:50 -0700

ltsp (0.47) breezy; urgency=low

  * Merge patches from Vagrant Cascadian's ltsp--ubuntufixes--0 branch:
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--base-0
        tag of matt.zimmerman@canonical.com/ltsp--main--0--patch-155
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-1
        only set default for ROOT, DIST and MIRROR if not already set
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-2
        turn archive components into COMPONENTS variable
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-3
        add EARLY_PACKAGES and LATE_PACKAGES variables
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-4
        merge improved check for initrd-netboot-tools/initramfs-tools from vagrant@freegeek.org--2005/ltsp--fixes--0
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-5
        merge improved check for initrd-netboot-tools/initramfs-tools from vagrant@freegeek.org--2005/ltsp--fixes--0
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-6
        merge vagrant@freegeek.org--2005/ltsp--fixes--0--patch-21
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-7
        avoid hard-coded i386 in client directory
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-8
        merged from pere@hungry.com--2005/ltsp--fixes--0: support udev/devfs for ldm
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-9
        merege from vagrant@freegeek.org--2005/ltsp--fixes--0: support both xserver-xorg and xserver-xfree86 for sarge compatibility
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-10
        merege from vagrant@freegeek.org--2005/ltsp--fixes--0: change defaults if DIST is sarge
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-11
        merege from vagrant@freegeek.org--2005/ltsp--fixes--0: add commandline options
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-12
        merge from vagrant@freegeek.org--2005/ltsp--fixes--0: add variable and commandline to add extra mirror
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-13
        merge from vagrant@freegeek.org--2005/ltsp--fixes--0: dist-upgrade before installing additional packages
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-14
        merge from vagrant@freegeek.org--2005/ltsp--fixes--0: mount /proc before dist-upgrade
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-15
        merge from vagrant@freegeek.org--2005/ltsp--fixes--0: support file:/// urls
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-16
        merge from vagrant@freegeek.org--2005/ltsp--fixes--0: add /proc to umounts
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-17
        merge from vagrant@freegeek.org--2005/ltsp--fixes--0: add DIST and COMPONENTS to EXTRA_MIRROR if not present
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-18
        merge from vagrant@freegeek.org--2005/ltsp--fixes--0: bugfixes: properly handle emtpy EXTRA_MIRROR and file urls
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-19
        merge from vagrant@freegeek.org--2005/ltsp--fixes--0: source configuration file
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-20
        merge changes from vagrant@freegeek.org--2005/ltsp--debian--0: add security mirror option
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-21
        merge changes from vagrant@freegeek.org--2005/ltsp--debian--0: correct help for security mirror
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-22
        merge changes from vagrant@freegeek.org--2005/ltsp--debian--0: option to enable serial console
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-23
        remove debian-specific TODO file

 -- Matt Zimmerman <mdz@ubuntu.com>  Sun, 14 Aug 2005 10:47:08 -0700

ltsp (0.46) breezy; urgency=low

  * Use echo rather than a here document to write fstab, and mount tmpfs
    on /tmp early, to work around a unionfs bug where here documents in
    bash are currently broken

 -- Matt Zimmerman <mdz@ubuntu.com>  Tue,  9 Aug 2005 12:18:01 -0700

ltsp (0.45) breezy; urgency=low

  * New, spiffier ldm glade file from Oliver Grawert
  * Be smarter about guessing the server IP when it isn't specified

 -- Matt Zimmerman <mdz@ubuntu.com>  Tue,  9 Aug 2005 10:10:32 -0700

ltsp (0.44) breezy; urgency=low

  * Merge changes from Vagrant Cascadian's branch
    [vagrant@freegeek.org--2005/ltsp--fixes--0]
    - patch-2	Support for tmpfs+bind mount alternative to unionfs
      - Default to use_bind_mounts=false for now
    - patch-3	Improved descriptions
    - patch-4	Improved descriptions
    - patch-5	allow ssh as alternative to openssh-server and openssh-client
      for sarge compatibility
    - patch-8	Copyright file updates
    - patch-9	Explicit python dependency
    - patch-10	support initrd-netboot-tools as alternative to initramfs-tools
    - patch-11 use /etc/default/ltsp-client-setup to get defaults for init script
      - Install this using debhelper instead
      - Use /var/run/ltsp rather than /var/state/... for FHS compliance
    - patch-12	Debian-specific TODO
    - patch-13	Support for sdm

 -- Matt Zimmerman <mdz@ubuntu.com>  Mon,  8 Aug 2005 17:48:30 -0700

ltsp (0.43) breezy; urgency=low

  * Start the X server with the -br option
  * Run apt-get clean after building the chroot
  * Install /etc/ltsp/dhcpd.conf in ltsp-server-standalone
  * Kill the sshd child process after x-session-manager exits, to avoid
    hanging when the user logs out (due to X clients still being connected)

 -- Matt Zimmerman <mdz@ubuntu.com>  Wed,  6 Jul 2005 08:51:13 -0700

ltsp (0.42) breezy; urgency=low

  * Don't use lp_server's install target; just install the lp_server binary
    (matching existing LBE approach)
  * Remove confusing, unnecessary -o SendEnv from ssh command line
  * Set world-readable permissions on /etc/ssh/ssh_known_hosts
  * Associate ssh keys with all interface addresses

 -- Matt Zimmerman <mdz@ubuntu.com>  Mon,  4 Jul 2005 09:19:41 -0700

ltsp (0.41) breezy; urgency=low

  * Don't create /etc/network/interfaces in ltsp-build-client.  It's
    overwritten by init.d/ltsp-client-setup, and so this only caused confusion
  * Import, build and install lp_server as part of ltsp-client
  * Don't pass an nfsroot= option via pxelinux; we'll use DHCP to pass this
    information

 -- Matt Zimmerman <mdz@ubuntu.com>  Mon,  4 Jul 2005 08:19:50 -0700

ltsp (0.40) breezy; urgency=low

  * Get monitor refresh/sync overrides working by preseeding
    xserver-xorg/config/monitor/selection-method

 -- Matt Zimmerman <mdz@ubuntu.com>  Mon,  4 Jul 2005 07:59:56 -0700

ltsp (0.39) breezy; urgency=low

  * Set the debconf 'seen' flag to true when preseeding from ltsp-client-setup

 -- Matt Zimmerman <mdz@ubuntu.com>  Thu, 30 Jun 2005 12:22:49 -0700

ltsp (0.38) breezy; urgency=low

  * Implement X_HORZSYNC and X_VERTREFRESH parameters (won't work until
    xserver-xorg bug #12072 is fixed)
  * Implement XKBMODEL (won't work until xserver-xorg bug #12073 is fixed)

 -- Matt Zimmerman <mdz@ubuntu.com>  Tue, 21 Jun 2005 12:33:38 -0700

ltsp (0.37) breezy; urgency=low

  * Update TODO, lts-parameters.txt
  * Cosmetic improvements to ltsp-build-client
  * Implement NETWORK_COMPRESSION parameter, which activates compression
    of network traffic (ssh only (for now?))

 -- Matt Zimmerman <mdz@ubuntu.com>  Mon, 20 Jun 2005 14:04:59 -0700

ltsp (0.36) breezy; urgency=low

  * Pass the LTSP_CLIENT environment variable via the ssh command, rather
    than ssh environment variable passing, since the latter requires
    server-side configuration
  * Fix ltsp-update-sshkeys to exclude localhost properly
  * Call ltsp-update-sshkeys from ltsp-build-client

 -- Matt Zimmerman <mdz@ubuntu.com>  Sun, 19 Jun 2005 11:46:23 -0700

ltsp (0.35) breezy; urgency=low

  * Add dhcpd.conf example

 -- Matt Zimmerman <mdz@ubuntu.com>  Fri, 17 Jun 2005 23:43:02 -0700

ltsp (0.34) breezy; urgency=low

  * Simplify dependencies
    - ltsp-server depends: tftpd-hpa, syslinux.  All ltsp-servers will be
       the tftp servers; this is quite likely to be the most common
       deployment, given the integration with the client kernels
    - ltsp-server-standalone drops the same dependencies, as it
      depends on ltsp-server
    - ltsp-server no longer Recommends these packages

 -- Matt Zimmerman <mdz@ubuntu.com>  Fri, 17 Jun 2005 23:36:23 -0700

ltsp (0.33) breezy; urgency=low

  * In the name of documentation compatibility (and since we're unlikely
    to have multiple config files), use the traditional path of
    /etc/lts.conf
  * Ship an example /etc/lts.conf

 -- Matt Zimmerman <mdz@ubuntu.com>  Fri, 17 Jun 2005 18:00:04 -0700

ltsp (0.32) breezy; urgency=low

  * Simplify ltsp-build-client and remove bashisms
  * Stop hardcoding stuff in ltsp-update-kernels
  * Adjust ltsp-update-kernels for the initrd.img naming scheme

 -- Matt Zimmerman <mdz@ubuntu.com>  Fri, 17 Jun 2005 17:27:29 -0700

ltsp (0.31) breezy; urgency=low

  * Update for (and depend on) initramfs-tools 0.11
    - [ltsp-build-client] Allow the initramfs to be generated
      automatically via the kernel-package hook
    - [ltsp-build-client] Call ltsp-update-kernels
    - [ltsp-build-client] No need to instruct the user to specify their
      NIC driver and regenerate the initramfs, since it will be
      automagically detected now
    - [ltsp-update-kernels] Copy initrd.img* in ltsp-update-kernels,
      since kernel-package uses the same names for initramfs

 -- Matt Zimmerman <mdz@ubuntu.com>  Fri, 17 Jun 2005 13:35:28 -0700

ltsp (0.30) breezy; urgency=low

  * Make XF86CONFIG_FILE more likely to succeed

 -- Matt Zimmerman <mdz@ubuntu.com>  Fri, 17 Jun 2005 10:02:08 -0700

ltsp (0.29) breezy; urgency=low

  * Have ldm inherit the configuration from its environment rather than
    calling getltscfg, to get ldm working without a SERVER variable
  * If no SCREEN_* parameters are specified, start ldm on tty7
  * Clients should now be functional out of the box with no lts.conf

 -- Matt Zimmerman <mdz@ubuntu.com>  Thu, 16 Jun 2005 18:19:01 -0700

ltsp (0.28) breezy; urgency=low

  * Add Ubuntu-specific CONSOLE_KEYMAP parameter to lts.conf, to configure
    the keymap used on the console
  * Create /usr/lib/ltsp/ltsp_config which loads configuration from
    lts.conf and also handles selecting defaults for parameters not
    present in lts.conf

 -- Matt Zimmerman <mdz@ubuntu.com>  Thu, 16 Jun 2005 16:00:45 -0700

ltsp (0.27) breezy; urgency=low

  * Don't unlink /etc/X11/xorg.conf before reconfiguring; xserver-xorg
    seems to hate it now

 -- Matt Zimmerman <mdz@ubuntu.com>  Thu, 16 Jun 2005 15:42:15 -0700

ltsp (0.26) breezy; urgency=low

  * If no SERVER parameter is specified, infer it from the nfsroot= boot
    parameter
  * Implement more lts.conf parameters:
    - SEARCH_DOMAIN and DNS_SERVER (only honored if both are specified)
    - MODULE_*
  * Add client/lts-parameters.txt to indicate the status of implementing
    the various lts.conf parameters

 -- Matt Zimmerman <mdz@ubuntu.com>  Thu, 16 Jun 2005 15:39:41 -0700

ltsp (0.25) breezy; urgency=low

  * Enhance ltsp-server to automagically manage the NFS export of /opt/ltsp

 -- Matt Zimmerman <mdz@ubuntu.com>  Tue, 14 Jun 2005 14:37:56 -0700

ltsp (0.24) breezy; urgency=low

  * Integrate with the new initramfs-tools hook system, thanks to Jeff
    Bailey
    - Install /usr/share/initramfs-tools/modules.d/unionfs-cow
    - Install /usr/share/initramfs-tools/scripts/init-bottom/unionfs-cow
    - Depend on initramfs-tools (>= 0.7)
    - Remove some of the initramfs hackery from ltsp-build-client
    - Update ltsp-build-client for initramfs-tools 0.7 syntax
    - Set ramdisk=/usr/sbin/mkinitramfs in ltsp-build-client
  * Update ltsp-update-kernels to explicitly request a read-only NFS mount
    (unionfs whiteout doesn't seem to work properly on a rw NFS mount
    which is actually read-only on the server, which is what we get
    otherwise)
    - Depends on initramfs-tools (>= 0.8) in order for the above to have an effect

 -- Matt Zimmerman <mdz@ubuntu.com>  Tue, 14 Jun 2005 13:45:01 -0700

ltsp (0.23) breezy; urgency=low

  * Uncomment ltsp-client in the list of packages to install in the client
    root, since it's now in the archive
  * Have ltsp-build-client automate more of the ad-hoc stuff that's
    necessary to set up the client root right now (should go away later)
  * Handle null XSERVER correctly in ltsp-client-setup
  * Suppress xserver-xorg.config warning by deleting xorg.conf before
    reconfiguring
  * ltsp-client Depends: openssh-client, python-gtk2, python-glade2

 -- Matt Zimmerman <mdz@ubuntu.com>  Fri, 10 Jun 2005 11:15:28 -0700

ltsp (0.22) breezy; urgency=low

  * Install /usr/share/initramfs-tools/scripts/ltsp, a short-term means of
    building the initramfs
  * Create /opt/ltsp in ltsp-server

 -- Matt Zimmerman <mdz@ubuntu.com>  Thu,  9 Jun 2005 16:04:39 -0700

ltsp (0.21) breezy; urgency=low

  * ltsp-server Depends: debootstrap, Recommends: openssh-server

 -- Matt Zimmerman <mdz@ubuntu.com>  Thu,  9 Jun 2005 16:03:19 -0700

ltsp (0.20) breezy; urgency=low

  * Install ltsp-update-kernels

 -- Matt Zimmerman <mdz@ubuntu.com>  Thu,  9 Jun 2005 15:35:38 -0700

ltsp (0.19) breezy; urgency=low

  * Pass an LTSP_CLIENT environment variable to the server when using ldm,
    so that programs running in the session can behave differently on LTSP
    logins

 -- Matt Zimmerman <mdz@ubuntu.com>  Wed,  8 Jun 2005 17:59:28 -0700

ltsp (0.18) breezy; urgency=low

  * Update screen.d/ldm and ldm to behave like a normal screen.d client,
    able to run on the current VT

 -- Matt Zimmerman <mdz@ubuntu.com>  Wed,  8 Jun 2005 17:09:41 -0700

ltsp (0.17) breezy; urgency=low

  * Lock the root account in the client root
  * Redirect stdin, stdout and stderr in ldm
  * Add mousedev to /etc/modules in the client root
  * Fix console number calculation in screen_session

 -- Matt Zimmerman <mdz@ubuntu.com>  Wed,  8 Jun 2005 13:52:14 -0700

ltsp (0.16) breezy; urgency=low

  * Add ltsp-update-sshkeys script to ltsp-server, for copying the
    server's host keys into the client root
  * Move screen.d to /usr/lib/ltsp
    - No migration is done; regenerate any existing client roots to remove
      the cruft
  * Add new screen.d/ldm script, so SCREEN_xx = ldm now works
    - Move X configuration into init.d/ltsp-client-setup, so that it only
      happens once

 -- Matt Zimmerman <mdz@ubuntu.com>  Wed,  8 Jun 2005 13:29:03 -0700

ltsp (0.15) breezy; urgency=low

  * Fix the arguments to the os.kill call in ldm

 -- Matt Zimmerman <mdz@ubuntu.com>  Tue,  7 Jun 2005 22:24:42 -0700

ltsp (0.14) breezy; urgency=low

  * Add localhost to /etc/hosts
  * Create /etc/network/interfaces and /etc/fstab
  * Implement a simple display manager for the client (ldm) and a simple
    login dialog for use with non-XDMCP configurations

 -- Matt Zimmerman <mdz@ubuntu.com>  Tue,  7 Jun 2005 22:19:37 -0700

ltsp (0.13) breezy; urgency=low

  * Respect a custom X configuration in lts.conf (XF86CONFIG_FILE)
  * Format init script output properly

 -- Matt Zimmerman <mdz@ubuntu.com>  Fri,  3 Jun 2005 15:28:38 -0700

ltsp (0.12) breezy; urgency=low

  * Continue gracefully if no swap server is specified

 -- Matt Zimmerman <mdz@ubuntu.com>  Fri,  3 Jun 2005 13:47:48 -0700

ltsp (0.11) breezy; urgency=low

  * Don't enable swap in ltsp-client-setup; just write out a config file
    for nbd-client and let the nbd-client init script do it later

 -- Matt Zimmerman <mdz@ubuntu.com>  Fri,  3 Jun 2005 13:43:18 -0700

ltsp (0.10) breezy; urgency=low

  * Background screen_session
  * Fix startx to run on the appropriate terminal

 -- Matt Zimmerman <mdz@ubuntu.com>  Fri,  3 Jun 2005 13:35:29 -0700

ltsp (0.9) breezy; urgency=low

  * Split init script in two:
    - ltsp-client-setup runs in runlevel S and performs configuration
    - ltsp-client runs late in runlevel 2 and actually starts up the client
  * No migration is done; if you're crazy enough to be trying this,
    rebuild your client root)

 -- Matt Zimmerman <mdz@ubuntu.com>  Fri,  3 Jun 2005 13:04:29 -0700

ltsp (0.8) breezy; urgency=low

  * Use SERVER, not DEFAULT_SERVER, in ltsp-client.init
  * Default SYSLOG_HOST to the value of SERVER

 -- Matt Zimmerman <mdz@ubuntu.com>  Fri,  3 Jun 2005 12:01:25 -0700

ltsp (0.7) breezy; urgency=low

  * Preseed XSERVER and XKBLAYOUT from lts.conf (doesn't work yet, needs
    xserver-xorg changes)

 -- Matt Zimmerman <mdz@ubuntu.com>  Fri,  3 Jun 2005 11:38:56 -0700

ltsp (0.6) breezy; urgency=low

  * Fix hardcoded path in ltsp_functions
  * Fix bashisms in ltsp_functions
  * Change lts.conf path to /etc/ltsp/lts.conf in getltscfg
  * Get startx script working

 -- Matt Zimmerman <mdz@ubuntu.com>  Fri,  3 Jun 2005 11:26:11 -0700

ltsp (0.5) breezy; urgency=low

  * Fix path to ltsp_functions in screen_session

 -- Matt Zimmerman <mdz@ubuntu.com>  Fri,  3 Jun 2005 11:13:14 -0700

ltsp (0.4) breezy; urgency=low

  * Move X configuration into screen.d/startx script

 -- Matt Zimmerman <mdz@ubuntu.com>  Fri,  3 Jun 2005 11:10:51 -0700

ltsp (0.3) breezy; urgency=low

  * Add /var/lib/tftpboot/ltsp to ltsp-server
  * Add ltsp-update-kernels script to ltsp-server

 -- Matt Zimmerman <mdz@ubuntu.com>  Tue, 31 May 2005 18:58:06 -0700

ltsp (0.2) breezy; urgency=low

  * Use dh_installinit --no-start for ltsp-client

 -- Matt Zimmerman <mdz@ubuntu.com>  Tue, 31 May 2005 17:19:47 -0700

ltsp (0.1) breezy; urgency=low
  
  * Initial release

 -- Matt Zimmerman <mdz@ubuntu.com>  Tue,  3 May 2005 15:26:59 -0700

